Section cro_8_2.

Let false := False.
Let false_ind := False_ind.

Variable dom : Set.
Variable e : dom -> dom -> Prop.
Variable goal : Prop.
Variable i : dom -> dom -> Prop.
Variable l : dom -> Prop.
Variable p : dom -> Prop.
Variables a1 a2 a3 b1 b2 b3 s p1 p2 p3 a1a2 a2a3 a3a1 b1b2 b2b3 b3b1 s1 s2 s3 : dom.

Hypothesis perpectivity_line : forall A : dom,
  i p3 A /\ i p1 A /\ i p2 A -> goal.

Hypothesis triangle_a_in_b : i a1 b2b3 /\ i a2 b3b1 /\ i a3 b1b2 -> goal.

Hypothesis triangle_b_in_a : i b1 a2a3 /\ i b2 a3a1 /\ i b3 a1a2 -> goal.

Hypothesis ia1a2 : i a1 a1a2.

Hypothesis ia2a1 : i a2 a1a2.

Hypothesis ia2a3 : i a2 a2a3.

Hypothesis ia3a2 : i a3 a2a3.

Hypothesis ia3a1 : i a3 a3a1.

Hypothesis ia1a3 : i a1 a3a1.

Hypothesis ib1b2 : i b1 b1b2.

Hypothesis ib2b1 : i b2 b1b2.

Hypothesis ib2b3 : i b2 b2b3.

Hypothesis ib3b2 : i b3 b2b3.

Hypothesis ib3b1 : i b3 b3b1.

Hypothesis ib1b3 : i b1 b3b1.

Hypothesis iss1 : i s s1.

Hypothesis iss2 : i s s2.

Hypothesis iss3 : i s s3.

Hypothesis ia1s1 : i a1 s1.

Hypothesis ia2s2 : i a2 s2.

Hypothesis ia3s3 : i a3 s3.

Hypothesis ib1s1 : i b1 s1.

Hypothesis ib2s2 : i b2 s2.

Hypothesis ib3s3 : i b3 s3.

Hypothesis ip3a : i p3 a1a2.

Hypothesis ip3b : i p3 b1b2.

Hypothesis ip1a : i p1 a2a3.

Hypothesis ip1b : i p1 b2b3.

Hypothesis ip2a : i p2 a3a1.

Hypothesis ip2b : i p2 b3b1.

Hypothesis diff_a1_a2 : e a1 a2 -> false.

Hypothesis diff_a2_a3 : e a2 a3 -> false.

Hypothesis diff_a3_a1 : e a3 a1 -> false.

Hypothesis diff_b1_b2 : e b1 b2 -> false.

Hypothesis diff_b2_b3 : e b2 b3 -> false.

Hypothesis diff_b3_b1 : e b3 b1 -> false.

Hypothesis not12 : e a1a2 b1b2 -> false.

Hypothesis not23 : e a2a3 b2b3 -> false.

Hypothesis not31 : e a3a1 b3b1 -> false.

Hypothesis ref : forall A : dom,
  e A A.

Hypothesis sym : forall A B : dom,
  e A B -> e B A.

Hypothesis tra : forall A B C : dom,
  e A B /\ e B C -> e A C.

Hypothesis conp : forall A B C : dom,
  e A B /\ i B C -> i A C.

Hypothesis conl : forall A B C : dom,
  i A B /\ e B C -> i A C.

Hypothesis sortp : forall A B : dom,
  i A B -> p A.

Hypothesis sortl : forall A B : dom,
  i A B -> l B.

Hypothesis gap1 : i a1 b2b3 \/ i b3 a1a2.

Hypothesis gap2 : i a2 b3b1 \/ i b1 a2a3.

Hypothesis gap3 : i a3 b1b2 \/ i b2 a3a1.

Hypothesis unique : forall A B C D : dom,
  i A C /\ i A D /\ i B C /\ i B D -> e A B \/ e C D.

Hypothesis meet : forall A B : dom,
  l A /\ l B -> (exists C, i C A /\ i C B).

Hypothesis join : forall A B : dom,
  p A /\ p B -> (exists C, i A C /\ i B C).

Theorem cro_8_2 : goal.
Proof.
exact
(*1531*)(
(or_ind 
 (fun Via1b2b3  => 
  (*808*)(
  (or_ind 
   (fun Via2b3b1  => 
    (*311*)(
    (or_ind 
     (fun Via3b1b2  => 
      (*69*)(triangle_a_in_b (conj Via1b2b3 (conj Via2b3b1 Via3b1b2)))(*69*))
     (fun Vib2a3a1  => 
      (*310*)(
      (or_ind 
       (fun Vea1b2  => 
        (*139*)(
        (or_ind 
         (fun Vea1p3  => 
          (*136*)(
          (or_ind 
           (fun Vea1a2  => 
            (*86*)(false_ind goal 
             (*85*)(diff_a1_a2 Vea1a2)(*85*))(*86*))
           (fun Vea1a2s2  => 
            (*135*)(
            (or_ind 
             (fun Vea1s  => 
              (*119*)(
              (or_ind 
               (fun Vea3a1  => 
                (*103*)(false_ind goal 
                 (*102*)(diff_a3_a1 Vea3a1)(*102*))(*103*))
               (fun Vea3a1s3  => 
                (*118*)(
                (or_ind 
                 (fun Vea1b3  => 
                  (*111*)(false_ind goal 
                   (*110*)(diff_b2_b3 
                    (*109*)(tra b2 a1 b3 (conj 
                     (*71*)(sym a1 b2 Vea1b2)(*71*) Vea1b3))(*109*))(*110*))(*111*))
                 (fun Vea3a1b2b3  => 
                  (*117*)(perpectivity_line a3a1 (conj 
                   (*80*)(conp p3 a1 a3a1 (conj 
                    (*77*)(sym a1 p3 Vea1p3)(*77*) 
                    (*6*)(ia1a3)(*6*)))(*80*) (conj 
                   (*116*)(conl p1 b2b3 a3a1 (conj 
                    (*25*)(ip1b)(*25*) 
                    (*112*)(sym a3a1 b2b3 Vea3a1b2b3)(*112*)))(*116*) 
                   (*26*)(ip2a)(*26*))))(*117*)))
                (*107*)(unique a1 b3 a3a1 b2b3 (conj 
                 (*6*)(ia1a3)(*6*) (conj Via1b2b3 (conj 
                 (*105*)(conl b3 s3 a3a1 (conj 
                  (*21*)(ib3s3)(*21*) 
                  (*104*)(sym a3a1 s3 Vea3a1s3)(*104*)))(*105*) 
                 (*10*)(ib3b2)(*10*)))))(*107*))(*118*)))
              (*101*)(unique a3 a1 a3a1 s3 (conj 
               (*5*)(ia3a1)(*5*) (conj 
               (*18*)(ia3s3)(*18*) (conj 
               (*6*)(ia1a3)(*6*) 
               (*95*)(conp a1 s s3 (conj Vea1s 
                (*15*)(iss3)(*15*)))(*95*)))))(*101*))(*119*))
             (fun Vea1a2s1  => 
              (*134*)(
              (or_ind 
               (fun Vea1b1  => 
                (*131*)(false_ind goal 
                 (*130*)(diff_b1_b2 
                  (*129*)(sym b2 b1 
                   (*128*)(tra b2 a1 b1 (conj 
                    (*71*)(sym a1 b2 Vea1b2)(*71*) Vea1b1))(*128*))(*129*))(*130*))(*131*))
               (fun Vea1a2b1b2  => 
                (*133*)(false_ind goal 
                 (*132*)(not12 Vea1a2b1b2)(*132*))(*133*)))
              (*126*)(unique a1 b1 a1a2 b1b2 (conj 
               (*1*)(ia1a2)(*1*) (conj 
               (*72*)(conp a1 b2 b1b2 (conj Vea1b2 
                (*8*)(ib2b1)(*8*)))(*72*) (conj 
               (*124*)(conl b1 s1 a1a2 (conj 
                (*19*)(ib1s1)(*19*) 
                (*120*)(sym a1a2 s1 Vea1a2s1)(*120*)))(*124*) 
               (*7*)(ib1b2)(*7*)))))(*126*))(*134*)))
            (*89*)(unique a1 s a1a2 s1 (conj 
             (*1*)(ia1a2)(*1*) (conj 
             (*16*)(ia1s1)(*16*) (conj 
             (*88*)(conl s s2 a1a2 (conj 
              (*14*)(iss2)(*14*) 
              (*87*)(sym a1a2 s2 Vea1a2s2)(*87*)))(*88*) 
             (*13*)(iss1)(*13*)))))(*89*))(*135*)))
          (*84*)(unique a1 a2 a1a2 s2 (conj 
           (*1*)(ia1a2)(*1*) (conj 
           (*73*)(conp a1 b2 s2 (conj Vea1b2 
            (*20*)(ib2s2)(*20*)))(*73*) (conj 
           (*2*)(ia2a1)(*2*) 
           (*17*)(ia2s2)(*17*)))))(*84*))(*136*))
         (fun Vea1a2b1b2  => 
          (*138*)(false_ind goal 
           (*137*)(not12 Vea1a2b1b2)(*137*))(*138*)))
        (*76*)(unique a1 p3 a1a2 b1b2 (conj 
         (*1*)(ia1a2)(*1*) (conj 
         (*72*)(conp a1 b2 b1b2 (conj Vea1b2 
          (*8*)(ib2b1)(*8*)))(*72*) (conj 
         (*22*)(ip3a)(*22*) 
         (*23*)(ip3b)(*23*)))))(*76*))(*139*))
       (fun Vea3a1b2b3  => 
        (*309*)(
        (or_ind 
         (fun Vea3p1  => 
          (*303*)(
          (or_ind 
           (fun Vea3b3  => 
            (*215*)(
            (or_ind 
             (fun Vea2a3  => 
              (*157*)(false_ind goal 
               (*156*)(diff_a2_a3 Vea2a3)(*156*))(*157*))
             (fun Vea2a3b3b1  => 
              (*214*)(
              (or_ind 
               (fun Vea3p2  => 
                (*208*)(
                (ex_ind (P:=fun w_0  => i w_0 a1a2 /\ i w_0 s3)
                 (fun w_0  => (and_ind (fun Viw_0a1a2  => (fun Viw_0s3  => 
                  (*207*)(
                  (ex_ind (P:=fun w_1  => i w_1 b1b2 /\ i w_1 s3)
                   (fun w_1  => (and_ind (fun Viw_1b1b2  => (fun Viw_1s3  => 
                    (*206*)(
                    (ex_ind (P:=fun w_2  => i a1 w_2 /\ i w_1 w_2)
                     (fun w_2  => (and_ind (fun Via1w_2  => (fun Viw_1w_2  => 
                      (*205*)(
                      (ex_ind (P:=fun w_3  => i w_3 a2a3 /\ i w_3 w_2)
                       (fun w_3  => (and_ind (fun Viw_3a2a3  => (fun Viw_3w_2  => 
                        (*204*)(
                        (ex_ind (P:=fun w_4  => i w_4 s2 /\ i w_4 w_2)
                         (fun w_4  => (and_ind (fun Viw_4s2  => (fun Viw_4w_2  => 
                          (*203*)(
                          (ex_ind (P:=fun w_5  => i a2 w_5 /\ i w_1 w_5)
                           (fun w_5  => (and_ind (fun Via2w_5  => (fun Viw_1w_5  => 
                            (*202*)(
                            (ex_ind (P:=fun w_6  => i w_6 a3a1 /\ i w_6 w_5)
                             (fun w_6  => (and_ind (fun Viw_6a3a1  => (fun Viw_6w_5  => 
                              (*201*)(
                              (ex_ind (P:=fun w_7  => i w_7 s1 /\ i w_7 w_5)
                               (fun w_7  => (and_ind (fun Viw_7s1  => (fun Viw_7w_5  => 
                                (*200*)(
                                (ex_ind (P:=fun w_8  => i a3 w_8 /\ i p3 w_8)
                                 (fun w_8  => (and_ind (fun Via3w_8  => (fun Vip3w_8  => 
                                  (*199*)(perpectivity_line w_8 (conj Vip3w_8 (conj 
                                   (*196*)(conp p1 a3 w_8 (conj 
                                    (*146*)(sym a3 p1 Vea3p1)(*146*) Via3w_8))(*196*) 
                                   (*198*)(conp p2 a3 w_8 (conj 
                                    (*162*)(sym a3 p2 Vea3p2)(*162*) Via3w_8))(*198*))))(*199*))))))
                                (*194*)(join a3 p3 (conj 
                                 (*49*)(sortp a3 a2a3 
                                  (*4*)(ia3a2)(*4*))(*49*) 
                                 (*54*)(sortp p3 a1a2 
                                  (*22*)(ip3a)(*22*))(*54*)))(*194*))(*200*))))))
                              (*191*)(meet s1 w_5 (conj 
                               (*63*)(sortl s s1 
                                (*13*)(iss1)(*13*))(*63*) 
                               (*186*)(sortl a2 w_5 Via2w_5)(*186*)))(*191*))(*201*))))))
                            (*187*)(meet a3a1 w_5 (conj 
                             (*59*)(sortl a3 a3a1 
                              (*5*)(ia3a1)(*5*))(*59*) 
                             (*186*)(sortl a2 w_5 Via2w_5)(*186*)))(*187*))(*202*))))))
                          (*184*)(join a2 w_1 (conj 
                           (*48*)(sortp a2 a1a2 
                            (*2*)(ia2a1)(*2*))(*48*) 
                           (*173*)(sortp w_1 b1b2 Viw_1b1b2)(*173*)))(*184*))(*203*))))))
                        (*181*)(meet s2 w_2 (conj 
                         (*64*)(sortl s s2 
                          (*14*)(iss2)(*14*))(*64*) 
                         (*176*)(sortl a1 w_2 Via1w_2)(*176*)))(*181*))(*204*))))))
                      (*177*)(meet a2a3 w_2 (conj 
                       (*58*)(sortl a2 a2a3 
                        (*3*)(ia2a3)(*3*))(*58*) 
                       (*176*)(sortl a1 w_2 Via1w_2)(*176*)))(*177*))(*205*))))))
                    (*174*)(join a1 w_1 (conj 
                     (*47*)(sortp a1 a1a2 
                      (*1*)(ia1a2)(*1*))(*47*) 
                     (*173*)(sortp w_1 b1b2 Viw_1b1b2)(*173*)))(*174*))(*206*))))))
                  (*171*)(meet b1b2 s3 (conj 
                   (*60*)(sortl b1 b1b2 
                    (*7*)(ib1b2)(*7*))(*60*) 
                   (*65*)(sortl s s3 
                    (*15*)(iss3)(*15*))(*65*)))(*171*))(*207*))))))
                (*168*)(meet a1a2 s3 (conj 
                 (*57*)(sortl a1 a1a2 
                  (*1*)(ia1a2)(*1*))(*57*) 
                 (*65*)(sortl s s3 
                  (*15*)(iss3)(*15*))(*65*)))(*168*))(*208*))
               (fun Vea2a3a3a1  => 
                (*213*)(false_ind goal 
                 (*212*)(not23 
                  (*211*)(sym b2b3 a2a3 
                   (*210*)(tra b2b3 a3a1 a2a3 (conj 
                    (*140*)(sym a3a1 b2b3 Vea3a1b2b3)(*140*) 
                    (*209*)(sym a2a3 a3a1 Vea2a3a3a1)(*209*)))(*210*))(*211*))(*212*))(*213*)))
              (*161*)(unique a3 p2 a2a3 a3a1 (conj 
               (*4*)(ia3a2)(*4*) (conj 
               (*5*)(ia3a1)(*5*) (conj 
               (*160*)(conl p2 b3b1 a2a3 (conj 
                (*27*)(ip2b)(*27*) 
                (*158*)(sym a2a3 b3b1 Vea2a3b3b1)(*158*)))(*160*) 
               (*26*)(ip2a)(*26*)))))(*161*))(*214*)))
            (*155*)(unique a2 a3 a2a3 b3b1 (conj 
             (*3*)(ia2a3)(*3*) (conj Via2b3b1 (conj 
             (*4*)(ia3a2)(*4*) 
             (*152*)(conp a3 b3 b3b1 (conj Vea3b3 
              (*11*)(ib3b1)(*11*)))(*152*)))))(*155*))(*215*))
           (fun Vea3a1s3  => 
            (*302*)(
            (or_ind 
             (fun Vea1s  => 
              (*275*)(
              (or_ind 
               (fun Vea1a2  => 
                (*230*)(false_ind goal 
                 (*229*)(diff_a1_a2 Vea1a2)(*229*))(*230*))
               (fun Vea1a2s2  => 
                (*274*)(
                (or_ind 
                 (fun Vea1b2  => 
                  (*251*)(
                  (or_ind 
                   (fun Vea1p3  => 
                    (*248*)(perpectivity_line a3a1 (conj 
                     (*247*)(conp p3 a1 a3a1 (conj 
                      (*242*)(sym a1 p3 Vea1p3)(*242*) 
                      (*6*)(ia1a3)(*6*)))(*247*) (conj 
                     (*143*)(conl p1 b2b3 a3a1 (conj 
                      (*25*)(ip1b)(*25*) 
                      (*140*)(sym a3a1 b2b3 Vea3a1b2b3)(*140*)))(*143*) 
                     (*26*)(ip2a)(*26*))))(*248*))
                   (fun Vea1a2b1b2  => 
                    (*250*)(false_ind goal 
                     (*249*)(not12 Vea1a2b1b2)(*249*))(*250*)))
                  (*241*)(unique a1 p3 a1a2 b1b2 (conj 
                   (*1*)(ia1a2)(*1*) (conj 
                   (*238*)(conp a1 b2 b1b2 (conj Vea1b2 
                    (*8*)(ib2b1)(*8*)))(*238*) (conj 
                   (*22*)(ip3a)(*22*) 
                   (*23*)(ip3b)(*23*)))))(*241*))(*251*))
                 (fun Vea1a2a3a1  => 
                  (*273*)(perpectivity_line a3a1 (conj 
                   (*272*)(conl p3 a1a2 a3a1 (conj 
                    (*22*)(ip3a)(*22*) Vea1a2a3a1))(*272*) (conj 
                   (*143*)(conl p1 b2b3 a3a1 (conj 
                    (*25*)(ip1b)(*25*) 
                    (*140*)(sym a3a1 b2b3 Vea3a1b2b3)(*140*)))(*143*) 
                   (*26*)(ip2a)(*26*))))(*273*)))
                (*234*)(unique a1 b2 a1a2 a3a1 (conj 
                 (*1*)(ia1a2)(*1*) (conj 
                 (*6*)(ia1a3)(*6*) (conj 
                 (*232*)(conl b2 s2 a1a2 (conj 
                  (*20*)(ib2s2)(*20*) 
                  (*231*)(sym a1a2 s2 Vea1a2s2)(*231*)))(*232*) Vib2a3a1))))(*234*))(*274*)))
              (*228*)(unique a1 a2 a1a2 s2 (conj 
               (*1*)(ia1a2)(*1*) (conj 
               (*226*)(conp a1 s s2 (conj Vea1s 
                (*14*)(iss2)(*14*)))(*226*) (conj 
               (*2*)(ia2a1)(*2*) 
               (*17*)(ia2s2)(*17*)))))(*228*))(*275*))
             (fun Vea3a1s1  => 
              (*301*)(
              (or_ind 
               (fun Veb1b2  => 
                (*291*)(false_ind goal 
                 (*290*)(diff_b1_b2 Veb1b2)(*290*))(*291*))
               (fun Veb1b2s1  => 
                (*300*)(triangle_a_in_b (conj Via1b2b3 (conj Via2b3b1 
                 (*299*)(conl a3 a3a1 b1b2 (conj 
                  (*5*)(ia3a1)(*5*) 
                  (*293*)(tra a3a1 s1 b1b2 (conj Vea3a1s1 
                   (*292*)(sym b1b2 s1 Veb1b2s1)(*292*)))(*293*)))(*299*))))(*300*)))
              (*289*)(unique b1 b2 b1b2 s1 (conj 
               (*7*)(ib1b2)(*7*) (conj 
               (*19*)(ib1s1)(*19*) (conj 
               (*8*)(ib2b1)(*8*) 
               (*283*)(conl b2 b2b3 s1 (conj 
                (*9*)(ib2b3)(*9*) 
                (*277*)(tra b2b3 a3a1 s1 (conj 
                 (*140*)(sym a3a1 b2b3 Vea3a1b2b3)(*140*) Vea3a1s1))(*277*)))(*283*)))))(*289*))(*301*)))
            (*224*)(unique a1 s a3a1 s1 (conj 
             (*6*)(ia1a3)(*6*) (conj 
             (*16*)(ia1s1)(*16*) (conj 
             (*221*)(conl s s3 a3a1 (conj 
              (*15*)(iss3)(*15*) 
              (*216*)(sym a3a1 s3 Vea3a1s3)(*216*)))(*221*) 
             (*13*)(iss1)(*13*)))))(*224*))(*302*)))
          (*148*)(unique a3 b3 a3a1 s3 (conj 
           (*5*)(ia3a1)(*5*) (conj 
           (*18*)(ia3s3)(*18*) (conj 
           (*142*)(conl b3 b2b3 a3a1 (conj 
            (*10*)(ib3b2)(*10*) 
            (*140*)(sym a3a1 b2b3 Vea3a1b2b3)(*140*)))(*142*) 
           (*21*)(ib3s3)(*21*)))))(*148*))(*303*))
         (fun Vea2a3a3a1  => 
          (*308*)(false_ind goal 
           (*307*)(not23 
            (*306*)(sym b2b3 a2a3 
             (*305*)(tra b2b3 a3a1 a2a3 (conj 
              (*140*)(sym a3a1 b2b3 Vea3a1b2b3)(*140*) 
              (*304*)(sym a2a3 a3a1 Vea2a3a3a1)(*304*)))(*305*))(*306*))(*307*))(*308*)))
        (*145*)(unique a3 p1 a2a3 a3a1 (conj 
         (*4*)(ia3a2)(*4*) (conj 
         (*5*)(ia3a1)(*5*) (conj 
         (*24*)(ip1a)(*24*) 
         (*143*)(conl p1 b2b3 a3a1 (conj 
          (*25*)(ip1b)(*25*) 
          (*140*)(sym a3a1 b2b3 Vea3a1b2b3)(*140*)))(*143*)))))(*145*))(*309*)))
      (*70*)(unique a1 b2 a3a1 b2b3 (conj 
       (*6*)(ia1a3)(*6*) (conj Via1b2b3 (conj Vib2a3a1 
       (*9*)(ib2b3)(*9*)))))(*70*))(*310*)))
    (*68*)(gap3)(*68*))(*311*))
   (fun Vib1a2a3  => 
    (*807*)(
    (or_ind 
     (fun Via3b1b2  => 
      (*542*)(
      (or_ind 
       (fun Vea3b1  => 
        (*382*)(
        (or_ind 
         (fun Vea3p2  => 
          (*379*)(
          (or_ind 
           (fun Vea3a1  => 
            (*329*)(false_ind goal 
             (*328*)(diff_a3_a1 Vea3a1)(*328*))(*329*))
           (fun Vea3a1s1  => 
            (*378*)(
            (or_ind 
             (fun Vea3s  => 
              (*362*)(
              (or_ind 
               (fun Vea2a3  => 
                (*346*)(false_ind goal 
                 (*345*)(diff_a2_a3 Vea2a3)(*345*))(*346*))
               (fun Vea2a3s2  => 
                (*361*)(
                (or_ind 
                 (fun Vea3b2  => 
                  (*354*)(false_ind goal 
                   (*353*)(diff_b1_b2 
                    (*352*)(tra b1 a3 b2 (conj 
                     (*314*)(sym a3 b1 Vea3b1)(*314*) Vea3b2))(*352*))(*353*))(*354*))
                 (fun Vea2a3b1b2  => 
                  (*360*)(perpectivity_line a2a3 (conj 
                   (*359*)(conl p3 b1b2 a2a3 (conj 
                    (*23*)(ip3b)(*23*) 
                    (*355*)(sym a2a3 b1b2 Vea2a3b1b2)(*355*)))(*359*) (conj 
                   (*24*)(ip1a)(*24*) 
                   (*323*)(conp p2 a3 a2a3 (conj 
                    (*320*)(sym a3 p2 Vea3p2)(*320*) 
                    (*4*)(ia3a2)(*4*)))(*323*))))(*360*)))
                (*350*)(unique a3 b2 a2a3 b1b2 (conj 
                 (*4*)(ia3a2)(*4*) (conj Via3b1b2 (conj 
                 (*348*)(conl b2 s2 a2a3 (conj 
                  (*20*)(ib2s2)(*20*) 
                  (*347*)(sym a2a3 s2 Vea2a3s2)(*347*)))(*348*) 
                 (*8*)(ib2b1)(*8*)))))(*350*))(*361*)))
              (*344*)(unique a2 a3 a2a3 s2 (conj 
               (*3*)(ia2a3)(*3*) (conj 
               (*17*)(ia2s2)(*17*) (conj 
               (*4*)(ia3a2)(*4*) 
               (*338*)(conp a3 s s2 (conj Vea3s 
                (*14*)(iss2)(*14*)))(*338*)))))(*344*))(*362*))
             (fun Vea3a1s3  => 
              (*377*)(
              (or_ind 
               (fun Vea3b3  => 
                (*374*)(false_ind goal 
                 (*373*)(diff_b3_b1 
                  (*372*)(sym b1 b3 
                   (*371*)(tra b1 a3 b3 (conj 
                    (*314*)(sym a3 b1 Vea3b1)(*314*) Vea3b3))(*371*))(*372*))(*373*))(*374*))
               (fun Vea3a1b3b1  => 
                (*376*)(false_ind goal 
                 (*375*)(not31 Vea3a1b3b1)(*375*))(*376*)))
              (*369*)(unique a3 b3 a3a1 b3b1 (conj 
               (*5*)(ia3a1)(*5*) (conj 
               (*315*)(conp a3 b1 b3b1 (conj Vea3b1 
                (*12*)(ib1b3)(*12*)))(*315*) (conj 
               (*367*)(conl b3 s3 a3a1 (conj 
                (*21*)(ib3s3)(*21*) 
                (*363*)(sym a3a1 s3 Vea3a1s3)(*363*)))(*367*) 
               (*11*)(ib3b1)(*11*)))))(*369*))(*377*)))
            (*332*)(unique a3 s a3a1 s3 (conj 
             (*5*)(ia3a1)(*5*) (conj 
             (*18*)(ia3s3)(*18*) (conj 
             (*331*)(conl s s1 a3a1 (conj 
              (*13*)(iss1)(*13*) 
              (*330*)(sym a3a1 s1 Vea3a1s1)(*330*)))(*331*) 
             (*15*)(iss3)(*15*)))))(*332*))(*378*)))
          (*327*)(unique a3 a1 a3a1 s1 (conj 
           (*5*)(ia3a1)(*5*) (conj 
           (*316*)(conp a3 b1 s1 (conj Vea3b1 
            (*19*)(ib1s1)(*19*)))(*316*) (conj 
           (*6*)(ia1a3)(*6*) 
           (*16*)(ia1s1)(*16*)))))(*327*))(*379*))
         (fun Vea3a1b3b1  => 
          (*381*)(false_ind goal 
           (*380*)(not31 Vea3a1b3b1)(*380*))(*381*)))
        (*319*)(unique a3 p2 a3a1 b3b1 (conj 
         (*5*)(ia3a1)(*5*) (conj 
         (*315*)(conp a3 b1 b3b1 (conj Vea3b1 
          (*12*)(ib1b3)(*12*)))(*315*) (conj 
         (*26*)(ip2a)(*26*) 
         (*27*)(ip2b)(*27*)))))(*319*))(*382*))
       (fun Vea2a3b1b2  => 
        (*541*)(
        (or_ind 
         (fun Vea2p3  => 
          (*535*)(
          (or_ind 
           (fun Vea2b2  => 
            (*445*)(
            (or_ind 
             (fun Vea1a2  => 
              (*400*)(false_ind goal 
               (*399*)(diff_a1_a2 Vea1a2)(*399*))(*400*))
             (fun Vea1a2b2b3  => 
              (*444*)(
              (or_ind 
               (fun Vea2p1  => 
                (*438*)(
                (ex_ind (P:=fun w_0  => i w_0 a3a1 /\ i w_0 s2)
                 (fun w_0  => (and_ind (fun Viw_0a3a1  => (fun Viw_0s2  => 
                  (*437*)(
                  (ex_ind (P:=fun w_1  => i w_1 b3b1 /\ i w_1 s2)
                   (fun w_1  => (and_ind (fun Viw_1b3b1  => (fun Viw_1s2  => 
                    (*436*)(
                    (ex_ind (P:=fun w_2  => i a1 w_2 /\ i w_1 w_2)
                     (fun w_2  => (and_ind (fun Via1w_2  => (fun Viw_1w_2  => 
                      (*435*)(
                      (ex_ind (P:=fun w_3  => i w_3 a2a3 /\ i w_3 w_2)
                       (fun w_3  => (and_ind (fun Viw_3a2a3  => (fun Viw_3w_2  => 
                        (*434*)(
                        (ex_ind (P:=fun w_4  => i w_4 s3 /\ i w_4 w_2)
                         (fun w_4  => (and_ind (fun Viw_4s3  => (fun Viw_4w_2  => 
                          (*433*)(
                          (ex_ind (P:=fun w_5  => i a2 w_5 /\ i p2 w_5)
                           (fun w_5  => (and_ind (fun Via2w_5  => (fun Vip2w_5  => 
                            (*432*)(perpectivity_line w_5 (conj 
                             (*429*)(conp p3 a2 w_5 (conj 
                              (*389*)(sym a2 p3 Vea2p3)(*389*) Via2w_5))(*429*) (conj 
                             (*431*)(conp p1 a2 w_5 (conj 
                              (*405*)(sym a2 p1 Vea2p1)(*405*) Via2w_5))(*431*) Vip2w_5)))(*432*))))))
                          (*427*)(join a2 p2 (conj 
                           (*48*)(sortp a2 a1a2 
                            (*2*)(ia2a1)(*2*))(*48*) 
                           (*56*)(sortp p2 a3a1 
                            (*26*)(ip2a)(*26*))(*56*)))(*427*))(*433*))))))
                        (*424*)(meet s3 w_2 (conj 
                         (*65*)(sortl s s3 
                          (*15*)(iss3)(*15*))(*65*) 
                         (*419*)(sortl a1 w_2 Via1w_2)(*419*)))(*424*))(*434*))))))
                      (*420*)(meet a2a3 w_2 (conj 
                       (*58*)(sortl a2 a2a3 
                        (*3*)(ia2a3)(*3*))(*58*) 
                       (*419*)(sortl a1 w_2 Via1w_2)(*419*)))(*420*))(*435*))))))
                    (*417*)(join a1 w_1 (conj 
                     (*47*)(sortp a1 a1a2 
                      (*1*)(ia1a2)(*1*))(*47*) 
                     (*416*)(sortp w_1 b3b1 Viw_1b3b1)(*416*)))(*417*))(*436*))))))
                  (*414*)(meet b3b1 s2 (conj 
                   (*62*)(sortl b3 b3b1 
                    (*11*)(ib3b1)(*11*))(*62*) 
                   (*64*)(sortl s s2 
                    (*14*)(iss2)(*14*))(*64*)))(*414*))(*437*))))))
                (*411*)(meet a3a1 s2 (conj 
                 (*59*)(sortl a3 a3a1 
                  (*5*)(ia3a1)(*5*))(*59*) 
                 (*64*)(sortl s s2 
                  (*14*)(iss2)(*14*))(*64*)))(*411*))(*438*))
               (fun Vea1a2a2a3  => 
                (*443*)(false_ind goal 
                 (*442*)(not12 
                  (*441*)(sym b1b2 a1a2 
                   (*440*)(tra b1b2 a2a3 a1a2 (conj 
                    (*383*)(sym a2a3 b1b2 Vea2a3b1b2)(*383*) 
                    (*439*)(sym a1a2 a2a3 Vea1a2a2a3)(*439*)))(*440*))(*441*))(*442*))(*443*)))
              (*404*)(unique a2 p1 a1a2 a2a3 (conj 
               (*2*)(ia2a1)(*2*) (conj 
               (*3*)(ia2a3)(*3*) (conj 
               (*403*)(conl p1 b2b3 a1a2 (conj 
                (*25*)(ip1b)(*25*) 
                (*401*)(sym a1a2 b2b3 Vea1a2b2b3)(*401*)))(*403*) 
               (*24*)(ip1a)(*24*)))))(*404*))(*444*)))
            (*398*)(unique a1 a2 a1a2 b2b3 (conj 
             (*1*)(ia1a2)(*1*) (conj Via1b2b3 (conj 
             (*2*)(ia2a1)(*2*) 
             (*395*)(conp a2 b2 b2b3 (conj Vea2b2 
              (*9*)(ib2b3)(*9*)))(*395*)))))(*398*))(*445*))
           (fun Vea2a3s2  => 
            (*534*)(
            (or_ind 
             (fun Vea3s  => 
              (*506*)(
              (or_ind 
               (fun Vea3b1  => 
                (*482*)(
                (or_ind 
                 (fun Vea3a1  => 
                  (*468*)(false_ind goal 
                   (*467*)(diff_a3_a1 Vea3a1)(*467*))(*468*))
                 (fun Vea3a1s1  => 
                  (*481*)(
                  (or_ind 
                   (fun Vea3p2  => 
                    (*478*)(perpectivity_line a2a3 (conj 
                     (*386*)(conl p3 b1b2 a2a3 (conj 
                      (*23*)(ip3b)(*23*) 
                      (*383*)(sym a2a3 b1b2 Vea2a3b1b2)(*383*)))(*386*) (conj 
                     (*24*)(ip1a)(*24*) 
                     (*477*)(conp p2 a3 a2a3 (conj 
                      (*472*)(sym a3 p2 Vea3p2)(*472*) 
                      (*4*)(ia3a2)(*4*)))(*477*))))(*478*))
                   (fun Vea3a1b3b1  => 
                    (*480*)(false_ind goal 
                     (*479*)(not31 Vea3a1b3b1)(*479*))(*480*)))
                  (*471*)(unique a3 p2 a3a1 b3b1 (conj 
                   (*5*)(ia3a1)(*5*) (conj 
                   (*462*)(conp a3 b1 b3b1 (conj Vea3b1 
                    (*12*)(ib1b3)(*12*)))(*462*) (conj 
                   (*26*)(ip2a)(*26*) 
                   (*27*)(ip2b)(*27*)))))(*471*))(*481*)))
                (*466*)(unique a3 a1 a3a1 s1 (conj 
                 (*5*)(ia3a1)(*5*) (conj 
                 (*456*)(conp a3 s s1 (conj Vea3s 
                  (*13*)(iss1)(*13*)))(*456*) (conj 
                 (*6*)(ia1a3)(*6*) 
                 (*16*)(ia1s1)(*16*)))))(*466*))(*482*))
               (fun Vea2a3s1  => 
                (*505*)(
                (or_ind 
                 (fun Vea1a2  => 
                  (*497*)(false_ind goal 
                   (*496*)(diff_a1_a2 Vea1a2)(*496*))(*497*))
                 (fun Vea1a2s1  => 
                  (*504*)(false_ind goal 
                   (*503*)(not12 
                    (*502*)(sym b1b2 a1a2 
                     (*501*)(tra b1b2 a2a3 a1a2 (conj 
                      (*383*)(sym a2a3 b1b2 Vea2a3b1b2)(*383*) 
                      (*499*)(tra a2a3 s1 a1a2 (conj Vea2a3s1 
                       (*498*)(sym a1a2 s1 Vea1a2s1)(*498*)))(*499*)))(*501*))(*502*))(*503*))(*504*)))
                (*495*)(unique a1 a2 a1a2 s1 (conj 
                 (*1*)(ia1a2)(*1*) (conj 
                 (*16*)(ia1s1)(*16*) (conj 
                 (*2*)(ia2a1)(*2*) 
                 (*488*)(conl a2 a2a3 s1 (conj 
                  (*3*)(ia2a3)(*3*) Vea2a3s1))(*488*)))))(*495*))(*505*)))
              (*458*)(unique a3 b1 a2a3 s1 (conj 
               (*4*)(ia3a2)(*4*) (conj 
               (*456*)(conp a3 s s1 (conj Vea3s 
                (*13*)(iss1)(*13*)))(*456*) (conj Vib1a2a3 
               (*19*)(ib1s1)(*19*)))))(*458*))(*506*))
             (fun Vea2a3s3  => 
              (*533*)(
              (or_ind 
               (fun Veb1b3  => 
                (*523*)(false_ind goal 
                 (*522*)(diff_b3_b1 
                  (*521*)(sym b1 b3 Veb1b3)(*521*))(*522*))(*523*))
               (fun Veb1b2b3b1  => 
                (*532*)(triangle_a_in_b (conj Via1b2b3 (conj 
                 (*531*)(conl a2 a2a3 b3b1 (conj 
                  (*3*)(ia2a3)(*3*) 
                  (*525*)(tra a2a3 b1b2 b3b1 (conj Vea2a3b1b2 Veb1b2b3b1))(*525*)))(*531*) Via3b1b2)))(*532*)))
              (*520*)(unique b1 b3 b1b2 b3b1 (conj 
               (*7*)(ib1b2)(*7*) (conj 
               (*12*)(ib1b3)(*12*) (conj 
               (*517*)(conl b3 s3 b1b2 (conj 
                (*21*)(ib3s3)(*21*) 
                (*509*)(sym b1b2 s3 
                 (*508*)(tra b1b2 a2a3 s3 (conj 
                  (*383*)(sym a2a3 b1b2 Vea2a3b1b2)(*383*) Vea2a3s3))(*508*))(*509*)))(*517*) 
               (*11*)(ib3b1)(*11*)))))(*520*))(*533*)))
            (*454*)(unique a3 s a2a3 s3 (conj 
             (*4*)(ia3a2)(*4*) (conj 
             (*18*)(ia3s3)(*18*) (conj 
             (*451*)(conl s s2 a2a3 (conj 
              (*14*)(iss2)(*14*) 
              (*446*)(sym a2a3 s2 Vea2a3s2)(*446*)))(*451*) 
             (*15*)(iss3)(*15*)))))(*454*))(*534*)))
          (*391*)(unique a2 b2 a2a3 s2 (conj 
           (*3*)(ia2a3)(*3*) (conj 
           (*17*)(ia2s2)(*17*) (conj 
           (*385*)(conl b2 b1b2 a2a3 (conj 
            (*8*)(ib2b1)(*8*) 
            (*383*)(sym a2a3 b1b2 Vea2a3b1b2)(*383*)))(*385*) 
           (*20*)(ib2s2)(*20*)))))(*391*))(*535*))
         (fun Vea1a2a2a3  => 
          (*540*)(false_ind goal 
           (*539*)(not12 
            (*538*)(sym b1b2 a1a2 
             (*537*)(tra b1b2 a2a3 a1a2 (conj 
              (*383*)(sym a2a3 b1b2 Vea2a3b1b2)(*383*) 
              (*536*)(sym a1a2 a2a3 Vea1a2a2a3)(*536*)))(*537*))(*538*))(*539*))(*540*)))
        (*388*)(unique a2 p3 a1a2 a2a3 (conj 
         (*2*)(ia2a1)(*2*) (conj 
         (*3*)(ia2a3)(*3*) (conj 
         (*22*)(ip3a)(*22*) 
         (*386*)(conl p3 b1b2 a2a3 (conj 
          (*23*)(ip3b)(*23*) 
          (*383*)(sym a2a3 b1b2 Vea2a3b1b2)(*383*)))(*386*)))))(*388*))(*541*)))
      (*313*)(unique a3 b1 a2a3 b1b2 (conj 
       (*4*)(ia3a2)(*4*) (conj Via3b1b2 (conj Vib1a2a3 
       (*7*)(ib1b2)(*7*)))))(*313*))(*542*))
     (fun Vib2a3a1  => 
      (*806*)(
      (or_ind 
       (fun Vea1b2  => 
        (*612*)(
        (or_ind 
         (fun Vea1p3  => 
          (*609*)(
          (or_ind 
           (fun Vea1a2  => 
            (*559*)(false_ind goal 
             (*558*)(diff_a1_a2 Vea1a2)(*558*))(*559*))
           (fun Vea1a2s2  => 
            (*608*)(
            (or_ind 
             (fun Vea1s  => 
              (*592*)(
              (or_ind 
               (fun Vea3a1  => 
                (*576*)(false_ind goal 
                 (*575*)(diff_a3_a1 Vea3a1)(*575*))(*576*))
               (fun Vea3a1s3  => 
                (*591*)(
                (or_ind 
                 (fun Vea1b3  => 
                  (*584*)(false_ind goal 
                   (*583*)(diff_b2_b3 
                    (*582*)(tra b2 a1 b3 (conj 
                     (*544*)(sym a1 b2 Vea1b2)(*544*) Vea1b3))(*582*))(*583*))(*584*))
                 (fun Vea3a1b2b3  => 
                  (*590*)(perpectivity_line a3a1 (conj 
                   (*553*)(conp p3 a1 a3a1 (conj 
                    (*550*)(sym a1 p3 Vea1p3)(*550*) 
                    (*6*)(ia1a3)(*6*)))(*553*) (conj 
                   (*589*)(conl p1 b2b3 a3a1 (conj 
                    (*25*)(ip1b)(*25*) 
                    (*585*)(sym a3a1 b2b3 Vea3a1b2b3)(*585*)))(*589*) 
                   (*26*)(ip2a)(*26*))))(*590*)))
                (*580*)(unique a1 b3 a3a1 b2b3 (conj 
                 (*6*)(ia1a3)(*6*) (conj Via1b2b3 (conj 
                 (*578*)(conl b3 s3 a3a1 (conj 
                  (*21*)(ib3s3)(*21*) 
                  (*577*)(sym a3a1 s3 Vea3a1s3)(*577*)))(*578*) 
                 (*10*)(ib3b2)(*10*)))))(*580*))(*591*)))
              (*574*)(unique a3 a1 a3a1 s3 (conj 
               (*5*)(ia3a1)(*5*) (conj 
               (*18*)(ia3s3)(*18*) (conj 
               (*6*)(ia1a3)(*6*) 
               (*568*)(conp a1 s s3 (conj Vea1s 
                (*15*)(iss3)(*15*)))(*568*)))))(*574*))(*592*))
             (fun Vea1a2s1  => 
              (*607*)(
              (or_ind 
               (fun Vea1b1  => 
                (*604*)(false_ind goal 
                 (*603*)(diff_b1_b2 
                  (*602*)(sym b2 b1 
                   (*601*)(tra b2 a1 b1 (conj 
                    (*544*)(sym a1 b2 Vea1b2)(*544*) Vea1b1))(*601*))(*602*))(*603*))(*604*))
               (fun Vea1a2b1b2  => 
                (*606*)(false_ind goal 
                 (*605*)(not12 Vea1a2b1b2)(*605*))(*606*)))
              (*599*)(unique a1 b1 a1a2 b1b2 (conj 
               (*1*)(ia1a2)(*1*) (conj 
               (*545*)(conp a1 b2 b1b2 (conj Vea1b2 
                (*8*)(ib2b1)(*8*)))(*545*) (conj 
               (*597*)(conl b1 s1 a1a2 (conj 
                (*19*)(ib1s1)(*19*) 
                (*593*)(sym a1a2 s1 Vea1a2s1)(*593*)))(*597*) 
               (*7*)(ib1b2)(*7*)))))(*599*))(*607*)))
            (*562*)(unique a1 s a1a2 s1 (conj 
             (*1*)(ia1a2)(*1*) (conj 
             (*16*)(ia1s1)(*16*) (conj 
             (*561*)(conl s s2 a1a2 (conj 
              (*14*)(iss2)(*14*) 
              (*560*)(sym a1a2 s2 Vea1a2s2)(*560*)))(*561*) 
             (*13*)(iss1)(*13*)))))(*562*))(*608*)))
          (*557*)(unique a1 a2 a1a2 s2 (conj 
           (*1*)(ia1a2)(*1*) (conj 
           (*546*)(conp a1 b2 s2 (conj Vea1b2 
            (*20*)(ib2s2)(*20*)))(*546*) (conj 
           (*2*)(ia2a1)(*2*) 
           (*17*)(ia2s2)(*17*)))))(*557*))(*609*))
         (fun Vea1a2b1b2  => 
          (*611*)(false_ind goal 
           (*610*)(not12 Vea1a2b1b2)(*610*))(*611*)))
        (*549*)(unique a1 p3 a1a2 b1b2 (conj 
         (*1*)(ia1a2)(*1*) (conj 
         (*545*)(conp a1 b2 b1b2 (conj Vea1b2 
          (*8*)(ib2b1)(*8*)))(*545*) (conj 
         (*22*)(ip3a)(*22*) 
         (*23*)(ip3b)(*23*)))))(*549*))(*612*))
       (fun Vea3a1b2b3  => 
        (*805*)(
        (or_ind 
         (fun Vea3p1  => 
          (*799*)(
          (or_ind 
           (fun Vea3b3  => 
            (*692*)(
            (or_ind 
             (fun Vea3b1  => 
              (*634*)(false_ind goal 
               (*633*)(diff_b3_b1 
                (*632*)(tra b3 a3 b1 (conj 
                 (*622*)(sym a3 b3 Vea3b3)(*622*) Vea3b1))(*632*))(*633*))(*634*))
             (fun Vea2a3b3b1  => 
              (*691*)(
              (or_ind 
               (fun Vea3p2  => 
                (*685*)(
                (ex_ind (P:=fun w_0  => i w_0 a1a2 /\ i w_0 s3)
                 (fun w_0  => (and_ind (fun Viw_0a1a2  => (fun Viw_0s3  => 
                  (*684*)(
                  (ex_ind (P:=fun w_1  => i w_1 b1b2 /\ i w_1 s3)
                   (fun w_1  => (and_ind (fun Viw_1b1b2  => (fun Viw_1s3  => 
                    (*683*)(
                    (ex_ind (P:=fun w_2  => i a1 w_2 /\ i w_1 w_2)
                     (fun w_2  => (and_ind (fun Via1w_2  => (fun Viw_1w_2  => 
                      (*682*)(
                      (ex_ind (P:=fun w_3  => i w_3 a2a3 /\ i w_3 w_2)
                       (fun w_3  => (and_ind (fun Viw_3a2a3  => (fun Viw_3w_2  => 
                        (*681*)(
                        (ex_ind (P:=fun w_4  => i w_4 s2 /\ i w_4 w_2)
                         (fun w_4  => (and_ind (fun Viw_4s2  => (fun Viw_4w_2  => 
                          (*680*)(
                          (ex_ind (P:=fun w_5  => i a2 w_5 /\ i w_1 w_5)
                           (fun w_5  => (and_ind (fun Via2w_5  => (fun Viw_1w_5  => 
                            (*679*)(
                            (ex_ind (P:=fun w_6  => i w_6 a3a1 /\ i w_6 w_5)
                             (fun w_6  => (and_ind (fun Viw_6a3a1  => (fun Viw_6w_5  => 
                              (*678*)(
                              (ex_ind (P:=fun w_7  => i w_7 s1 /\ i w_7 w_5)
                               (fun w_7  => (and_ind (fun Viw_7s1  => (fun Viw_7w_5  => 
                                (*677*)(
                                (ex_ind (P:=fun w_8  => i a3 w_8 /\ i p3 w_8)
                                 (fun w_8  => (and_ind (fun Via3w_8  => (fun Vip3w_8  => 
                                  (*676*)(perpectivity_line w_8 (conj Vip3w_8 (conj 
                                   (*673*)(conp p1 a3 w_8 (conj 
                                    (*619*)(sym a3 p1 Vea3p1)(*619*) Via3w_8))(*673*) 
                                   (*675*)(conp p2 a3 w_8 (conj 
                                    (*639*)(sym a3 p2 Vea3p2)(*639*) Via3w_8))(*675*))))(*676*))))))
                                (*671*)(join a3 p3 (conj 
                                 (*49*)(sortp a3 a2a3 
                                  (*4*)(ia3a2)(*4*))(*49*) 
                                 (*54*)(sortp p3 a1a2 
                                  (*22*)(ip3a)(*22*))(*54*)))(*671*))(*677*))))))
                              (*668*)(meet s1 w_5 (conj 
                               (*63*)(sortl s s1 
                                (*13*)(iss1)(*13*))(*63*) 
                               (*663*)(sortl a2 w_5 Via2w_5)(*663*)))(*668*))(*678*))))))
                            (*664*)(meet a3a1 w_5 (conj 
                             (*59*)(sortl a3 a3a1 
                              (*5*)(ia3a1)(*5*))(*59*) 
                             (*663*)(sortl a2 w_5 Via2w_5)(*663*)))(*664*))(*679*))))))
                          (*661*)(join a2 w_1 (conj 
                           (*48*)(sortp a2 a1a2 
                            (*2*)(ia2a1)(*2*))(*48*) 
                           (*650*)(sortp w_1 b1b2 Viw_1b1b2)(*650*)))(*661*))(*680*))))))
                        (*658*)(meet s2 w_2 (conj 
                         (*64*)(sortl s s2 
                          (*14*)(iss2)(*14*))(*64*) 
                         (*653*)(sortl a1 w_2 Via1w_2)(*653*)))(*658*))(*681*))))))
                      (*654*)(meet a2a3 w_2 (conj 
                       (*58*)(sortl a2 a2a3 
                        (*3*)(ia2a3)(*3*))(*58*) 
                       (*653*)(sortl a1 w_2 Via1w_2)(*653*)))(*654*))(*682*))))))
                    (*651*)(join a1 w_1 (conj 
                     (*47*)(sortp a1 a1a2 
                      (*1*)(ia1a2)(*1*))(*47*) 
                     (*650*)(sortp w_1 b1b2 Viw_1b1b2)(*650*)))(*651*))(*683*))))))
                  (*648*)(meet b1b2 s3 (conj 
                   (*60*)(sortl b1 b1b2 
                    (*7*)(ib1b2)(*7*))(*60*) 
                   (*65*)(sortl s s3 
                    (*15*)(iss3)(*15*))(*65*)))(*648*))(*684*))))))
                (*645*)(meet a1a2 s3 (conj 
                 (*57*)(sortl a1 a1a2 
                  (*1*)(ia1a2)(*1*))(*57*) 
                 (*65*)(sortl s s3 
                  (*15*)(iss3)(*15*))(*65*)))(*645*))(*685*))
               (fun Vea2a3a3a1  => 
                (*690*)(false_ind goal 
                 (*689*)(not23 
                  (*688*)(sym b2b3 a2a3 
                   (*687*)(tra b2b3 a3a1 a2a3 (conj 
                    (*613*)(sym a3a1 b2b3 Vea3a1b2b3)(*613*) 
                    (*686*)(sym a2a3 a3a1 Vea2a3a3a1)(*686*)))(*687*))(*688*))(*689*))(*690*)))
              (*638*)(unique a3 p2 a2a3 a3a1 (conj 
               (*4*)(ia3a2)(*4*) (conj 
               (*5*)(ia3a1)(*5*) (conj 
               (*637*)(conl p2 b3b1 a2a3 (conj 
                (*27*)(ip2b)(*27*) 
                (*635*)(sym a2a3 b3b1 Vea2a3b3b1)(*635*)))(*637*) 
               (*26*)(ip2a)(*26*)))))(*638*))(*691*)))
            (*628*)(unique a3 b1 a2a3 b3b1 (conj 
             (*4*)(ia3a2)(*4*) (conj 
             (*625*)(conp a3 b3 b3b1 (conj Vea3b3 
              (*11*)(ib3b1)(*11*)))(*625*) (conj Vib1a2a3 
             (*12*)(ib1b3)(*12*)))))(*628*))(*692*))
           (fun Vea3a1s3  => 
            (*798*)(
            (or_ind 
             (fun Vea1s  => 
              (*750*)(
              (or_ind 
               (fun Vea1a2  => 
                (*707*)(false_ind goal 
                 (*706*)(diff_a1_a2 Vea1a2)(*706*))(*707*))
               (fun Vea1a2s2  => 
                (*749*)(
                (or_ind 
                 (fun Vea1b2  => 
                  (*728*)(
                  (or_ind 
                   (fun Vea1p3  => 
                    (*725*)(perpectivity_line a3a1 (conj 
                     (*724*)(conp p3 a1 a3a1 (conj 
                      (*719*)(sym a1 p3 Vea1p3)(*719*) 
                      (*6*)(ia1a3)(*6*)))(*724*) (conj 
                     (*616*)(conl p1 b2b3 a3a1 (conj 
                      (*25*)(ip1b)(*25*) 
                      (*613*)(sym a3a1 b2b3 Vea3a1b2b3)(*613*)))(*616*) 
                     (*26*)(ip2a)(*26*))))(*725*))
                   (fun Vea1a2b1b2  => 
                    (*727*)(false_ind goal 
                     (*726*)(not12 Vea1a2b1b2)(*726*))(*727*)))
                  (*718*)(unique a1 p3 a1a2 b1b2 (conj 
                   (*1*)(ia1a2)(*1*) (conj 
                   (*715*)(conp a1 b2 b1b2 (conj Vea1b2 
                    (*8*)(ib2b1)(*8*)))(*715*) (conj 
                   (*22*)(ip3a)(*22*) 
                   (*23*)(ip3b)(*23*)))))(*718*))(*728*))
                 (fun Vea1a2a3a1  => 
                  (*748*)(triangle_b_in_a (conj Vib1a2a3 (conj Vib2a3a1 
                   (*747*)(conl b3 b2b3 a1a2 (conj 
                    (*10*)(ib3b2)(*10*) 
                    (*730*)(tra b2b3 a3a1 a1a2 (conj 
                     (*613*)(sym a3a1 b2b3 Vea3a1b2b3)(*613*) 
                     (*729*)(sym a1a2 a3a1 Vea1a2a3a1)(*729*)))(*730*)))(*747*))))(*748*)))
                (*711*)(unique a1 b2 a1a2 a3a1 (conj 
                 (*1*)(ia1a2)(*1*) (conj 
                 (*6*)(ia1a3)(*6*) (conj 
                 (*709*)(conl b2 s2 a1a2 (conj 
                  (*20*)(ib2s2)(*20*) 
                  (*708*)(sym a1a2 s2 Vea1a2s2)(*708*)))(*709*) Vib2a3a1))))(*711*))(*749*)))
              (*705*)(unique a1 a2 a1a2 s2 (conj 
               (*1*)(ia1a2)(*1*) (conj 
               (*703*)(conp a1 s s2 (conj Vea1s 
                (*14*)(iss2)(*14*)))(*703*) (conj 
               (*2*)(ia2a1)(*2*) 
               (*17*)(ia2s2)(*17*)))))(*705*))(*750*))
             (fun Vea3a1s1  => 
              (*797*)(
              (or_ind 
               (fun Vea3b1  => 
                (*791*)(
                (or_ind 
                 (fun Vea3b2  => 
                  (*778*)(false_ind goal 
                   (*777*)(diff_b1_b2 
                    (*776*)(tra b1 a3 b2 (conj 
                     (*765*)(sym a3 b1 Vea3b1)(*765*) Vea3b2))(*776*))(*777*))(*778*))
                 (fun Vea3a1b1b2  => 
                  (*790*)(perpectivity_line a3a1 (conj 
                   (*789*)(conl p3 b1b2 a3a1 (conj 
                    (*23*)(ip3b)(*23*) 
                    (*779*)(sym a3a1 b1b2 Vea3a1b1b2)(*779*)))(*789*) (conj 
                   (*616*)(conl p1 b2b3 a3a1 (conj 
                    (*25*)(ip1b)(*25*) 
                    (*613*)(sym a3a1 b2b3 Vea3a1b2b3)(*613*)))(*616*) 
                   (*26*)(ip2a)(*26*))))(*790*)))
                (*772*)(unique a3 b2 a3a1 b1b2 (conj 
                 (*5*)(ia3a1)(*5*) (conj 
                 (*768*)(conp a3 b1 b1b2 (conj Vea3b1 
                  (*7*)(ib1b2)(*7*)))(*768*) (conj Vib2a3a1 
                 (*8*)(ib2b1)(*8*)))))(*772*))(*791*))
               (fun Vea2a3a3a1  => 
                (*796*)(false_ind goal 
                 (*795*)(not23 
                  (*794*)(sym b2b3 a2a3 
                   (*793*)(tra b2b3 a3a1 a2a3 (conj 
                    (*613*)(sym a3a1 b2b3 Vea3a1b2b3)(*613*) 
                    (*792*)(sym a2a3 a3a1 Vea2a3a3a1)(*792*)))(*793*))(*794*))(*795*))(*796*)))
              (*764*)(unique a3 b1 a2a3 a3a1 (conj 
               (*4*)(ia3a2)(*4*) (conj 
               (*5*)(ia3a1)(*5*) (conj Vib1a2a3 
               (*760*)(conl b1 s1 a3a1 (conj 
                (*19*)(ib1s1)(*19*) 
                (*751*)(sym a3a1 s1 Vea3a1s1)(*751*)))(*760*)))))(*764*))(*797*)))
            (*701*)(unique a1 s a3a1 s1 (conj 
             (*6*)(ia1a3)(*6*) (conj 
             (*16*)(ia1s1)(*16*) (conj 
             (*698*)(conl s s3 a3a1 (conj 
              (*15*)(iss3)(*15*) 
              (*693*)(sym a3a1 s3 Vea3a1s3)(*693*)))(*698*) 
             (*13*)(iss1)(*13*)))))(*701*))(*798*)))
          (*621*)(unique a3 b3 a3a1 s3 (conj 
           (*5*)(ia3a1)(*5*) (conj 
           (*18*)(ia3s3)(*18*) (conj 
           (*615*)(conl b3 b2b3 a3a1 (conj 
            (*10*)(ib3b2)(*10*) 
            (*613*)(sym a3a1 b2b3 Vea3a1b2b3)(*613*)))(*615*) 
           (*21*)(ib3s3)(*21*)))))(*621*))(*799*))
         (fun Vea2a3a3a1  => 
          (*804*)(false_ind goal 
           (*803*)(not23 
            (*802*)(sym b2b3 a2a3 
             (*801*)(tra b2b3 a3a1 a2a3 (conj 
              (*613*)(sym a3a1 b2b3 Vea3a1b2b3)(*613*) 
              (*800*)(sym a2a3 a3a1 Vea2a3a3a1)(*800*)))(*801*))(*802*))(*803*))(*804*)))
        (*618*)(unique a3 p1 a2a3 a3a1 (conj 
         (*4*)(ia3a2)(*4*) (conj 
         (*5*)(ia3a1)(*5*) (conj 
         (*24*)(ip1a)(*24*) 
         (*616*)(conl p1 b2b3 a3a1 (conj 
          (*25*)(ip1b)(*25*) 
          (*613*)(sym a3a1 b2b3 Vea3a1b2b3)(*613*)))(*616*)))))(*618*))(*805*)))
      (*543*)(unique a1 b2 a3a1 b2b3 (conj 
       (*6*)(ia1a3)(*6*) (conj Via1b2b3 (conj Vib2a3a1 
       (*9*)(ib2b3)(*9*)))))(*543*))(*806*)))
    (*312*)(gap3)(*312*))(*807*)))
  (*67*)(gap2)(*67*))(*808*))
 (fun Vib3a1a2  => 
  (*1530*)(
  (or_ind 
   (fun Via2b3b1  => 
    (*1247*)(
    (or_ind 
     (fun Via3b1b2  => 
      (*1017*)(
      (or_ind 
       (fun Vea2b3  => 
        (*880*)(
        (or_ind 
         (fun Vea2p1  => 
          (*877*)(
          (or_ind 
           (fun Vea2a3  => 
            (*827*)(false_ind goal 
             (*826*)(diff_a2_a3 Vea2a3)(*826*))(*827*))
           (fun Vea2a3s3  => 
            (*876*)(
            (or_ind 
             (fun Vea2s  => 
              (*860*)(
              (or_ind 
               (fun Vea1a2  => 
                (*844*)(false_ind goal 
                 (*843*)(diff_a1_a2 Vea1a2)(*843*))(*844*))
               (fun Vea1a2s1  => 
                (*859*)(
                (or_ind 
                 (fun Vea2b1  => 
                  (*852*)(false_ind goal 
                   (*851*)(diff_b3_b1 
                    (*850*)(tra b3 a2 b1 (conj 
                     (*812*)(sym a2 b3 Vea2b3)(*812*) Vea2b1))(*850*))(*851*))(*852*))
                 (fun Vea1a2b3b1  => 
                  (*858*)(perpectivity_line b3b1 (conj 
                   (*857*)(conl p3 a1a2 b3b1 (conj 
                    (*22*)(ip3a)(*22*) Vea1a2b3b1))(*857*) (conj 
                   (*823*)(conp p1 a2 b3b1 (conj 
                    (*818*)(sym a2 p1 Vea2p1)(*818*) Via2b3b1))(*823*) 
                   (*27*)(ip2b)(*27*))))(*858*)))
                (*848*)(unique a2 b1 a1a2 b3b1 (conj 
                 (*2*)(ia2a1)(*2*) (conj Via2b3b1 (conj 
                 (*846*)(conl b1 s1 a1a2 (conj 
                  (*19*)(ib1s1)(*19*) 
                  (*845*)(sym a1a2 s1 Vea1a2s1)(*845*)))(*846*) 
                 (*12*)(ib1b3)(*12*)))))(*848*))(*859*)))
              (*842*)(unique a1 a2 a1a2 s1 (conj 
               (*1*)(ia1a2)(*1*) (conj 
               (*16*)(ia1s1)(*16*) (conj 
               (*2*)(ia2a1)(*2*) 
               (*836*)(conp a2 s s1 (conj Vea2s 
                (*13*)(iss1)(*13*)))(*836*)))))(*842*))(*860*))
             (fun Vea2a3s2  => 
              (*875*)(
              (or_ind 
               (fun Vea2b2  => 
                (*872*)(false_ind goal 
                 (*871*)(diff_b2_b3 
                  (*870*)(sym b3 b2 
                   (*869*)(tra b3 a2 b2 (conj 
                    (*812*)(sym a2 b3 Vea2b3)(*812*) Vea2b2))(*869*))(*870*))(*871*))(*872*))
               (fun Vea2a3b2b3  => 
                (*874*)(false_ind goal 
                 (*873*)(not23 Vea2a3b2b3)(*873*))(*874*)))
              (*867*)(unique a2 b2 a2a3 b2b3 (conj 
               (*3*)(ia2a3)(*3*) (conj 
               (*813*)(conp a2 b3 b2b3 (conj Vea2b3 
                (*10*)(ib3b2)(*10*)))(*813*) (conj 
               (*865*)(conl b2 s2 a2a3 (conj 
                (*20*)(ib2s2)(*20*) 
                (*861*)(sym a2a3 s2 Vea2a3s2)(*861*)))(*865*) 
               (*9*)(ib2b3)(*9*)))))(*867*))(*875*)))
            (*830*)(unique a2 s a2a3 s2 (conj 
             (*3*)(ia2a3)(*3*) (conj 
             (*17*)(ia2s2)(*17*) (conj 
             (*829*)(conl s s3 a2a3 (conj 
              (*15*)(iss3)(*15*) 
              (*828*)(sym a2a3 s3 Vea2a3s3)(*828*)))(*829*) 
             (*14*)(iss2)(*14*)))))(*830*))(*876*)))
          (*825*)(unique a2 a3 a2a3 s3 (conj 
           (*3*)(ia2a3)(*3*) (conj 
           (*814*)(conp a2 b3 s3 (conj Vea2b3 
            (*21*)(ib3s3)(*21*)))(*814*) (conj 
           (*4*)(ia3a2)(*4*) 
           (*18*)(ia3s3)(*18*)))))(*825*))(*877*))
         (fun Vea2a3b2b3  => 
          (*879*)(false_ind goal 
           (*878*)(not23 Vea2a3b2b3)(*878*))(*879*)))
        (*817*)(unique a2 p1 a2a3 b2b3 (conj 
         (*3*)(ia2a3)(*3*) (conj 
         (*813*)(conp a2 b3 b2b3 (conj Vea2b3 
          (*10*)(ib3b2)(*10*)))(*813*) (conj 
         (*24*)(ip1a)(*24*) 
         (*25*)(ip1b)(*25*)))))(*817*))(*880*))
       (fun Vea1a2b3b1  => 
        (*1016*)(
        (or_ind 
         (fun Vea1p2  => 
          (*1010*)(
          (or_ind 
           (fun Vea1b1  => 
            (*927*)(
            (or_ind 
             (fun Vea1p3  => 
              (*924*)(
              (or_ind 
               (fun Vea3a1  => 
                (*906*)(false_ind goal 
                 (*905*)(diff_a3_a1 Vea3a1)(*905*))(*906*))
               (fun Vea3a1b1b2  => 
                (*923*)(
                (ex_ind (P:=fun w_0  => i w_0 a2a3 /\ i w_0 s1)
                 (fun w_0  => (and_ind (fun Viw_0a2a3  => (fun Viw_0s1  => 
                  (*922*)(
                  (ex_ind (P:=fun w_1  => i w_1 b2b3 /\ i w_1 s1)
                   (fun w_1  => (and_ind (fun Viw_1b2b3  => (fun Viw_1s1  => 
                    (*921*)(
                    (ex_ind (P:=fun w_2  => i a1 w_2 /\ i p1 w_2)
                     (fun w_2  => (and_ind (fun Via1w_2  => (fun Vip1w_2  => 
                      (*920*)(perpectivity_line w_2 (conj 
                       (*919*)(conp p3 a1 w_2 (conj 
                        (*897*)(sym a1 p3 Vea1p3)(*897*) Via1w_2))(*919*) (conj Vip1w_2 
                       (*917*)(conp p2 a1 w_2 (conj 
                        (*887*)(sym a1 p2 Vea1p2)(*887*) Via1w_2))(*917*))))(*920*))))))
                    (*915*)(join a1 p1 (conj 
                     (*47*)(sortp a1 a1a2 
                      (*1*)(ia1a2)(*1*))(*47*) 
                     (*55*)(sortp p1 a2a3 
                      (*24*)(ip1a)(*24*))(*55*)))(*915*))(*921*))))))
                  (*912*)(meet b2b3 s1 (conj 
                   (*61*)(sortl b2 b2b3 
                    (*9*)(ib2b3)(*9*))(*61*) 
                   (*63*)(sortl s s1 
                    (*13*)(iss1)(*13*))(*63*)))(*912*))(*922*))))))
                (*909*)(meet a2a3 s1 (conj 
                 (*58*)(sortl a2 a2a3 
                  (*3*)(ia2a3)(*3*))(*58*) 
                 (*63*)(sortl s s1 
                  (*13*)(iss1)(*13*))(*63*)))(*909*))(*923*)))
              (*904*)(unique a3 a1 a3a1 b1b2 (conj 
               (*5*)(ia3a1)(*5*) (conj Via3b1b2 (conj 
               (*6*)(ia1a3)(*6*) 
               (*893*)(conp a1 b1 b1b2 (conj Vea1b1 
                (*7*)(ib1b2)(*7*)))(*893*)))))(*904*))(*924*))
             (fun Vea1a2b1b2  => 
              (*926*)(false_ind goal 
               (*925*)(not12 Vea1a2b1b2)(*925*))(*926*)))
            (*896*)(unique a1 p3 a1a2 b1b2 (conj 
             (*1*)(ia1a2)(*1*) (conj 
             (*893*)(conp a1 b1 b1b2 (conj Vea1b1 
              (*7*)(ib1b2)(*7*)))(*893*) (conj 
             (*22*)(ip3a)(*22*) 
             (*23*)(ip3b)(*23*)))))(*896*))(*927*))
           (fun Vea1a2s1  => 
            (*1009*)(
            (or_ind 
             (fun Vea2s  => 
              (*987*)(
              (or_ind 
               (fun Vea2b3  => 
                (*964*)(
                (or_ind 
                 (fun Vea2a3  => 
                  (*950*)(false_ind goal 
                   (*949*)(diff_a2_a3 Vea2a3)(*949*))(*950*))
                 (fun Vea2a3s3  => 
                  (*963*)(
                  (or_ind 
                   (fun Vea2p1  => 
                    (*960*)(perpectivity_line a1a2 (conj 
                     (*22*)(ip3a)(*22*) (conj 
                     (*959*)(conp p1 a2 a1a2 (conj 
                      (*954*)(sym a2 p1 Vea2p1)(*954*) 
                      (*2*)(ia2a1)(*2*)))(*959*) 
                     (*885*)(conl p2 b3b1 a1a2 (conj 
                      (*27*)(ip2b)(*27*) 
                      (*881*)(sym a1a2 b3b1 Vea1a2b3b1)(*881*)))(*885*))))(*960*))
                   (fun Vea2a3b2b3  => 
                    (*962*)(false_ind goal 
                     (*961*)(not23 Vea2a3b2b3)(*961*))(*962*)))
                  (*953*)(unique a2 p1 a2a3 b2b3 (conj 
                   (*3*)(ia2a3)(*3*) (conj 
                   (*944*)(conp a2 b3 b2b3 (conj Vea2b3 
                    (*10*)(ib3b2)(*10*)))(*944*) (conj 
                   (*24*)(ip1a)(*24*) 
                   (*25*)(ip1b)(*25*)))))(*953*))(*963*)))
                (*948*)(unique a2 a3 a2a3 s3 (conj 
                 (*3*)(ia2a3)(*3*) (conj 
                 (*938*)(conp a2 s s3 (conj Vea2s 
                  (*15*)(iss3)(*15*)))(*938*) (conj 
                 (*4*)(ia3a2)(*4*) 
                 (*18*)(ia3s3)(*18*)))))(*948*))(*964*))
               (fun Vea1a2s3  => 
                (*986*)(
                (or_ind 
                 (fun Vea1a3  => 
                  (*980*)(false_ind goal 
                   (*979*)(diff_a3_a1 
                    (*978*)(sym a1 a3 Vea1a3)(*978*))(*979*))(*980*))
                 (fun Vea1a2a3a1  => 
                  (*985*)(false_ind goal 
                   (*984*)(not31 
                    (*983*)(sym b3b1 a3a1 
                     (*982*)(tra b3b1 a1a2 a3a1 (conj 
                      (*881*)(sym a1a2 b3b1 Vea1a2b3b1)(*881*) Vea1a2a3a1))(*982*))(*983*))(*984*))(*985*)))
                (*977*)(unique a1 a3 a1a2 a3a1 (conj 
                 (*1*)(ia1a2)(*1*) (conj 
                 (*6*)(ia1a3)(*6*) (conj 
                 (*973*)(conl a3 s3 a1a2 (conj 
                  (*18*)(ia3s3)(*18*) 
                  (*965*)(sym a1a2 s3 Vea1a2s3)(*965*)))(*973*) 
                 (*5*)(ia3a1)(*5*)))))(*977*))(*986*)))
              (*940*)(unique a2 b3 a1a2 s3 (conj 
               (*2*)(ia2a1)(*2*) (conj 
               (*938*)(conp a2 s s3 (conj Vea2s 
                (*15*)(iss3)(*15*)))(*938*) (conj Vib3a1a2 
               (*21*)(ib3s3)(*21*)))))(*940*))(*987*))
             (fun Vea1a2s2  => 
              (*1008*)(
              (or_ind 
               (fun Veb1b2  => 
                (*1003*)(false_ind goal 
                 (*1002*)(diff_b1_b2 Veb1b2)(*1002*))(*1003*))
               (fun Veb1b2b3b1  => 
                (*1007*)(false_ind goal 
                 (*1006*)(not12 
                  (*1005*)(tra a1a2 b3b1 b1b2 (conj Vea1a2b3b1 
                   (*1004*)(sym b1b2 b3b1 Veb1b2b3b1)(*1004*)))(*1005*))(*1006*))(*1007*)))
              (*1001*)(unique b1 b2 b1b2 b3b1 (conj 
               (*7*)(ib1b2)(*7*) (conj 
               (*12*)(ib1b3)(*12*) (conj 
               (*8*)(ib2b1)(*8*) 
               (*998*)(conl b2 s2 b3b1 (conj 
                (*20*)(ib2s2)(*20*) 
                (*990*)(sym b3b1 s2 
                 (*989*)(tra b3b1 a1a2 s2 (conj 
                  (*881*)(sym a1a2 b3b1 Vea1a2b3b1)(*881*) Vea1a2s2))(*989*))(*990*)))(*998*)))))(*1001*))(*1008*)))
            (*936*)(unique a2 s a1a2 s2 (conj 
             (*2*)(ia2a1)(*2*) (conj 
             (*17*)(ia2s2)(*17*) (conj 
             (*933*)(conl s s1 a1a2 (conj 
              (*13*)(iss1)(*13*) 
              (*928*)(sym a1a2 s1 Vea1a2s1)(*928*)))(*933*) 
             (*14*)(iss2)(*14*)))))(*936*))(*1009*)))
          (*889*)(unique a1 b1 a1a2 s1 (conj 
           (*1*)(ia1a2)(*1*) (conj 
           (*16*)(ia1s1)(*16*) (conj 
           (*883*)(conl b1 b3b1 a1a2 (conj 
            (*12*)(ib1b3)(*12*) 
            (*881*)(sym a1a2 b3b1 Vea1a2b3b1)(*881*)))(*883*) 
           (*19*)(ib1s1)(*19*)))))(*889*))(*1010*))
         (fun Vea1a2a3a1  => 
          (*1015*)(false_ind goal 
           (*1014*)(not31 
            (*1013*)(sym b3b1 a3a1 
             (*1012*)(tra b3b1 a1a2 a3a1 (conj 
              (*881*)(sym a1a2 b3b1 Vea1a2b3b1)(*881*) Vea1a2a3a1))(*1012*))(*1013*))(*1014*))(*1015*)))
        (*886*)(unique a1 p2 a1a2 a3a1 (conj 
         (*1*)(ia1a2)(*1*) (conj 
         (*6*)(ia1a3)(*6*) (conj 
         (*885*)(conl p2 b3b1 a1a2 (conj 
          (*27*)(ip2b)(*27*) 
          (*881*)(sym a1a2 b3b1 Vea1a2b3b1)(*881*)))(*885*) 
         (*26*)(ip2a)(*26*)))))(*886*))(*1016*)))
      (*811*)(unique a2 b3 a1a2 b3b1 (conj 
       (*2*)(ia2a1)(*2*) (conj Via2b3b1 (conj Vib3a1a2 
       (*11*)(ib3b1)(*11*)))))(*811*))(*1017*))
     (fun Vib2a3a1  => 
      (*1246*)(
      (or_ind 
       (fun Vea2b3  => 
        (*1087*)(
        (or_ind 
         (fun Vea2p1  => 
          (*1084*)(
          (or_ind 
           (fun Vea2a3  => 
            (*1034*)(false_ind goal 
             (*1033*)(diff_a2_a3 Vea2a3)(*1033*))(*1034*))
           (fun Vea2a3s3  => 
            (*1083*)(
            (or_ind 
             (fun Vea2s  => 
              (*1067*)(
              (or_ind 
               (fun Vea1a2  => 
                (*1051*)(false_ind goal 
                 (*1050*)(diff_a1_a2 Vea1a2)(*1050*))(*1051*))
               (fun Vea1a2s1  => 
                (*1066*)(
                (or_ind 
                 (fun Vea2b1  => 
                  (*1059*)(false_ind goal 
                   (*1058*)(diff_b3_b1 
                    (*1057*)(tra b3 a2 b1 (conj 
                     (*1019*)(sym a2 b3 Vea2b3)(*1019*) Vea2b1))(*1057*))(*1058*))(*1059*))
                 (fun Vea1a2b3b1  => 
                  (*1065*)(perpectivity_line b3b1 (conj 
                   (*1064*)(conl p3 a1a2 b3b1 (conj 
                    (*22*)(ip3a)(*22*) Vea1a2b3b1))(*1064*) (conj 
                   (*1030*)(conp p1 a2 b3b1 (conj 
                    (*1025*)(sym a2 p1 Vea2p1)(*1025*) Via2b3b1))(*1030*) 
                   (*27*)(ip2b)(*27*))))(*1065*)))
                (*1055*)(unique a2 b1 a1a2 b3b1 (conj 
                 (*2*)(ia2a1)(*2*) (conj Via2b3b1 (conj 
                 (*1053*)(conl b1 s1 a1a2 (conj 
                  (*19*)(ib1s1)(*19*) 
                  (*1052*)(sym a1a2 s1 Vea1a2s1)(*1052*)))(*1053*) 
                 (*12*)(ib1b3)(*12*)))))(*1055*))(*1066*)))
              (*1049*)(unique a1 a2 a1a2 s1 (conj 
               (*1*)(ia1a2)(*1*) (conj 
               (*16*)(ia1s1)(*16*) (conj 
               (*2*)(ia2a1)(*2*) 
               (*1043*)(conp a2 s s1 (conj Vea2s 
                (*13*)(iss1)(*13*)))(*1043*)))))(*1049*))(*1067*))
             (fun Vea2a3s2  => 
              (*1082*)(
              (or_ind 
               (fun Vea2b2  => 
                (*1079*)(false_ind goal 
                 (*1078*)(diff_b2_b3 
                  (*1077*)(sym b3 b2 
                   (*1076*)(tra b3 a2 b2 (conj 
                    (*1019*)(sym a2 b3 Vea2b3)(*1019*) Vea2b2))(*1076*))(*1077*))(*1078*))(*1079*))
               (fun Vea2a3b2b3  => 
                (*1081*)(false_ind goal 
                 (*1080*)(not23 Vea2a3b2b3)(*1080*))(*1081*)))
              (*1074*)(unique a2 b2 a2a3 b2b3 (conj 
               (*3*)(ia2a3)(*3*) (conj 
               (*1020*)(conp a2 b3 b2b3 (conj Vea2b3 
                (*10*)(ib3b2)(*10*)))(*1020*) (conj 
               (*1072*)(conl b2 s2 a2a3 (conj 
                (*20*)(ib2s2)(*20*) 
                (*1068*)(sym a2a3 s2 Vea2a3s2)(*1068*)))(*1072*) 
               (*9*)(ib2b3)(*9*)))))(*1074*))(*1082*)))
            (*1037*)(unique a2 s a2a3 s2 (conj 
             (*3*)(ia2a3)(*3*) (conj 
             (*17*)(ia2s2)(*17*) (conj 
             (*1036*)(conl s s3 a2a3 (conj 
              (*15*)(iss3)(*15*) 
              (*1035*)(sym a2a3 s3 Vea2a3s3)(*1035*)))(*1036*) 
             (*14*)(iss2)(*14*)))))(*1037*))(*1083*)))
          (*1032*)(unique a2 a3 a2a3 s3 (conj 
           (*3*)(ia2a3)(*3*) (conj 
           (*1021*)(conp a2 b3 s3 (conj Vea2b3 
            (*21*)(ib3s3)(*21*)))(*1021*) (conj 
           (*4*)(ia3a2)(*4*) 
           (*18*)(ia3s3)(*18*)))))(*1032*))(*1084*))
         (fun Vea2a3b2b3  => 
          (*1086*)(false_ind goal 
           (*1085*)(not23 Vea2a3b2b3)(*1085*))(*1086*)))
        (*1024*)(unique a2 p1 a2a3 b2b3 (conj 
         (*3*)(ia2a3)(*3*) (conj 
         (*1020*)(conp a2 b3 b2b3 (conj Vea2b3 
          (*10*)(ib3b2)(*10*)))(*1020*) (conj 
         (*24*)(ip1a)(*24*) 
         (*25*)(ip1b)(*25*)))))(*1024*))(*1087*))
       (fun Vea1a2b3b1  => 
        (*1245*)(
        (or_ind 
         (fun Vea1p2  => 
          (*1239*)(
          (or_ind 
           (fun Vea1b1  => 
            (*1138*)(
            (or_ind 
             (fun Vea1p3  => 
              (*1135*)(
              (or_ind 
               (fun Vea1b2  => 
                (*1117*)(false_ind goal 
                 (*1116*)(diff_b1_b2 
                  (*1115*)(tra b1 a1 b2 (conj 
                   (*1097*)(sym a1 b1 Vea1b1)(*1097*) Vea1b2))(*1115*))(*1116*))(*1117*))
               (fun Vea3a1b1b2  => 
                (*1134*)(
                (ex_ind (P:=fun w_0  => i w_0 a2a3 /\ i w_0 s1)
                 (fun w_0  => (and_ind (fun Viw_0a2a3  => (fun Viw_0s1  => 
                  (*1133*)(
                  (ex_ind (P:=fun w_1  => i w_1 b2b3 /\ i w_1 s1)
                   (fun w_1  => (and_ind (fun Viw_1b2b3  => (fun Viw_1s1  => 
                    (*1132*)(
                    (ex_ind (P:=fun w_2  => i a1 w_2 /\ i p1 w_2)
                     (fun w_2  => (and_ind (fun Via1w_2  => (fun Vip1w_2  => 
                      (*1131*)(perpectivity_line w_2 (conj 
                       (*1130*)(conp p3 a1 w_2 (conj 
                        (*1104*)(sym a1 p3 Vea1p3)(*1104*) Via1w_2))(*1130*) (conj Vip1w_2 
                       (*1128*)(conp p2 a1 w_2 (conj 
                        (*1094*)(sym a1 p2 Vea1p2)(*1094*) Via1w_2))(*1128*))))(*1131*))))))
                    (*1126*)(join a1 p1 (conj 
                     (*47*)(sortp a1 a1a2 
                      (*1*)(ia1a2)(*1*))(*47*) 
                     (*55*)(sortp p1 a2a3 
                      (*24*)(ip1a)(*24*))(*55*)))(*1126*))(*1132*))))))
                  (*1123*)(meet b2b3 s1 (conj 
                   (*61*)(sortl b2 b2b3 
                    (*9*)(ib2b3)(*9*))(*61*) 
                   (*63*)(sortl s s1 
                    (*13*)(iss1)(*13*))(*63*)))(*1123*))(*1133*))))))
                (*1120*)(meet a2a3 s1 (conj 
                 (*58*)(sortl a2 a2a3 
                  (*3*)(ia2a3)(*3*))(*58*) 
                 (*63*)(sortl s s1 
                  (*13*)(iss1)(*13*))(*63*)))(*1120*))(*1134*)))
              (*1111*)(unique a1 b2 a3a1 b1b2 (conj 
               (*6*)(ia1a3)(*6*) (conj 
               (*1100*)(conp a1 b1 b1b2 (conj Vea1b1 
                (*7*)(ib1b2)(*7*)))(*1100*) (conj Vib2a3a1 
               (*8*)(ib2b1)(*8*)))))(*1111*))(*1135*))
             (fun Vea1a2b1b2  => 
              (*1137*)(false_ind goal 
               (*1136*)(not12 Vea1a2b1b2)(*1136*))(*1137*)))
            (*1103*)(unique a1 p3 a1a2 b1b2 (conj 
             (*1*)(ia1a2)(*1*) (conj 
             (*1100*)(conp a1 b1 b1b2 (conj Vea1b1 
              (*7*)(ib1b2)(*7*)))(*1100*) (conj 
             (*22*)(ip3a)(*22*) 
             (*23*)(ip3b)(*23*)))))(*1103*))(*1138*))
           (fun Vea1a2s1  => 
            (*1238*)(
            (or_ind 
             (fun Vea2s  => 
              (*1198*)(
              (or_ind 
               (fun Vea2b3  => 
                (*1175*)(
                (or_ind 
                 (fun Vea2a3  => 
                  (*1161*)(false_ind goal 
                   (*1160*)(diff_a2_a3 Vea2a3)(*1160*))(*1161*))
                 (fun Vea2a3s3  => 
                  (*1174*)(
                  (or_ind 
                   (fun Vea2p1  => 
                    (*1171*)(perpectivity_line a1a2 (conj 
                     (*22*)(ip3a)(*22*) (conj 
                     (*1170*)(conp p1 a2 a1a2 (conj 
                      (*1165*)(sym a2 p1 Vea2p1)(*1165*) 
                      (*2*)(ia2a1)(*2*)))(*1170*) 
                     (*1092*)(conl p2 b3b1 a1a2 (conj 
                      (*27*)(ip2b)(*27*) 
                      (*1088*)(sym a1a2 b3b1 Vea1a2b3b1)(*1088*)))(*1092*))))(*1171*))
                   (fun Vea2a3b2b3  => 
                    (*1173*)(false_ind goal 
                     (*1172*)(not23 Vea2a3b2b3)(*1172*))(*1173*)))
                  (*1164*)(unique a2 p1 a2a3 b2b3 (conj 
                   (*3*)(ia2a3)(*3*) (conj 
                   (*1155*)(conp a2 b3 b2b3 (conj Vea2b3 
                    (*10*)(ib3b2)(*10*)))(*1155*) (conj 
                   (*24*)(ip1a)(*24*) 
                   (*25*)(ip1b)(*25*)))))(*1164*))(*1174*)))
                (*1159*)(unique a2 a3 a2a3 s3 (conj 
                 (*3*)(ia2a3)(*3*) (conj 
                 (*1149*)(conp a2 s s3 (conj Vea2s 
                  (*15*)(iss3)(*15*)))(*1149*) (conj 
                 (*4*)(ia3a2)(*4*) 
                 (*18*)(ia3s3)(*18*)))))(*1159*))(*1175*))
               (fun Vea1a2s3  => 
                (*1197*)(
                (or_ind 
                 (fun Vea1a3  => 
                  (*1191*)(false_ind goal 
                   (*1190*)(diff_a3_a1 
                    (*1189*)(sym a1 a3 Vea1a3)(*1189*))(*1190*))(*1191*))
                 (fun Vea1a2a3a1  => 
                  (*1196*)(false_ind goal 
                   (*1195*)(not31 
                    (*1194*)(sym b3b1 a3a1 
                     (*1193*)(tra b3b1 a1a2 a3a1 (conj 
                      (*1088*)(sym a1a2 b3b1 Vea1a2b3b1)(*1088*) Vea1a2a3a1))(*1193*))(*1194*))(*1195*))(*1196*)))
                (*1188*)(unique a1 a3 a1a2 a3a1 (conj 
                 (*1*)(ia1a2)(*1*) (conj 
                 (*6*)(ia1a3)(*6*) (conj 
                 (*1184*)(conl a3 s3 a1a2 (conj 
                  (*18*)(ia3s3)(*18*) 
                  (*1176*)(sym a1a2 s3 Vea1a2s3)(*1176*)))(*1184*) 
                 (*5*)(ia3a1)(*5*)))))(*1188*))(*1197*)))
              (*1151*)(unique a2 b3 a1a2 s3 (conj 
               (*2*)(ia2a1)(*2*) (conj 
               (*1149*)(conp a2 s s3 (conj Vea2s 
                (*15*)(iss3)(*15*)))(*1149*) (conj Vib3a1a2 
               (*21*)(ib3s3)(*21*)))))(*1151*))(*1198*))
             (fun Vea1a2s2  => 
              (*1237*)(
              (or_ind 
               (fun Vea1b2  => 
                (*1231*)(
                (or_ind 
                 (fun Vea1p3  => 
                  (*1228*)(perpectivity_line b2b3 (conj 
                   (*1227*)(conp p3 a1 b2b3 (conj 
                    (*1221*)(sym a1 p3 Vea1p3)(*1221*) 
                    (*1218*)(conp a1 b2 b2b3 (conj Vea1b2 
                     (*9*)(ib2b3)(*9*)))(*1218*)))(*1227*) (conj 
                   (*25*)(ip1b)(*25*) 
                   (*1219*)(conp p2 a1 b2b3 (conj 
                    (*1094*)(sym a1 p2 Vea1p2)(*1094*) 
                    (*1218*)(conp a1 b2 b2b3 (conj Vea1b2 
                     (*9*)(ib2b3)(*9*)))(*1218*)))(*1219*))))(*1228*))
                 (fun Vea1a2b1b2  => 
                  (*1230*)(false_ind goal 
                   (*1229*)(not12 Vea1a2b1b2)(*1229*))(*1230*)))
                (*1220*)(unique a1 p3 a1a2 b1b2 (conj 
                 (*1*)(ia1a2)(*1*) (conj 
                 (*1216*)(conp a1 b2 b1b2 (conj Vea1b2 
                  (*8*)(ib2b1)(*8*)))(*1216*) (conj 
                 (*22*)(ip3a)(*22*) 
                 (*23*)(ip3b)(*23*)))))(*1220*))(*1231*))
               (fun Vea1a2a3a1  => 
                (*1236*)(false_ind goal 
                 (*1235*)(not31 
                  (*1234*)(sym b3b1 a3a1 
                   (*1233*)(tra b3b1 a1a2 a3a1 (conj 
                    (*1088*)(sym a1a2 b3b1 Vea1a2b3b1)(*1088*) Vea1a2a3a1))(*1233*))(*1234*))(*1235*))(*1236*)))
              (*1212*)(unique a1 b2 a1a2 a3a1 (conj 
               (*1*)(ia1a2)(*1*) (conj 
               (*6*)(ia1a3)(*6*) (conj 
               (*1208*)(conl b2 s2 a1a2 (conj 
                (*20*)(ib2s2)(*20*) 
                (*1199*)(sym a1a2 s2 Vea1a2s2)(*1199*)))(*1208*) Vib2a3a1))))(*1212*))(*1237*)))
            (*1147*)(unique a2 s a1a2 s2 (conj 
             (*2*)(ia2a1)(*2*) (conj 
             (*17*)(ia2s2)(*17*) (conj 
             (*1144*)(conl s s1 a1a2 (conj 
              (*13*)(iss1)(*13*) 
              (*1139*)(sym a1a2 s1 Vea1a2s1)(*1139*)))(*1144*) 
             (*14*)(iss2)(*14*)))))(*1147*))(*1238*)))
          (*1096*)(unique a1 b1 a1a2 s1 (conj 
           (*1*)(ia1a2)(*1*) (conj 
           (*16*)(ia1s1)(*16*) (conj 
           (*1090*)(conl b1 b3b1 a1a2 (conj 
            (*12*)(ib1b3)(*12*) 
            (*1088*)(sym a1a2 b3b1 Vea1a2b3b1)(*1088*)))(*1090*) 
           (*19*)(ib1s1)(*19*)))))(*1096*))(*1239*))
         (fun Vea1a2a3a1  => 
          (*1244*)(false_ind goal 
           (*1243*)(not31 
            (*1242*)(sym b3b1 a3a1 
             (*1241*)(tra b3b1 a1a2 a3a1 (conj 
              (*1088*)(sym a1a2 b3b1 Vea1a2b3b1)(*1088*) Vea1a2a3a1))(*1241*))(*1242*))(*1243*))(*1244*)))
        (*1093*)(unique a1 p2 a1a2 a3a1 (conj 
         (*1*)(ia1a2)(*1*) (conj 
         (*6*)(ia1a3)(*6*) (conj 
         (*1092*)(conl p2 b3b1 a1a2 (conj 
          (*27*)(ip2b)(*27*) 
          (*1088*)(sym a1a2 b3b1 Vea1a2b3b1)(*1088*)))(*1092*) 
         (*26*)(ip2a)(*26*)))))(*1093*))(*1245*)))
      (*1018*)(unique a2 b3 a1a2 b3b1 (conj 
       (*2*)(ia2a1)(*2*) (conj Via2b3b1 (conj Vib3a1a2 
       (*11*)(ib3b1)(*11*)))))(*1018*))(*1246*)))
    (*810*)(gap3)(*810*))(*1247*))
   (fun Vib1a2a3  => 
    (*1529*)(
    (or_ind 
     (fun Via3b1b2  => 
      (*1527*)(
      (or_ind 
       (fun Vea3b1  => 
        (*1351*)(
        (or_ind 
         (fun Vea3p2  => 
          (*1348*)(
          (or_ind 
           (fun Vea3a1  => 
            (*1265*)(false_ind goal 
             (*1264*)(diff_a3_a1 Vea3a1)(*1264*))(*1265*))
           (fun Vea3a1s1  => 
            (*1347*)(
            (or_ind 
             (fun Vea3s  => 
              (*1298*)(
              (or_ind 
               (fun Vea2a3  => 
                (*1282*)(false_ind goal 
                 (*1281*)(diff_a2_a3 Vea2a3)(*1281*))(*1282*))
               (fun Vea2a3s2  => 
                (*1297*)(
                (or_ind 
                 (fun Vea3b2  => 
                  (*1290*)(false_ind goal 
                   (*1289*)(diff_b1_b2 
                    (*1288*)(tra b1 a3 b2 (conj 
                     (*1250*)(sym a3 b1 Vea3b1)(*1250*) Vea3b2))(*1288*))(*1289*))(*1290*))
                 (fun Vea2a3b1b2  => 
                  (*1296*)(perpectivity_line a2a3 (conj 
                   (*1295*)(conl p3 b1b2 a2a3 (conj 
                    (*23*)(ip3b)(*23*) 
                    (*1291*)(sym a2a3 b1b2 Vea2a3b1b2)(*1291*)))(*1295*) (conj 
                   (*24*)(ip1a)(*24*) 
                   (*1259*)(conp p2 a3 a2a3 (conj 
                    (*1256*)(sym a3 p2 Vea3p2)(*1256*) 
                    (*4*)(ia3a2)(*4*)))(*1259*))))(*1296*)))
                (*1286*)(unique a3 b2 a2a3 b1b2 (conj 
                 (*4*)(ia3a2)(*4*) (conj Via3b1b2 (conj 
                 (*1284*)(conl b2 s2 a2a3 (conj 
                  (*20*)(ib2s2)(*20*) 
                  (*1283*)(sym a2a3 s2 Vea2a3s2)(*1283*)))(*1284*) 
                 (*8*)(ib2b1)(*8*)))))(*1286*))(*1297*)))
              (*1280*)(unique a2 a3 a2a3 s2 (conj 
               (*3*)(ia2a3)(*3*) (conj 
               (*17*)(ia2s2)(*17*) (conj 
               (*4*)(ia3a2)(*4*) 
               (*1274*)(conp a3 s s2 (conj Vea3s 
                (*14*)(iss2)(*14*)))(*1274*)))))(*1280*))(*1298*))
             (fun Vea3a1s3  => 
              (*1346*)(
              (or_ind 
               (fun Vea1b3  => 
                (*1314*)(
                (or_ind 
                 (fun Vea3a1  => 
                  (*1311*)(false_ind goal 
                   (*1310*)(diff_a3_a1 Vea3a1)(*1310*))(*1311*))
                 (fun Vea3a1b3b1  => 
                  (*1313*)(false_ind goal 
                   (*1312*)(not31 Vea3a1b3b1)(*1312*))(*1313*)))
                (*1309*)(unique a3 a1 a3a1 b3b1 (conj 
                 (*5*)(ia3a1)(*5*) (conj 
                 (*1251*)(conp a3 b1 b3b1 (conj Vea3b1 
                  (*12*)(ib1b3)(*12*)))(*1251*) (conj 
                 (*6*)(ia1a3)(*6*) 
                 (*1308*)(conp a1 b3 b3b1 (conj Vea1b3 
                  (*11*)(ib3b1)(*11*)))(*1308*)))))(*1309*))(*1314*))
               (fun Vea1a2a3a1  => 
                (*1345*)(
                (or_ind 
                 (fun Vea2a3  => 
                  (*1332*)(false_ind goal 
                   (*1331*)(diff_a2_a3 Vea2a3)(*1331*))(*1332*))
                 (fun Vea1a2a2a3  => 
                  (*1344*)(perpectivity_line a2a3 (conj 
                   (*1343*)(conl p3 a1a2 a2a3 (conj 
                    (*22*)(ip3a)(*22*) Vea1a2a2a3))(*1343*) (conj 
                   (*24*)(ip1a)(*24*) 
                   (*1259*)(conp p2 a3 a2a3 (conj 
                    (*1256*)(sym a3 p2 Vea3p2)(*1256*) 
                    (*4*)(ia3a2)(*4*)))(*1259*))))(*1344*)))
                (*1330*)(unique a2 a3 a1a2 a2a3 (conj 
                 (*2*)(ia2a1)(*2*) (conj 
                 (*3*)(ia2a3)(*3*) (conj 
                 (*1323*)(conl a3 a3a1 a1a2 (conj 
                  (*5*)(ia3a1)(*5*) 
                  (*1315*)(sym a1a2 a3a1 Vea1a2a3a1)(*1315*)))(*1323*) 
                 (*4*)(ia3a2)(*4*)))))(*1330*))(*1345*)))
              (*1305*)(unique a1 b3 a1a2 a3a1 (conj 
               (*1*)(ia1a2)(*1*) (conj 
               (*6*)(ia1a3)(*6*) (conj Vib3a1a2 
               (*1303*)(conl b3 s3 a3a1 (conj 
                (*21*)(ib3s3)(*21*) 
                (*1299*)(sym a3a1 s3 Vea3a1s3)(*1299*)))(*1303*)))))(*1305*))(*1346*)))
            (*1268*)(unique a3 s a3a1 s3 (conj 
             (*5*)(ia3a1)(*5*) (conj 
             (*18*)(ia3s3)(*18*) (conj 
             (*1267*)(conl s s1 a3a1 (conj 
              (*13*)(iss1)(*13*) 
              (*1266*)(sym a3a1 s1 Vea3a1s1)(*1266*)))(*1267*) 
             (*15*)(iss3)(*15*)))))(*1268*))(*1347*)))
          (*1263*)(unique a3 a1 a3a1 s1 (conj 
           (*5*)(ia3a1)(*5*) (conj 
           (*1252*)(conp a3 b1 s1 (conj Vea3b1 
            (*19*)(ib1s1)(*19*)))(*1252*) (conj 
           (*6*)(ia1a3)(*6*) 
           (*16*)(ia1s1)(*16*)))))(*1263*))(*1348*))
         (fun Vea3a1b3b1  => 
          (*1350*)(false_ind goal 
           (*1349*)(not31 Vea3a1b3b1)(*1349*))(*1350*)))
        (*1255*)(unique a3 p2 a3a1 b3b1 (conj 
         (*5*)(ia3a1)(*5*) (conj 
         (*1251*)(conp a3 b1 b3b1 (conj Vea3b1 
          (*12*)(ib1b3)(*12*)))(*1251*) (conj 
         (*26*)(ip2a)(*26*) 
         (*27*)(ip2b)(*27*)))))(*1255*))(*1351*))
       (fun Vea2a3b1b2  => 
        (*1526*)(
        (or_ind 
         (fun Vea2p3  => 
          (*1520*)(
          (or_ind 
           (fun Vea2b2  => 
            (*1418*)(
            (or_ind 
             (fun Vea2b3  => 
              (*1373*)(false_ind goal 
               (*1372*)(diff_b2_b3 
                (*1371*)(tra b2 a2 b3 (conj 
                 (*1361*)(sym a2 b2 Vea2b2)(*1361*) Vea2b3))(*1371*))(*1372*))(*1373*))
             (fun Vea1a2b2b3  => 
              (*1417*)(
              (or_ind 
               (fun Vea2p1  => 
                (*1411*)(
                (ex_ind (P:=fun w_0  => i w_0 a3a1 /\ i w_0 s2)
                 (fun w_0  => (and_ind (fun Viw_0a3a1  => (fun Viw_0s2  => 
                  (*1410*)(
                  (ex_ind (P:=fun w_1  => i w_1 b3b1 /\ i w_1 s2)
                   (fun w_1  => (and_ind (fun Viw_1b3b1  => (fun Viw_1s2  => 
                    (*1409*)(
                    (ex_ind (P:=fun w_2  => i a1 w_2 /\ i w_1 w_2)
                     (fun w_2  => (and_ind (fun Via1w_2  => (fun Viw_1w_2  => 
                      (*1408*)(
                      (ex_ind (P:=fun w_3  => i w_3 a2a3 /\ i w_3 w_2)
                       (fun w_3  => (and_ind (fun Viw_3a2a3  => (fun Viw_3w_2  => 
                        (*1407*)(
                        (ex_ind (P:=fun w_4  => i w_4 s3 /\ i w_4 w_2)
                         (fun w_4  => (and_ind (fun Viw_4s3  => (fun Viw_4w_2  => 
                          (*1406*)(
                          (ex_ind (P:=fun w_5  => i a2 w_5 /\ i p2 w_5)
                           (fun w_5  => (and_ind (fun Via2w_5  => (fun Vip2w_5  => 
                            (*1405*)(perpectivity_line w_5 (conj 
                             (*1402*)(conp p3 a2 w_5 (conj 
                              (*1358*)(sym a2 p3 Vea2p3)(*1358*) Via2w_5))(*1402*) (conj 
                             (*1404*)(conp p1 a2 w_5 (conj 
                              (*1378*)(sym a2 p1 Vea2p1)(*1378*) Via2w_5))(*1404*) Vip2w_5)))(*1405*))))))
                          (*1400*)(join a2 p2 (conj 
                           (*48*)(sortp a2 a1a2 
                            (*2*)(ia2a1)(*2*))(*48*) 
                           (*56*)(sortp p2 a3a1 
                            (*26*)(ip2a)(*26*))(*56*)))(*1400*))(*1406*))))))
                        (*1397*)(meet s3 w_2 (conj 
                         (*65*)(sortl s s3 
                          (*15*)(iss3)(*15*))(*65*) 
                         (*1392*)(sortl a1 w_2 Via1w_2)(*1392*)))(*1397*))(*1407*))))))
                      (*1393*)(meet a2a3 w_2 (conj 
                       (*58*)(sortl a2 a2a3 
                        (*3*)(ia2a3)(*3*))(*58*) 
                       (*1392*)(sortl a1 w_2 Via1w_2)(*1392*)))(*1393*))(*1408*))))))
                    (*1390*)(join a1 w_1 (conj 
                     (*47*)(sortp a1 a1a2 
                      (*1*)(ia1a2)(*1*))(*47*) 
                     (*1389*)(sortp w_1 b3b1 Viw_1b3b1)(*1389*)))(*1390*))(*1409*))))))
                  (*1387*)(meet b3b1 s2 (conj 
                   (*62*)(sortl b3 b3b1 
                    (*11*)(ib3b1)(*11*))(*62*) 
                   (*64*)(sortl s s2 
                    (*14*)(iss2)(*14*))(*64*)))(*1387*))(*1410*))))))
                (*1384*)(meet a3a1 s2 (conj 
                 (*59*)(sortl a3 a3a1 
                  (*5*)(ia3a1)(*5*))(*59*) 
                 (*64*)(sortl s s2 
                  (*14*)(iss2)(*14*))(*64*)))(*1384*))(*1411*))
               (fun Vea1a2a2a3  => 
                (*1416*)(false_ind goal 
                 (*1415*)(not12 
                  (*1414*)(sym b1b2 a1a2 
                   (*1413*)(tra b1b2 a2a3 a1a2 (conj 
                    (*1352*)(sym a2a3 b1b2 Vea2a3b1b2)(*1352*) 
                    (*1412*)(sym a1a2 a2a3 Vea1a2a2a3)(*1412*)))(*1413*))(*1414*))(*1415*))(*1416*)))
              (*1377*)(unique a2 p1 a1a2 a2a3 (conj 
               (*2*)(ia2a1)(*2*) (conj 
               (*3*)(ia2a3)(*3*) (conj 
               (*1376*)(conl p1 b2b3 a1a2 (conj 
                (*25*)(ip1b)(*25*) 
                (*1374*)(sym a1a2 b2b3 Vea1a2b2b3)(*1374*)))(*1376*) 
               (*24*)(ip1a)(*24*)))))(*1377*))(*1417*)))
            (*1367*)(unique a2 b3 a1a2 b2b3 (conj 
             (*2*)(ia2a1)(*2*) (conj 
             (*1364*)(conp a2 b2 b2b3 (conj Vea2b2 
              (*9*)(ib2b3)(*9*)))(*1364*) (conj Vib3a1a2 
             (*10*)(ib3b2)(*10*)))))(*1367*))(*1418*))
           (fun Vea2a3s2  => 
            (*1519*)(
            (or_ind 
             (fun Vea3s  => 
              (*1479*)(
              (or_ind 
               (fun Vea3b1  => 
                (*1455*)(
                (or_ind 
                 (fun Vea3a1  => 
                  (*1441*)(false_ind goal 
                   (*1440*)(diff_a3_a1 Vea3a1)(*1440*))(*1441*))
                 (fun Vea3a1s1  => 
                  (*1454*)(
                  (or_ind 
                   (fun Vea3p2  => 
                    (*1451*)(perpectivity_line a2a3 (conj 
                     (*1355*)(conl p3 b1b2 a2a3 (conj 
                      (*23*)(ip3b)(*23*) 
                      (*1352*)(sym a2a3 b1b2 Vea2a3b1b2)(*1352*)))(*1355*) (conj 
                     (*24*)(ip1a)(*24*) 
                     (*1450*)(conp p2 a3 a2a3 (conj 
                      (*1445*)(sym a3 p2 Vea3p2)(*1445*) 
                      (*4*)(ia3a2)(*4*)))(*1450*))))(*1451*))
                   (fun Vea3a1b3b1  => 
                    (*1453*)(false_ind goal 
                     (*1452*)(not31 Vea3a1b3b1)(*1452*))(*1453*)))
                  (*1444*)(unique a3 p2 a3a1 b3b1 (conj 
                   (*5*)(ia3a1)(*5*) (conj 
                   (*1435*)(conp a3 b1 b3b1 (conj Vea3b1 
                    (*12*)(ib1b3)(*12*)))(*1435*) (conj 
                   (*26*)(ip2a)(*26*) 
                   (*27*)(ip2b)(*27*)))))(*1444*))(*1454*)))
                (*1439*)(unique a3 a1 a3a1 s1 (conj 
                 (*5*)(ia3a1)(*5*) (conj 
                 (*1429*)(conp a3 s s1 (conj Vea3s 
                  (*13*)(iss1)(*13*)))(*1429*) (conj 
                 (*6*)(ia1a3)(*6*) 
                 (*16*)(ia1s1)(*16*)))))(*1439*))(*1455*))
               (fun Vea2a3s1  => 
                (*1478*)(
                (or_ind 
                 (fun Vea1a2  => 
                  (*1470*)(false_ind goal 
                   (*1469*)(diff_a1_a2 Vea1a2)(*1469*))(*1470*))
                 (fun Vea1a2s1  => 
                  (*1477*)(false_ind goal 
                   (*1476*)(not12 
                    (*1475*)(sym b1b2 a1a2 
                     (*1474*)(tra b1b2 a2a3 a1a2 (conj 
                      (*1352*)(sym a2a3 b1b2 Vea2a3b1b2)(*1352*) 
                      (*1472*)(tra a2a3 s1 a1a2 (conj Vea2a3s1 
                       (*1471*)(sym a1a2 s1 Vea1a2s1)(*1471*)))(*1472*)))(*1474*))(*1475*))(*1476*))(*1477*)))
                (*1468*)(unique a1 a2 a1a2 s1 (conj 
                 (*1*)(ia1a2)(*1*) (conj 
                 (*16*)(ia1s1)(*16*) (conj 
                 (*2*)(ia2a1)(*2*) 
                 (*1461*)(conl a2 a2a3 s1 (conj 
                  (*3*)(ia2a3)(*3*) Vea2a3s1))(*1461*)))))(*1468*))(*1478*)))
              (*1431*)(unique a3 b1 a2a3 s1 (conj 
               (*4*)(ia3a2)(*4*) (conj 
               (*1429*)(conp a3 s s1 (conj Vea3s 
                (*13*)(iss1)(*13*)))(*1429*) (conj Vib1a2a3 
               (*19*)(ib1s1)(*19*)))))(*1431*))(*1479*))
             (fun Vea2a3s3  => 
              (*1518*)(
              (or_ind 
               (fun Vea2b3  => 
                (*1512*)(
                (or_ind 
                 (fun Vea2p1  => 
                  (*1509*)(perpectivity_line b3b1 (conj 
                   (*1500*)(conp p3 a2 b3b1 (conj 
                    (*1358*)(sym a2 p3 Vea2p3)(*1358*) 
                    (*1499*)(conp a2 b3 b3b1 (conj Vea2b3 
                     (*11*)(ib3b1)(*11*)))(*1499*)))(*1500*) (conj 
                   (*1508*)(conp p1 a2 b3b1 (conj 
                    (*1502*)(sym a2 p1 Vea2p1)(*1502*) 
                    (*1499*)(conp a2 b3 b3b1 (conj Vea2b3 
                     (*11*)(ib3b1)(*11*)))(*1499*)))(*1508*) 
                   (*27*)(ip2b)(*27*))))(*1509*))
                 (fun Vea2a3b2b3  => 
                  (*1511*)(false_ind goal 
                   (*1510*)(not23 Vea2a3b2b3)(*1510*))(*1511*)))
                (*1501*)(unique a2 p1 a2a3 b2b3 (conj 
                 (*3*)(ia2a3)(*3*) (conj 
                 (*1497*)(conp a2 b3 b2b3 (conj Vea2b3 
                  (*10*)(ib3b2)(*10*)))(*1497*) (conj 
                 (*24*)(ip1a)(*24*) 
                 (*25*)(ip1b)(*25*)))))(*1501*))(*1512*))
               (fun Vea1a2a2a3  => 
                (*1517*)(false_ind goal 
                 (*1516*)(not12 
                  (*1515*)(sym b1b2 a1a2 
                   (*1514*)(tra b1b2 a2a3 a1a2 (conj 
                    (*1352*)(sym a2a3 b1b2 Vea2a3b1b2)(*1352*) 
                    (*1513*)(sym a1a2 a2a3 Vea1a2a2a3)(*1513*)))(*1514*))(*1515*))(*1516*))(*1517*)))
              (*1493*)(unique a2 b3 a1a2 a2a3 (conj 
               (*2*)(ia2a1)(*2*) (conj 
               (*3*)(ia2a3)(*3*) (conj Vib3a1a2 
               (*1489*)(conl b3 s3 a2a3 (conj 
                (*21*)(ib3s3)(*21*) 
                (*1480*)(sym a2a3 s3 Vea2a3s3)(*1480*)))(*1489*)))))(*1493*))(*1518*)))
            (*1427*)(unique a3 s a2a3 s3 (conj 
             (*4*)(ia3a2)(*4*) (conj 
             (*18*)(ia3s3)(*18*) (conj 
             (*1424*)(conl s s2 a2a3 (conj 
              (*14*)(iss2)(*14*) 
              (*1419*)(sym a2a3 s2 Vea2a3s2)(*1419*)))(*1424*) 
             (*15*)(iss3)(*15*)))))(*1427*))(*1519*)))
          (*1360*)(unique a2 b2 a2a3 s2 (conj 
           (*3*)(ia2a3)(*3*) (conj 
           (*17*)(ia2s2)(*17*) (conj 
           (*1354*)(conl b2 b1b2 a2a3 (conj 
            (*8*)(ib2b1)(*8*) 
            (*1352*)(sym a2a3 b1b2 Vea2a3b1b2)(*1352*)))(*1354*) 
           (*20*)(ib2s2)(*20*)))))(*1360*))(*1520*))
         (fun Vea1a2a2a3  => 
          (*1525*)(false_ind goal 
           (*1524*)(not12 
            (*1523*)(sym b1b2 a1a2 
             (*1522*)(tra b1b2 a2a3 a1a2 (conj 
              (*1352*)(sym a2a3 b1b2 Vea2a3b1b2)(*1352*) 
              (*1521*)(sym a1a2 a2a3 Vea1a2a2a3)(*1521*)))(*1522*))(*1523*))(*1524*))(*1525*)))
        (*1357*)(unique a2 p3 a1a2 a2a3 (conj 
         (*2*)(ia2a1)(*2*) (conj 
         (*3*)(ia2a3)(*3*) (conj 
         (*22*)(ip3a)(*22*) 
         (*1355*)(conl p3 b1b2 a2a3 (conj 
          (*23*)(ip3b)(*23*) 
          (*1352*)(sym a2a3 b1b2 Vea2a3b1b2)(*1352*)))(*1355*)))))(*1357*))(*1526*)))
      (*1249*)(unique a3 b1 a2a3 b1b2 (conj 
       (*4*)(ia3a2)(*4*) (conj Via3b1b2 (conj Vib1a2a3 
       (*7*)(ib1b2)(*7*)))))(*1249*))(*1527*))
     (fun Vib2a3a1  => 
      (*1528*)(triangle_b_in_a (conj Vib1a2a3 (conj Vib2a3a1 Vib3a1a2)))(*1528*)))
    (*1248*)(gap3)(*1248*))(*1529*)))
  (*809*)(gap2)(*809*))(*1530*)))
(*66*)(gap1)(*66*))(*1531*).
Qed.

End cro_8_2.
