Section cro_case1.

Let false := False.
Let false_ind := False_ind.

Variable dom : Set.
Variable e : dom -> dom -> Prop.
Variable goal : Prop.
Variable i : dom -> dom -> Prop.
Variable l : dom -> Prop.
Variable p : dom -> Prop.
Variables a1 a2 a3 b1 b2 b3 s p1 p2 p3 a1a2 a2a3 a3a1 b1b2 b2b3 b3b1 s1 s2 s3 : dom.

Hypothesis perspectivity_line : forall A : dom,
  i p3 A /\ i p1 A /\ i p2 A -> goal.

Hypothesis gap1 : i a1 b2b3 -> goal.

Hypothesis gap2 : i b3 a1a2 -> goal.

Hypothesis ia1a2 : i a1 a1a2.

Hypothesis ia2a1 : i a2 a1a2.

Hypothesis ia2a3 : i a2 a2a3.

Hypothesis ia3a2 : i a3 a2a3.

Hypothesis ia3a1 : i a3 a3a1.

Hypothesis ia1a3 : i a1 a3a1.

Hypothesis ib1b2 : i b1 b1b2.

Hypothesis ib2b1 : i b2 b1b2.

Hypothesis ib2b3 : i b2 b2b3.

Hypothesis ib3b2 : i b3 b2b3.

Hypothesis ib3b1 : i b3 b3b1.

Hypothesis ib1b3 : i b1 b3b1.

Hypothesis iss1 : i s s1.

Hypothesis iss2 : i s s2.

Hypothesis iss3 : i s s3.

Hypothesis ia1s1 : i a1 s1.

Hypothesis ia2s2 : i a2 s2.

Hypothesis ia3s3 : i a3 s3.

Hypothesis ib1s1 : i b1 s1.

Hypothesis ib2s2 : i b2 s2.

Hypothesis ib3s3 : i b3 s3.

Hypothesis ip3a : i p3 a1a2.

Hypothesis ip3b : i p3 b1b2.

Hypothesis ip1a : i p1 a2a3.

Hypothesis ip1b : i p1 b2b3.

Hypothesis ip2a : i p2 a3a1.

Hypothesis ip2b : i p2 b3b1.

Hypothesis diff_a1_a2 : e a1 a2 -> false.

Hypothesis diff_a2_a3 : e a2 a3 -> false.

Hypothesis diff_a3_a1 : e a3 a1 -> false.

Hypothesis diff_b1_b2 : e b1 b2 -> false.

Hypothesis diff_b2_b3 : e b2 b3 -> false.

Hypothesis diff_b3_b1 : e b3 b1 -> false.

Hypothesis not12 : e a1a2 b1b2 -> false.

Hypothesis not23 : e a2a3 b2b3 -> false.

Hypothesis not31 : e a3a1 b3b1 -> false.

Hypothesis ref : forall A : dom,
  e A A.

Hypothesis sym : forall A B : dom,
  e A B -> e B A.

Hypothesis tra : forall A B C : dom,
  e A B /\ e B C -> e A C.

Hypothesis conp : forall A B C : dom,
  e A B /\ i B C -> i A C.

Hypothesis conl : forall A B C : dom,
  i A B /\ e B C -> i A C.

Hypothesis sortp : forall A B : dom,
  i A B -> p A.

Hypothesis sortl : forall A B : dom,
  i A B -> l B.

Hypothesis unique : forall A B C D : dom,
  i A C /\ i A D /\ i B C /\ i B D -> e A B \/ e C D.

Hypothesis join : forall A B : dom,
  p A /\ p B -> (exists C, i A C /\ i B C).

Hypothesis meet : forall A B : dom,
  l A /\ l B -> (exists C, i C A /\ i C B).

Hypothesis papp : forall A B C D E F G H I J K L M N O P Q : dom,
  i A J /\ i B J /\ i C J /\ i D K /\ i E K /\ i F K /\ i B L /\ i F L /\ i G L /\ i C M /\ i E M /\ i G M /\ i C N /\ i D N /\ i H N /\ i A O /\ i F O /\ i H O /\ i A P /\ i E P /\ i I P /\ i B Q /\ i D Q /\ i I Q -> e L M \/ e N O \/ e P Q \/ (exists R, i G R /\ i H R /\ i I R).

Theorem cro_case1 : goal.
Proof.
exact
(*901*)(
(ex_ind (P:=fun w_0  => i w_0 a1a2 /\ i w_0 b2b3)
 (fun w_0  => (and_ind (fun Viw_0a1a2  => (fun Viw_0b2b3  => 
  (*900*)(
  (ex_ind (P:=fun w_1  => i a1 w_1 /\ i b3 w_1)
   (fun w_1  => (and_ind (fun Via1w_1  => (fun Vib3w_1  => 
    (*899*)(
    (ex_ind (P:=fun w_2  => i w_2 s2 /\ i w_2 w_1)
     (fun w_2  => (and_ind (fun Viw_2s2  => (fun Viw_2w_1  => 
      (*898*)(
      (ex_ind (P:=fun w_3  => i s w_3 /\ i w_0 w_3)
       (fun w_3  => (and_ind (fun Visw_3  => (fun Viw_0w_3  => 
        (*897*)(
        (ex_ind (P:=fun w_4  => i w_4 a3a1 /\ i w_4 w_3)
         (fun w_4  => (and_ind (fun Viw_4a3a1  => (fun Viw_4w_3  => 
          (*896*)(
          (ex_ind (P:=fun w_5  => i w_5 b3b1 /\ i w_5 w_3)
           (fun w_5  => (and_ind (fun Viw_5b3b1  => (fun Viw_5w_3  => 
            (*895*)(
            (or_ind 
             (fun Vea2a3b2b3  => 
              (*86*)(false_ind goal 
               (*85*)(not23 Vea2a3b2b3)(*85*))(*86*))
            (or_ind 
             (fun Vew_3a3a1  => 
              (*207*)(
              (or_ind 
               (fun Vea1w_0  => 
                (*97*)(gap1 
                 (*96*)(conp a1 w_0 b2b3 (conj Vea1w_0 Viw_0b2b3))(*96*))(*97*))
               (fun Vea1a2a3a1  => 
                (*206*)(
                (or_ind 
                 (fun Vea1s  => 
                  (*173*)(
                  (or_ind 
                   (fun Vea1a2  => 
                    (*117*)(false_ind goal 
                     (*116*)(diff_a1_a2 Vea1a2)(*116*))(*117*))
                   (fun Vea1a2s2  => 
                    (*172*)(
                    (or_ind 
                     (fun Vea1w_2  => 
                      (*156*)(
                      (or_ind 
                       (fun Vea1a3  => 
                        (*144*)(false_ind goal 
                         (*143*)(diff_a3_a1 
                          (*142*)(sym a1 a3 Vea1a3)(*142*))(*143*))(*144*))
                       (fun Vea1a2s3  => 
                        (*155*)(gap2 
                         (*154*)(conl b3 s3 a1a2 (conj 
                          (*21*)(ib3s3)(*21*) 
                          (*145*)(sym a1a2 s3 Vea1a2s3)(*145*)))(*154*))(*155*)))
                      (*141*)(unique a1 a3 a1a2 s3 (conj 
                       (*1*)(ia1a2)(*1*) (conj 
                       (*113*)(conp a1 s s3 (conj Vea1s 
                        (*15*)(iss3)(*15*)))(*113*) (conj 
                       (*103*)(conl a3 a3a1 a1a2 (conj 
                        (*5*)(ia3a1)(*5*) 
                        (*98*)(sym a1a2 a3a1 Vea1a2a3a1)(*98*)))(*103*) 
                       (*18*)(ia3s3)(*18*)))))(*141*))(*156*))
                     (fun Vea1a2w_1  => 
                      (*171*)(gap2 
                       (*170*)(conl b3 w_1 a1a2 (conj Vib3w_1 
                        (*157*)(sym a1a2 w_1 Vea1a2w_1)(*157*)))(*170*))(*171*)))
                    (*135*)(unique a1 w_2 a1a2 w_1 (conj 
                     (*1*)(ia1a2)(*1*) (conj Via1w_1 (conj 
                     (*130*)(conl w_2 s2 a1a2 (conj Viw_2s2 
                      (*118*)(sym a1a2 s2 Vea1a2s2)(*118*)))(*130*) Viw_2w_1))))(*135*))(*172*)))
                  (*115*)(unique a1 a2 a1a2 s2 (conj 
                   (*1*)(ia1a2)(*1*) (conj 
                   (*112*)(conp a1 s s2 (conj Vea1s 
                    (*14*)(iss2)(*14*)))(*112*) (conj 
                   (*2*)(ia2a1)(*2*) 
                   (*17*)(ia2s2)(*17*)))))(*115*))(*173*))
                 (fun Vea1a2s1  => 
                  (*205*)(
                  (or_ind 
                   (fun Vea2a3  => 
                    (*191*)(false_ind goal 
                     (*190*)(diff_a2_a3 Vea2a3)(*190*))(*191*))
                   (fun Vea1a2a2a3  => 
                    (*204*)(perspectivity_line a1a2 (conj 
                     (*22*)(ip3a)(*22*) (conj 
                     (*203*)(conl p1 a2a3 a1a2 (conj 
                      (*24*)(ip1a)(*24*) 
                      (*192*)(sym a1a2 a2a3 Vea1a2a2a3)(*192*)))(*203*) 
                     (*106*)(conl p2 a3a1 a1a2 (conj 
                      (*26*)(ip2a)(*26*) 
                      (*98*)(sym a1a2 a3a1 Vea1a2a3a1)(*98*)))(*106*))))(*204*)))
                  (*189*)(unique a2 a3 a1a2 a2a3 (conj 
                   (*2*)(ia2a1)(*2*) (conj 
                   (*3*)(ia2a3)(*3*) (conj 
                   (*103*)(conl a3 a3a1 a1a2 (conj 
                    (*5*)(ia3a1)(*5*) 
                    (*98*)(sym a1a2 a3a1 Vea1a2a3a1)(*98*)))(*103*) 
                   (*4*)(ia3a2)(*4*)))))(*189*))(*205*)))
                (*110*)(unique a1 s a1a2 s1 (conj 
                 (*1*)(ia1a2)(*1*) (conj 
                 (*16*)(ia1s1)(*16*) (conj 
                 (*107*)(conl s w_3 a1a2 (conj Visw_3 
                  (*99*)(tra w_3 a3a1 a1a2 (conj Vew_3a3a1 
                   (*98*)(sym a1a2 a3a1 Vea1a2a3a1)(*98*)))(*99*)))(*107*) 
                 (*13*)(iss1)(*13*)))))(*110*))(*206*)))
              (*94*)(unique a1 w_0 a1a2 a3a1 (conj 
               (*1*)(ia1a2)(*1*) (conj 
               (*6*)(ia1a3)(*6*) (conj Viw_0a1a2 
               (*92*)(conl w_0 w_3 a3a1 (conj Viw_0w_3 Vew_3a3a1))(*92*)))))(*94*))(*207*))
            (or_ind 
             (fun Vew_1s2  => 
              (*228*)(
              (or_ind 
               (fun Vea1a2  => 
                (*216*)(false_ind goal 
                 (*215*)(diff_a1_a2 Vea1a2)(*215*))(*216*))
               (fun Vea1a2w_1  => 
                (*227*)(gap2 
                 (*226*)(conl b3 w_1 a1a2 (conj Vib3w_1 
                  (*217*)(sym a1a2 w_1 Vea1a2w_1)(*217*)))(*226*))(*227*)))
              (*214*)(unique a1 a2 a1a2 w_1 (conj 
               (*1*)(ia1a2)(*1*) (conj Via1w_1 (conj 
               (*2*)(ia2a1)(*2*) 
               (*210*)(conl a2 s2 w_1 (conj 
                (*17*)(ia2s2)(*17*) 
                (*208*)(sym w_1 s2 Vew_1s2)(*208*)))(*210*)))))(*214*))(*228*))
             (ex_ind (P:=fun w_6  => i p1 w_6 /\ i w_4 w_6 /\ i w_2 w_6)
              (fun w_6  => (and_ind (fun Vip1w_6  => (and_ind (fun Viw_4w_6  => (fun Viw_2w_6  => 
               (*894*)(
               (or_ind 
                (fun Veb1b2a1a2  => 
                 (*234*)(false_ind goal 
                  (*233*)(not12 
                   (*232*)(sym b1b2 a1a2 Veb1b2a1a2)(*232*))(*233*))(*234*))
               (or_ind 
                (fun Vew_3b3b1  => 
                 (*270*)(
                 (or_ind 
                  (fun Veb3w_0  => 
                   (*245*)(gap2 
                    (*244*)(conp b3 w_0 a1a2 (conj Veb3w_0 Viw_0a1a2))(*244*))(*245*))
                  (fun Veb2b3b3b1  => 
                   (*269*)(
                   (or_ind 
                    (fun Veb1b2  => 
                     (*260*)(false_ind goal 
                      (*259*)(diff_b1_b2 Veb1b2)(*259*))(*260*))
                    (fun Veb1b2b3b1  => 
                     (*268*)(perspectivity_line b3b1 (conj 
                      (*267*)(conl p3 b1b2 b3b1 (conj 
                       (*23*)(ip3b)(*23*) Veb1b2b3b1))(*267*) (conj 
                      (*252*)(conl p1 b2b3 b3b1 (conj 
                       (*25*)(ip1b)(*25*) Veb2b3b3b1))(*252*) 
                      (*27*)(ip2b)(*27*))))(*268*)))
                   (*258*)(unique b1 b2 b1b2 b3b1 (conj 
                    (*7*)(ib1b2)(*7*) (conj 
                    (*12*)(ib1b3)(*12*) (conj 
                    (*8*)(ib2b1)(*8*) 
                    (*249*)(conl b2 b2b3 b3b1 (conj 
                     (*9*)(ib2b3)(*9*) Veb2b3b3b1))(*249*)))))(*258*))(*269*)))
                 (*242*)(unique b3 w_0 b2b3 b3b1 (conj 
                  (*10*)(ib3b2)(*10*) (conj 
                  (*11*)(ib3b1)(*11*) (conj Viw_0b2b3 
                  (*240*)(conl w_0 w_3 b3b1 (conj Viw_0w_3 Vew_3b3b1))(*240*)))))(*242*))(*270*))
               (or_ind 
                (fun Vew_1s2  => 
                 (*291*)(
                 (or_ind 
                  (fun Vea1a2  => 
                   (*279*)(false_ind goal 
                    (*278*)(diff_a1_a2 Vea1a2)(*278*))(*279*))
                  (fun Vea1a2w_1  => 
                   (*290*)(gap2 
                    (*289*)(conl b3 w_1 a1a2 (conj Vib3w_1 
                     (*280*)(sym a1a2 w_1 Vea1a2w_1)(*280*)))(*289*))(*290*)))
                 (*277*)(unique a1 a2 a1a2 w_1 (conj 
                  (*1*)(ia1a2)(*1*) (conj Via1w_1 (conj 
                  (*2*)(ia2a1)(*2*) 
                  (*273*)(conl a2 s2 w_1 (conj 
                   (*17*)(ia2s2)(*17*) 
                   (*271*)(sym w_1 s2 Vew_1s2)(*271*)))(*273*)))))(*277*))(*291*))
                (ex_ind (P:=fun w_7  => i p3 w_7 /\ i w_5 w_7 /\ i w_2 w_7)
                 (fun w_7  => (and_ind (fun Vip3w_7  => (and_ind (fun Viw_5w_7  => (fun Viw_2w_7  => 
                  (*893*)(
                  (or_ind 
                   (fun Vew_6b2b3  => 
                    (*572*)(
                    (or_ind 
                     (fun Veb2w_2  => 
                      (*382*)(
                      (or_ind 
                       (fun Veb2p3  => 
                        (*331*)(
                        (or_ind 
                         (fun Vea1p3  => 
                          (*325*)(gap1 
                           (*324*)(conp a1 p3 b2b3 (conj Vea1p3 
                            (*312*)(conp p3 b2 b2b3 (conj 
                             (*307*)(sym b2 p3 Veb2p3)(*307*) 
                             (*9*)(ib2b3)(*9*)))(*312*)))(*324*))(*325*))
                         (fun Vea1a2w_1  => 
                          (*330*)(gap2 
                           (*329*)(conl b3 w_1 a1a2 (conj Vib3w_1 
                            (*326*)(sym a1a2 w_1 Vea1a2w_1)(*326*)))(*329*))(*330*)))
                        (*316*)(unique a1 p3 a1a2 w_1 (conj 
                         (*1*)(ia1a2)(*1*) (conj Via1w_1 (conj 
                         (*22*)(ip3a)(*22*) 
                         (*315*)(conp p3 b2 w_1 (conj 
                          (*307*)(sym b2 p3 Veb2p3)(*307*) 
                          (*303*)(conp b2 w_2 w_1 (conj Veb2w_2 Viw_2w_1))(*303*)))(*315*)))))(*316*))(*331*))
                       (fun Veb1b2w_7  => 
                        (*381*)(
                        (or_ind 
                         (fun Veb1w_5  => 
                          (*349*)(
                          (or_ind 
                           (fun Veb2b3  => 
                            (*341*)(false_ind goal 
                             (*340*)(diff_b2_b3 Veb2b3)(*340*))(*341*))
                           (fun Veb2b3w_1  => 
                            (*348*)(gap1 
                             (*347*)(conl a1 w_1 b2b3 (conj Via1w_1 
                              (*342*)(sym b2b3 w_1 Veb2b3w_1)(*342*)))(*347*))(*348*)))
                          (*339*)(unique b2 b3 b2b3 w_1 (conj 
                           (*9*)(ib2b3)(*9*) (conj 
                           (*303*)(conp b2 w_2 w_1 (conj Veb2w_2 Viw_2w_1))(*303*) (conj 
                           (*10*)(ib3b2)(*10*) Vib3w_1))))(*339*))(*349*))
                         (fun Veb1b2b3b1  => 
                          (*380*)(
                          (or_ind 
                           (fun Veb2b3  => 
                            (*362*)(false_ind goal 
                             (*361*)(diff_b2_b3 Veb2b3)(*361*))(*362*))
                           (fun Veb1b2b2b3  => 
                            (*379*)(perspectivity_line b1b2 (conj 
                             (*23*)(ip3b)(*23*) (conj 
                             (*378*)(conl p1 b2b3 b1b2 (conj 
                              (*25*)(ip1b)(*25*) 
                              (*363*)(sym b1b2 b2b3 Veb1b2b2b3)(*363*)))(*378*) 
                             (*358*)(conl p2 b3b1 b1b2 (conj 
                              (*27*)(ip2b)(*27*) 
                              (*350*)(sym b1b2 b3b1 Veb1b2b3b1)(*350*)))(*358*))))(*379*)))
                          (*360*)(unique b2 b3 b1b2 b2b3 (conj 
                           (*8*)(ib2b1)(*8*) (conj 
                           (*9*)(ib2b3)(*9*) (conj 
                           (*355*)(conl b3 b3b1 b1b2 (conj 
                            (*11*)(ib3b1)(*11*) 
                            (*350*)(sym b1b2 b3b1 Veb1b2b3b1)(*350*)))(*355*) 
                           (*10*)(ib3b2)(*10*)))))(*360*))(*380*)))
                        (*335*)(unique b1 w_5 b1b2 b3b1 (conj 
                         (*7*)(ib1b2)(*7*) (conj 
                         (*12*)(ib1b3)(*12*) (conj 
                         (*334*)(conl w_5 w_7 b1b2 (conj Viw_5w_7 
                          (*332*)(sym b1b2 w_7 Veb1b2w_7)(*332*)))(*334*) Viw_5b3b1))))(*335*))(*381*)))
                      (*306*)(unique b2 p3 b1b2 w_7 (conj 
                       (*8*)(ib2b1)(*8*) (conj 
                       (*304*)(conp b2 w_2 w_7 (conj Veb2w_2 Viw_2w_7))(*304*) (conj 
                       (*23*)(ip3b)(*23*) Vip3w_7))))(*306*))(*382*))
                     (fun Veb2b3s2  => 
                      (*571*)(
                      (or_ind 
                       (fun Vea2w_0  => 
                        (*562*)(
                        (or_ind 
                         (fun Vea2p1  => 
                          (*556*)(
                          (or_ind 
                           (fun Veb3s  => 
                            (*532*)(
                            (or_ind 
                             (fun Veb3w_2  => 
                              (*520*)(
                              (or_ind 
                               (fun Veb3p1  => 
                                (*442*)(gap2 
                                 (*441*)(conp b3 p1 a1a2 (conj Veb3p1 
                                  (*402*)(conp p1 a2 a1a2 (conj 
                                   (*399*)(sym a2 p1 Vea2p1)(*399*) 
                                   (*2*)(ia2a1)(*2*)))(*402*)))(*441*))(*442*))
                               (fun Veb2b3w_3  => 
                                (*519*)(
                                (or_ind 
                                 (fun Veb3w_5  => 
                                  (*477*)(
                                  (or_ind 
                                   (fun Veb3b1  => 
                                    (*463*)(false_ind goal 
                                     (*462*)(diff_b3_b1 Veb3b1)(*462*))(*463*))
                                   (fun Veb3b1s1  => 
                                    (*476*)(
                                    (or_ind 
                                     (fun Vea1p2  => 
                                      (*470*)(perspectivity_line a1a2 (conj 
                                       (*22*)(ip3a)(*22*) (conj 
                                       (*402*)(conp p1 a2 a1a2 (conj 
                                        (*399*)(sym a2 p1 Vea2p1)(*399*) 
                                        (*2*)(ia2a1)(*2*)))(*402*) 
                                       (*469*)(conp p2 a1 a1a2 (conj 
                                        (*468*)(sym a1 p2 Vea1p2)(*468*) 
                                        (*1*)(ia1a2)(*1*)))(*469*))))(*470*))
                                     (fun Vea3a1s1  => 
                                      (*475*)(false_ind goal 
                                       (*474*)(not31 
                                        (*473*)(sym b3b1 a3a1 
                                         (*472*)(tra b3b1 s1 a3a1 (conj Veb3b1s1 
                                          (*471*)(sym a3a1 s1 Vea3a1s1)(*471*)))(*472*))(*473*))(*474*))(*475*)))
                                    (*467*)(unique a1 p2 a3a1 s1 (conj 
                                     (*6*)(ia1a3)(*6*) (conj 
                                     (*16*)(ia1s1)(*16*) (conj 
                                     (*26*)(ip2a)(*26*) 
                                     (*466*)(conl p2 b3b1 s1 (conj 
                                      (*27*)(ip2b)(*27*) Veb3b1s1))(*466*)))))(*467*))(*476*)))
                                  (*461*)(unique b3 b1 b3b1 s1 (conj 
                                   (*11*)(ib3b1)(*11*) (conj 
                                   (*406*)(conp b3 s s1 (conj Veb3s 
                                    (*13*)(iss1)(*13*)))(*406*) (conj 
                                   (*12*)(ib1b3)(*12*) 
                                   (*19*)(ib1s1)(*19*)))))(*461*))(*477*))
                                 (fun Veb2b3b3b1  => 
                                  (*518*)(
                                  (or_ind 
                                   (fun Veb1b2  => 
                                    (*500*)(false_ind goal 
                                     (*499*)(diff_b1_b2 Veb1b2)(*499*))(*500*))
                                   (fun Veb1b2b3b1  => 
                                    (*517*)(perspectivity_line b3b1 (conj 
                                     (*516*)(conl p3 b1b2 b3b1 (conj 
                                      (*23*)(ip3b)(*23*) Veb1b2b3b1))(*516*) (conj 
                                     (*492*)(conp p1 a2 b3b1 (conj 
                                      (*399*)(sym a2 p1 Vea2p1)(*399*) 
                                      (*490*)(conl a2 s2 b3b1 (conj 
                                       (*17*)(ia2s2)(*17*) 
                                       (*481*)(tra s2 b2b3 b3b1 (conj 
                                        (*383*)(sym b2b3 s2 Veb2b3s2)(*383*) Veb2b3b3b1))(*481*)))(*490*)))(*492*) 
                                     (*27*)(ip2b)(*27*))))(*517*)))
                                  (*498*)(unique b1 b2 b1b2 b3b1 (conj 
                                   (*7*)(ib1b2)(*7*) (conj 
                                   (*12*)(ib1b3)(*12*) (conj 
                                   (*8*)(ib2b1)(*8*) 
                                   (*485*)(conl b2 b2b3 b3b1 (conj 
                                    (*9*)(ib2b3)(*9*) Veb2b3b3b1))(*485*)))))(*498*))(*518*)))
                                (*452*)(unique b3 w_5 b2b3 b3b1 (conj 
                                 (*10*)(ib3b2)(*10*) (conj 
                                 (*11*)(ib3b1)(*11*) (conj 
                                 (*449*)(conl w_5 w_3 b2b3 (conj Viw_5w_3 
                                  (*443*)(sym b2b3 w_3 Veb2b3w_3)(*443*)))(*449*) Viw_5b3b1))))(*452*))(*519*)))
                              (*420*)(unique b3 p1 b2b3 w_3 (conj 
                               (*10*)(ib3b2)(*10*) (conj 
                               (*407*)(conp b3 s w_3 (conj Veb3s Visw_3))(*407*) (conj 
                               (*25*)(ip1b)(*25*) 
                               (*403*)(conp p1 a2 w_3 (conj 
                                (*399*)(sym a2 p1 Vea2p1)(*399*) 
                                (*396*)(conp a2 w_0 w_3 (conj Vea2w_0 Viw_0w_3))(*396*)))(*403*)))))(*420*))(*520*))
                             (fun Veb2b3w_1  => 
                              (*531*)(gap1 
                               (*530*)(conl a1 w_1 b2b3 (conj Via1w_1 
                                (*521*)(sym b2b3 w_1 Veb2b3w_1)(*521*)))(*530*))(*531*)))
                            (*410*)(unique b3 w_2 b2b3 w_1 (conj 
                             (*10*)(ib3b2)(*10*) (conj Vib3w_1 (conj 
                             (*300*)(conl w_2 w_6 b2b3 (conj Viw_2w_6 Vew_6b2b3))(*300*) Viw_2w_1))))(*410*))(*532*))
                           (fun Veb2b3s3  => 
                            (*555*)(
                            (or_ind 
                             (fun Vea2a3  => 
                              (*549*)(false_ind goal 
                               (*548*)(diff_a2_a3 Vea2a3)(*548*))(*549*))
                             (fun Vea2a3s2  => 
                              (*554*)(false_ind goal 
                               (*553*)(not23 
                                (*552*)(sym b2b3 a2a3 
                                 (*551*)(tra b2b3 s2 a2a3 (conj Veb2b3s2 
                                  (*550*)(sym a2a3 s2 Vea2a3s2)(*550*)))(*551*))(*552*))(*553*))(*554*)))
                            (*547*)(unique a2 a3 a2a3 s2 (conj 
                             (*3*)(ia2a3)(*3*) (conj 
                             (*17*)(ia2s2)(*17*) (conj 
                             (*4*)(ia3a2)(*4*) 
                             (*544*)(conl a3 s3 s2 (conj 
                              (*18*)(ia3s3)(*18*) 
                              (*537*)(sym s2 s3 
                               (*536*)(tra s2 b2b3 s3 (conj 
                                (*383*)(sym b2b3 s2 Veb2b3s2)(*383*) Veb2b3s3))(*536*))(*537*)))(*544*)))))(*547*))(*555*)))
                          (*404*)(unique b3 s b2b3 s3 (conj 
                           (*10*)(ib3b2)(*10*) (conj 
                           (*21*)(ib3s3)(*21*) (conj 
                           (*387*)(conl s s2 b2b3 (conj 
                            (*14*)(iss2)(*14*) 
                            (*383*)(sym b2b3 s2 Veb2b3s2)(*383*)))(*387*) 
                           (*15*)(iss3)(*15*)))))(*404*))(*556*))
                         (fun Vea2a3s2  => 
                          (*561*)(false_ind goal 
                           (*560*)(not23 
                            (*559*)(sym b2b3 a2a3 
                             (*558*)(tra b2b3 s2 a2a3 (conj Veb2b3s2 
                              (*557*)(sym a2a3 s2 Vea2a3s2)(*557*)))(*558*))(*559*))(*560*))(*561*)))
                        (*398*)(unique a2 p1 a2a3 s2 (conj 
                         (*3*)(ia2a3)(*3*) (conj 
                         (*17*)(ia2s2)(*17*) (conj 
                         (*24*)(ip1a)(*24*) 
                         (*391*)(conl p1 b2b3 s2 (conj 
                          (*25*)(ip1b)(*25*) Veb2b3s2))(*391*)))))(*398*))(*562*))
                       (fun Vea1a2s2  => 
                        (*570*)(gap1 
                         (*569*)(conl a1 a1a2 b2b3 (conj 
                          (*1*)(ia1a2)(*1*) 
                          (*565*)(sym b2b3 a1a2 
                           (*564*)(tra b2b3 s2 a1a2 (conj Veb2b3s2 
                            (*563*)(sym a1a2 s2 Vea1a2s2)(*563*)))(*564*))(*565*)))(*569*))(*570*)))
                      (*394*)(unique a2 w_0 a1a2 s2 (conj 
                       (*2*)(ia2a1)(*2*) (conj 
                       (*17*)(ia2s2)(*17*) (conj Viw_0a1a2 
                       (*392*)(conl w_0 b2b3 s2 (conj Viw_0b2b3 Veb2b3s2))(*392*)))))(*394*))(*571*)))
                    (*301*)(unique b2 w_2 b2b3 s2 (conj 
                     (*9*)(ib2b3)(*9*) (conj 
                     (*20*)(ib2s2)(*20*) (conj 
                     (*300*)(conl w_2 w_6 b2b3 (conj Viw_2w_6 Vew_6b2b3))(*300*) Viw_2s2))))(*301*))(*572*))
                  (or_ind 
                   (fun Veb3b1a3a1  => 
                    (*575*)(false_ind goal 
                     (*574*)(not31 
                      (*573*)(sym b3b1 a3a1 Veb3b1a3a1)(*573*))(*574*))(*575*))
                  (or_ind 
                   (fun Vea1a2w_7  => 
                    (*891*)(
                    (or_ind 
                     (fun Vea1w_2  => 
                      (*882*)(
                      (or_ind 
                       (fun Vea1a2  => 
                        (*590*)(false_ind goal 
                         (*589*)(diff_a1_a2 Vea1a2)(*589*))(*590*))
                       (fun Vea1a2s2  => 
                        (*881*)(
                        (or_ind 
                         (fun Vea1s  => 
                          (*759*)(
                          (or_ind 
                           (fun Vea1w_0  => 
                            (*619*)(gap1 
                             (*618*)(conp a1 w_0 b2b3 (conj Vea1w_0 Viw_0b2b3))(*618*))(*619*))
                           (fun Vea1a2w_3  => 
                            (*758*)(
                            (or_ind 
                             (fun Vea1w_4  => 
                              (*694*)(
                              (or_ind 
                               (fun Vea3a1  => 
                                (*642*)(false_ind goal 
                                 (*641*)(diff_a3_a1 Vea3a1)(*641*))(*642*))
                               (fun Vea3a1s3  => 
                                (*693*)(
                                (or_ind 
                                 (fun Vea1b3  => 
                                  (*655*)(gap1 
                                   (*654*)(conp a1 b3 b2b3 (conj Vea1b3 
                                    (*10*)(ib3b2)(*10*)))(*654*))(*655*))
                                 (fun Vea3a1w_1  => 
                                  (*692*)(
                                  (or_ind 
                                   (fun Veb2p3  => 
                                    (*687*)(
                                    (or_ind 
                                     (fun Veb2w_0  => 
                                      (*677*)(
                                      (or_ind 
                                       (fun Veb3p2  => 
                                        (*672*)(perspectivity_line b2b3 (conj 
                                         (*663*)(conp p3 b2 b2b3 (conj 
                                          (*662*)(sym b2 p3 Veb2p3)(*662*) 
                                          (*9*)(ib2b3)(*9*)))(*663*) (conj 
                                         (*25*)(ip1b)(*25*) 
                                         (*671*)(conp p2 b3 b2b3 (conj 
                                          (*670*)(sym b3 p2 Veb3p2)(*670*) 
                                          (*10*)(ib3b2)(*10*)))(*671*))))(*672*))
                                       (fun Veb3b1s3  => 
                                        (*676*)(false_ind goal 
                                         (*675*)(not31 
                                          (*674*)(tra a3a1 s3 b3b1 (conj Vea3a1s3 
                                           (*673*)(sym b3b1 s3 Veb3b1s3)(*673*)))(*674*))(*675*))(*676*)))
                                      (*669*)(unique b3 p2 b3b1 s3 (conj 
                                       (*11*)(ib3b1)(*11*) (conj 
                                       (*21*)(ib3s3)(*21*) (conj 
                                       (*27*)(ip2b)(*27*) 
                                       (*645*)(conl p2 a3a1 s3 (conj 
                                        (*26*)(ip2a)(*26*) Vea3a1s3))(*645*)))))(*669*))(*677*))
                                     (fun Veb2b3s2  => 
                                      (*686*)(gap1 
                                       (*685*)(conl a1 a1a2 b2b3 (conj 
                                        (*1*)(ia1a2)(*1*) 
                                        (*679*)(tra a1a2 s2 b2b3 (conj Vea1a2s2 
                                         (*678*)(sym b2b3 s2 Veb2b3s2)(*678*)))(*679*)))(*685*))(*686*)))
                                    (*664*)(unique b2 w_0 b2b3 s2 (conj 
                                     (*9*)(ib2b3)(*9*) (conj 
                                     (*20*)(ib2s2)(*20*) (conj Viw_0b2b3 
                                     (*599*)(conl w_0 a1a2 s2 (conj Viw_0a1a2 Vea1a2s2))(*599*)))))(*664*))(*687*))
                                   (fun Veb1b2s2  => 
                                    (*691*)(false_ind goal 
                                     (*690*)(not12 
                                      (*689*)(tra a1a2 s2 b1b2 (conj Vea1a2s2 
                                       (*688*)(sym b1b2 s2 Veb1b2s2)(*688*)))(*689*))(*690*))(*691*)))
                                  (*661*)(unique b2 p3 b1b2 s2 (conj 
                                   (*8*)(ib2b1)(*8*) (conj 
                                   (*20*)(ib2s2)(*20*) (conj 
                                   (*23*)(ip3b)(*23*) 
                                   (*598*)(conl p3 a1a2 s2 (conj 
                                    (*22*)(ip3a)(*22*) Vea1a2s2))(*598*)))))(*661*))(*692*)))
                                (*646*)(unique a1 b3 a3a1 w_1 (conj 
                                 (*6*)(ia1a3)(*6*) (conj Via1w_1 (conj 
                                 (*644*)(conl b3 s3 a3a1 (conj 
                                  (*21*)(ib3s3)(*21*) 
                                  (*643*)(sym a3a1 s3 Vea3a1s3)(*643*)))(*644*) Vib3w_1))))(*646*))(*693*)))
                              (*640*)(unique a3 a1 a3a1 s3 (conj 
                               (*5*)(ia3a1)(*5*) (conj 
                               (*18*)(ia3s3)(*18*) (conj 
                               (*6*)(ia1a3)(*6*) 
                               (*605*)(conp a1 s s3 (conj Vea1s 
                                (*15*)(iss3)(*15*)))(*605*)))))(*640*))(*694*))
                             (fun Vea1a2a3a1  => 
                              (*757*)(
                              (or_ind 
                               (fun Vea1w_4  => 
                                (*741*)(
                                (or_ind 
                                 (fun Vea1a3  => 
                                  (*727*)(false_ind goal 
                                   (*726*)(diff_a3_a1 
                                    (*725*)(sym a1 a3 Vea1a3)(*725*))(*726*))(*727*))
                                 (fun Vea1a2s3  => 
                                  (*740*)(gap2 
                                   (*739*)(conl b3 s3 a1a2 (conj 
                                    (*21*)(ib3s3)(*21*) 
                                    (*728*)(sym a1a2 s3 Vea1a2s3)(*728*)))(*739*))(*740*)))
                                (*724*)(unique a1 a3 a1a2 s3 (conj 
                                 (*1*)(ia1a2)(*1*) (conj 
                                 (*605*)(conp a1 s s3 (conj Vea1s 
                                  (*15*)(iss3)(*15*)))(*605*) (conj 
                                 (*703*)(conl a3 a3a1 a1a2 (conj 
                                  (*5*)(ia3a1)(*5*) 
                                  (*695*)(sym a1a2 a3a1 Vea1a2a3a1)(*695*)))(*703*) 
                                 (*18*)(ia3s3)(*18*)))))(*724*))(*741*))
                               (fun Vea1a2w_6  => 
                                (*756*)(perspectivity_line w_6 (conj 
                                 (*754*)(conl p3 a1a2 w_6 (conj 
                                  (*22*)(ip3a)(*22*) Vea1a2w_6))(*754*) (conj Vip1w_6 
                                 (*755*)(conl p2 a3a1 w_6 (conj 
                                  (*26*)(ip2a)(*26*) 
                                  (*749*)(tra a3a1 a1a2 w_6 (conj 
                                   (*695*)(sym a1a2 a3a1 Vea1a2a3a1)(*695*) Vea1a2w_6))(*749*)))(*755*))))(*756*)))
                              (*715*)(unique a1 w_4 a1a2 w_6 (conj 
                               (*1*)(ia1a2)(*1*) (conj 
                               (*585*)(conp a1 w_2 w_6 (conj Vea1w_2 Viw_2w_6))(*585*) (conj 
                               (*628*)(conl w_4 w_3 a1a2 (conj Viw_4w_3 
                                (*620*)(sym a1a2 w_3 Vea1a2w_3)(*620*)))(*628*) Viw_4w_6))))(*715*))(*757*)))
                            (*631*)(unique a1 w_4 a1a2 a3a1 (conj 
                             (*1*)(ia1a2)(*1*) (conj 
                             (*6*)(ia1a3)(*6*) (conj 
                             (*628*)(conl w_4 w_3 a1a2 (conj Viw_4w_3 
                              (*620*)(sym a1a2 w_3 Vea1a2w_3)(*620*)))(*628*) Viw_4a3a1))))(*631*))(*758*)))
                          (*612*)(unique a1 w_0 a1a2 w_3 (conj 
                           (*1*)(ia1a2)(*1*) (conj 
                           (*607*)(conp a1 s w_3 (conj Vea1s Visw_3))(*607*) (conj Viw_0a1a2 Viw_0w_3))))(*612*))(*759*))
                         (fun Vea1a2s1  => 
                          (*880*)(
                          (or_ind 
                           (fun Vea1w_4  => 
                            (*811*)(
                            (or_ind 
                             (fun Vea1w_0  => 
                              (*791*)(gap1 
                               (*790*)(conp a1 w_0 b2b3 (conj Vea1w_0 Viw_0b2b3))(*790*))(*791*))
                             (fun Vea1a2w_3  => 
                              (*810*)(
                              (or_ind 
                               (fun Veb1b2  => 
                                (*805*)(false_ind goal 
                                 (*804*)(diff_b1_b2 Veb1b2)(*804*))(*805*))
                               (fun Veb1b2s1  => 
                                (*809*)(false_ind goal 
                                 (*808*)(not12 
                                  (*807*)(tra a1a2 s1 b1b2 (conj Vea1a2s1 
                                   (*806*)(sym b1b2 s1 Veb1b2s1)(*806*)))(*807*))(*808*))(*809*)))
                              (*803*)(unique b1 b2 b1b2 s1 (conj 
                               (*7*)(ib1b2)(*7*) (conj 
                               (*19*)(ib1s1)(*19*) (conj 
                               (*8*)(ib2b1)(*8*) 
                               (*769*)(conl b2 s2 s1 (conj 
                                (*20*)(ib2s2)(*20*) 
                                (*763*)(tra s2 a1a2 s1 (conj 
                                 (*591*)(sym a1a2 s2 Vea1a2s2)(*591*) Vea1a2s1))(*763*)))(*769*)))))(*803*))(*810*)))
                            (*784*)(unique a1 w_0 a1a2 w_3 (conj 
                             (*1*)(ia1a2)(*1*) (conj 
                             (*777*)(conp a1 w_4 w_3 (conj Vea1w_4 Viw_4w_3))(*777*) (conj Viw_0a1a2 Viw_0w_3))))(*784*))(*811*))
                           (fun Vea3a1w_6  => 
                            (*879*)(
                            (or_ind 
                             (fun Vea3p1  => 
                              (*827*)(
                              (or_ind 
                               (fun Veb1b2  => 
                                (*822*)(false_ind goal 
                                 (*821*)(diff_b1_b2 Veb1b2)(*821*))(*822*))
                               (fun Veb1b2s1  => 
                                (*826*)(false_ind goal 
                                 (*825*)(not12 
                                  (*824*)(tra a1a2 s1 b1b2 (conj Vea1a2s1 
                                   (*823*)(sym b1b2 s1 Veb1b2s1)(*823*)))(*824*))(*825*))(*826*)))
                              (*820*)(unique b1 b2 b1b2 s1 (conj 
                               (*7*)(ib1b2)(*7*) (conj 
                               (*19*)(ib1s1)(*19*) (conj 
                               (*8*)(ib2b1)(*8*) 
                               (*769*)(conl b2 s2 s1 (conj 
                                (*20*)(ib2s2)(*20*) 
                                (*763*)(tra s2 a1a2 s1 (conj 
                                 (*591*)(sym a1a2 s2 Vea1a2s2)(*591*) Vea1a2s1))(*763*)))(*769*)))))(*820*))(*827*))
                             (fun Vea2a3a3a1  => 
                              (*878*)(
                              (or_ind 
                               (fun Vea1a2  => 
                                (*839*)(false_ind goal 
                                 (*838*)(diff_a1_a2 Vea1a2)(*838*))(*839*))
                               (fun Vea1a2a3a1  => 
                                (*877*)(perspectivity_line a3a1 (conj 
                                 (*876*)(conl p3 a1a2 a3a1 (conj 
                                  (*22*)(ip3a)(*22*) Vea1a2a3a1))(*876*) (conj 
                                 (*815*)(conl p1 w_6 a3a1 (conj Vip1w_6 
                                  (*812*)(sym a3a1 w_6 Vea3a1w_6)(*812*)))(*815*) 
                                 (*26*)(ip2a)(*26*))))(*877*)))
                              (*837*)(unique a1 a2 a1a2 a3a1 (conj 
                               (*1*)(ia1a2)(*1*) (conj 
                               (*6*)(ia1a3)(*6*) (conj 
                               (*2*)(ia2a1)(*2*) 
                               (*831*)(conl a2 a2a3 a3a1 (conj 
                                (*3*)(ia2a3)(*3*) Vea2a3a3a1))(*831*)))))(*837*))(*878*)))
                            (*816*)(unique a3 p1 a2a3 a3a1 (conj 
                             (*4*)(ia3a2)(*4*) (conj 
                             (*5*)(ia3a1)(*5*) (conj 
                             (*24*)(ip1a)(*24*) 
                             (*815*)(conl p1 w_6 a3a1 (conj Vip1w_6 
                              (*812*)(sym a3a1 w_6 Vea3a1w_6)(*812*)))(*815*)))))(*816*))(*879*)))
                          (*773*)(unique a1 w_4 a3a1 w_6 (conj 
                           (*6*)(ia1a3)(*6*) (conj 
                           (*585*)(conp a1 w_2 w_6 (conj Vea1w_2 Viw_2w_6))(*585*) (conj Viw_4a3a1 Viw_4w_6))))(*773*))(*880*)))
                        (*601*)(unique a1 s a1a2 s1 (conj 
                         (*1*)(ia1a2)(*1*) (conj 
                         (*16*)(ia1s1)(*16*) (conj 
                         (*594*)(conl s s2 a1a2 (conj 
                          (*14*)(iss2)(*14*) 
                          (*591*)(sym a1a2 s2 Vea1a2s2)(*591*)))(*594*) 
                         (*13*)(iss1)(*13*)))))(*601*))(*881*)))
                      (*588*)(unique a1 a2 a1a2 s2 (conj 
                       (*1*)(ia1a2)(*1*) (conj 
                       (*584*)(conp a1 w_2 s2 (conj Vea1w_2 Viw_2s2))(*584*) (conj 
                       (*2*)(ia2a1)(*2*) 
                       (*17*)(ia2s2)(*17*)))))(*588*))(*882*))
                     (fun Vea1a2w_1  => 
                      (*890*)(gap2 
                       (*889*)(conl b3 w_1 a1a2 (conj Vib3w_1 
                        (*883*)(sym a1a2 w_1 Vea1a2w_1)(*883*)))(*889*))(*890*)))
                    (*582*)(unique a1 w_2 a1a2 w_1 (conj 
                     (*1*)(ia1a2)(*1*) (conj Via1w_1 (conj 
                     (*581*)(conl w_2 w_7 a1a2 (conj Viw_2w_7 
                      (*576*)(sym a1a2 w_7 Vea1a2w_7)(*576*)))(*581*) Viw_2w_1))))(*582*))(*891*))
                   (ex_ind (P:=fun w_8  => i p1 w_8 /\ i p2 w_8 /\ i p3 w_8)
                    (fun w_8  => (and_ind (fun Vip1w_8  => (and_ind (fun Vip2w_8  => (fun Vip3w_8  => 
                     (*892*)(perspectivity_line w_8 (conj Vip3w_8 (conj Vip1w_8 Vip2w_8)))(*892*)))))))))))
                  (*294*)(papp a1 w_2 b3 w_5 w_0 w_4 p1 p2 p3 w_1 w_3 w_6 b2b3 b3b1 a3a1 a1a2 w_7 (conj Via1w_1 (conj Viw_2w_1 (conj Vib3w_1 (conj Viw_5w_3 (conj Viw_0w_3 (conj Viw_4w_3 (conj Viw_2w_6 (conj Viw_4w_6 (conj Vip1w_6 (conj 
                   (*10*)(ib3b2)(*10*) (conj Viw_0b2b3 (conj 
                   (*25*)(ip1b)(*25*) (conj 
                   (*11*)(ib3b1)(*11*) (conj Viw_5b3b1 (conj 
                   (*27*)(ip2b)(*27*) (conj 
                   (*6*)(ia1a3)(*6*) (conj Viw_4a3a1 (conj 
                   (*26*)(ip2a)(*26*) (conj 
                   (*1*)(ia1a2)(*1*) (conj Viw_0a1a2 (conj 
                   (*22*)(ip3a)(*22*) (conj Viw_2w_7 (conj Viw_5w_7 Vip3w_7))))))))))))))))))))))))(*294*))(*893*)))))))))))
               (*231*)(papp b3 b2 w_0 s a1 b1 p3 w_5 w_2 b2b3 s1 b1b2 a1a2 w_3 b3b1 w_1 s2 (conj 
                (*10*)(ib3b2)(*10*) (conj 
                (*9*)(ib2b3)(*9*) (conj Viw_0b2b3 (conj 
                (*13*)(iss1)(*13*) (conj 
                (*16*)(ia1s1)(*16*) (conj 
                (*19*)(ib1s1)(*19*) (conj 
                (*8*)(ib2b1)(*8*) (conj 
                (*7*)(ib1b2)(*7*) (conj 
                (*23*)(ip3b)(*23*) (conj Viw_0a1a2 (conj 
                (*1*)(ia1a2)(*1*) (conj 
                (*22*)(ip3a)(*22*) (conj Viw_0w_3 (conj Visw_3 (conj Viw_5w_3 (conj 
                (*11*)(ib3b1)(*11*) (conj 
                (*12*)(ib1b3)(*12*) (conj Viw_5b3b1 (conj Vib3w_1 (conj Via1w_1 (conj Viw_2w_1 (conj 
                (*20*)(ib2s2)(*20*) (conj 
                (*14*)(iss2)(*14*) Viw_2s2))))))))))))))))))))))))(*231*))(*894*)))))))))))
            (*84*)(papp a1 a2 w_0 s b3 a3 p1 w_4 w_2 a1a2 s3 a2a3 b2b3 w_3 a3a1 w_1 s2 (conj 
             (*1*)(ia1a2)(*1*) (conj 
             (*2*)(ia2a1)(*2*) (conj Viw_0a1a2 (conj 
             (*15*)(iss3)(*15*) (conj 
             (*21*)(ib3s3)(*21*) (conj 
             (*18*)(ia3s3)(*18*) (conj 
             (*3*)(ia2a3)(*3*) (conj 
             (*4*)(ia3a2)(*4*) (conj 
             (*24*)(ip1a)(*24*) (conj Viw_0b2b3 (conj 
             (*10*)(ib3b2)(*10*) (conj 
             (*25*)(ip1b)(*25*) (conj Viw_0w_3 (conj Visw_3 (conj Viw_4w_3 (conj 
             (*6*)(ia1a3)(*6*) (conj 
             (*5*)(ia3a1)(*5*) (conj Viw_4a3a1 (conj Via1w_1 (conj Vib3w_1 (conj Viw_2w_1 (conj 
             (*17*)(ia2s2)(*17*) (conj 
             (*14*)(iss2)(*14*) Viw_2s2))))))))))))))))))))))))(*84*))(*895*))))))
          (*81*)(meet b3b1 w_3 (conj 
           (*62*)(sortl b3 b3b1 
            (*11*)(ib3b1)(*11*))(*62*) 
           (*77*)(sortl s w_3 Visw_3)(*77*)))(*81*))(*896*))))))
        (*78*)(meet a3a1 w_3 (conj 
         (*59*)(sortl a3 a3a1 
          (*5*)(ia3a1)(*5*))(*59*) 
         (*77*)(sortl s w_3 Visw_3)(*77*)))(*78*))(*897*))))))
      (*75*)(join s w_0 (conj 
       (*53*)(sortp s s1 
        (*13*)(iss1)(*13*))(*53*) 
       (*68*)(sortp w_0 a1a2 Viw_0a1a2)(*68*)))(*75*))(*898*))))))
    (*72*)(meet s2 w_1 (conj 
     (*64*)(sortl s s2 
      (*14*)(iss2)(*14*))(*64*) 
     (*71*)(sortl a1 w_1 Via1w_1)(*71*)))(*72*))(*899*))))))
  (*69*)(join a1 b3 (conj 
   (*47*)(sortp a1 a1a2 
    (*1*)(ia1a2)(*1*))(*47*) 
   (*52*)(sortp b3 b2b3 
    (*10*)(ib3b2)(*10*))(*52*)))(*69*))(*900*))))))
(*66*)(meet a1a2 b2b3 (conj 
 (*57*)(sortl a1 a1a2 
  (*1*)(ia1a2)(*1*))(*57*) 
 (*61*)(sortl b2 b2b3 
  (*9*)(ib2b3)(*9*))(*61*)))(*66*))(*901*).
Qed.

End cro_case1.
