package sam.fol ; 
import java.util.* ; 

   /**
     *  Fol input formula.
     *  @version 6/16/2011 
     */
   public class Formula { 
      public WFF wff ;        // the wff
      public Vector<String> warnings ; 

      /**
        * Construct record of input formula,
        * according to type and mode.
        */
      public Formula(WFF w) { 
         //this.role = r ; 
         this.wff = w ; 
         this.warnings = new Vector<String>() ;  
      } 

      public String toString() { 
         StringBuffer sb = new StringBuffer() ; 
         try { 
            sb.append(wff.toString()) ;
            if (!warnings.isEmpty()) { 
               sb.append("\n") ;       
               Iterator warns = warnings.iterator() ; 
               while (warns.hasNext())  
                sb.append((String)warns.next() + "\n") ; 
            }
         } catch(Exception x) { sb.append(x.toString()) ; }
         return sb.toString() ; 
      }

   } 

