package sam.util ; 

/**
  *  Edit these constants for various versions.
   */
public class CologConstants {

   public static String JARNAME = "colog14I.jar" ; 

   // for command-line
   public static String HELP =   

"--------------------------------------------------------------------\n"+
"colog14I   10 October 2014                                          \n"+
"  > java -jar colog14I.jar ?    % this help                         \n"+
"  > java -jar colog14I.jar      % launch the GUI                    \n"+
"  > java -jar colog14I.jar file=f [depth=d width=w cut=c log=b]     \n"+
"  > java -jar colog14I.jar url=u  [depth=d width=w cut=c log=b]      \n"+
"     % comline run, where                                            \n"+
"     %    f is either a colog theory file or folder                  \n"+
"     %    u is a well-formed URL description of a colog theory file  \n"+
"     %    and defaults are ...                                       \n"+
"     %       d = 300                                                 \n"+
"     %       w = 1000                                                \n"+
"     %       c = -1 (limit complexity OFF)                           \n"+
"     %       b = false                                               \n"+
" http://www.SkolemMachines.ORG                                       \n"+
"-------------------------------------------------------------------- \n"
;

   // for gui
   public static String BANNER = "colog14I  " ;  // Only notice of version
   public static String NOMATCH = "^ " ; // bottom rule "choice"

}



