Section cro_case2.

Let false := False.
Let false_ind := False_ind.

Variable dom : Set.
Variable e : dom -> dom -> Prop.
Variable goal : Prop.
Variable i : dom -> dom -> Prop.
Variable l : dom -> Prop.
Variable p : dom -> Prop.
Variables a1 a2 a3 b1 b2 b3 s p1 p2 p3 a1a2 a2a3 a3a1 b1b2 b2b3 b3b1 s1 s2 s3 : dom.

Hypothesis perspectivity_line : forall A : dom,
  i p3 A /\ i p1 A /\ i p2 A -> goal.

Hypothesis ta_in_tb : i a1 b2b3 /\ i a2 b3b1 /\ i a3 b1b2.

Hypothesis ia1a2 : i a1 a1a2.

Hypothesis ia2a1 : i a2 a1a2.

Hypothesis ia2a3 : i a2 a2a3.

Hypothesis ia3a2 : i a3 a2a3.

Hypothesis ia3a1 : i a3 a3a1.

Hypothesis ia1a3 : i a1 a3a1.

Hypothesis ib1b2 : i b1 b1b2.

Hypothesis ib2b1 : i b2 b1b2.

Hypothesis ib2b3 : i b2 b2b3.

Hypothesis ib3b2 : i b3 b2b3.

Hypothesis ib3b1 : i b3 b3b1.

Hypothesis ib1b3 : i b1 b3b1.

Hypothesis iss1 : i s s1.

Hypothesis iss2 : i s s2.

Hypothesis iss3 : i s s3.

Hypothesis ia1s1 : i a1 s1.

Hypothesis ia2s2 : i a2 s2.

Hypothesis ia3s3 : i a3 s3.

Hypothesis ib1s1 : i b1 s1.

Hypothesis ib2s2 : i b2 s2.

Hypothesis ib3s3 : i b3 s3.

Hypothesis ip3a : i p3 a1a2.

Hypothesis ip3b : i p3 b1b2.

Hypothesis ip1a : i p1 a2a3.

Hypothesis ip1b : i p1 b2b3.

Hypothesis ip2a : i p2 a3a1.

Hypothesis ip2b : i p2 b3b1.

Hypothesis diff_a1_a2 : e a1 a2 -> false.

Hypothesis diff_a2_a3 : e a2 a3 -> false.

Hypothesis diff_a3_a1 : e a3 a1 -> false.

Hypothesis diff_b1_b2 : e b1 b2 -> false.

Hypothesis diff_b2_b3 : e b2 b3 -> false.

Hypothesis diff_b3_b1 : e b3 b1 -> false.

Hypothesis not12 : e a1a2 b1b2 -> false.

Hypothesis not23 : e a2a3 b2b3 -> false.

Hypothesis not31 : e a3a1 b3b1 -> false.

Hypothesis ref : forall A : dom,
  e A A.

Hypothesis sym : forall A B : dom,
  e A B -> e B A.

Hypothesis tra : forall A B C : dom,
  e A B /\ e B C -> e A C.

Hypothesis conp : forall A B C : dom,
  e A B /\ i B C -> i A C.

Hypothesis conl : forall A B C : dom,
  i A B /\ e B C -> i A C.

Hypothesis sortp : forall A B : dom,
  i A B -> p A.

Hypothesis sortl : forall A B : dom,
  i A B -> l B.

Hypothesis unique : forall A B C D : dom,
  i A C /\ i A D /\ i B C /\ i B D -> e A B \/ e C D.

Hypothesis join : forall A B : dom,
  p A /\ p B -> (exists C, i A C /\ i B C).

Hypothesis meet : forall A B : dom,
  l A /\ l B -> (exists C, i C A /\ i C B).

Hypothesis papp : forall A B C D E F G H I J K L M N O P Q : dom,
  i A J /\ i B J /\ i C J /\ i D K /\ i E K /\ i F K /\ i B L /\ i F L /\ i G L /\ i C M /\ i E M /\ i G M /\ i C N /\ i D N /\ i H N /\ i A O /\ i F O /\ i H O /\ i A P /\ i E P /\ i I P /\ i B Q /\ i D Q /\ i I Q -> e L M \/ e N O \/ e P Q \/ (exists R, i G R /\ i H R /\ i I R).

Theorem cro_case2 : goal.
Proof.
exact
(*1808*)(
(ex_ind (P:=fun w_0  => i b3 w_0 /\ i p3 w_0)
 (fun w_0  => (and_ind (fun Vib3w_0  => (fun Vip3w_0  => 
  (*1807*)(
  (ex_ind (P:=fun w_1  => i w_1 w_0 /\ i w_1 s1)
   (fun w_1  => (and_ind (fun Viw_1w_0  => (fun Viw_1s1  => 
    (*1806*)(
    (ex_ind (P:=fun w_2  => i w_2 w_0 /\ i w_2 s2)
     (fun w_2  => (and_ind (fun Viw_2w_0  => (fun Viw_2s2  => 
      (*1805*)(
      (or_ind 
       (fun Vea3a1b3b1  => 
        (*78*)(false_ind goal 
         (*77*)(not31 Vea3a1b3b1)(*77*))(*78*))
      (or_ind 
       (fun Vew_0s1  => 
        (*419*)(
        (or_ind 
         (fun Vea1b3  => 
          (*269*)(
          (or_ind 
           (fun Vea2b3  => 
            (*96*)(false_ind goal 
             (*95*)(diff_a1_a2 
              (*94*)(tra a1 b3 a2 (conj Vea1b3 
               (*93*)(sym a2 b3 Vea2b3)(*93*)))(*94*))(*95*))(*96*))
           (fun Veb3b1a1a2  => 
            (*268*)(
            (or_ind 
             (fun Vea1p2  => 
              (*262*)(
              (or_ind 
               (fun Vea1p3  => 
                (*119*)(perspectivity_line b2b3 (conj 
                 (*118*)(conp p3 a1 b2b3 (conj 
                  (*110*)(sym a1 p3 Vea1p3)(*110*) (proj1 
                  (*1*)(ta_in_tb)(*1*))))(*118*) (conj 
                 (*26*)(ip1b)(*26*) 
                 (*105*)(conp p2 a1 b2b3 (conj 
                  (*102*)(sym a1 p2 Vea1p2)(*102*) (proj1 
                  (*1*)(ta_in_tb)(*1*))))(*105*))))(*119*))
               (fun Vea1a2s1  => 
                (*261*)(
                (or_ind 
                 (fun Vea2s  => 
                  (*222*)(
                  (or_ind 
                   (fun Vea2w_2  => 
                    (*183*)(
                    (or_ind 
                     (fun Vea2b3  => 
                      (*149*)(false_ind goal 
                       (*148*)(diff_a1_a2 
                        (*147*)(tra a1 b3 a2 (conj Vea1b3 
                         (*146*)(sym a2 b3 Vea2b3)(*146*)))(*147*))(*148*))(*149*))
                     (fun Veb3b1s3  => 
                      (*182*)(
                      (or_ind 
                       (fun Vea2a3  => 
                        (*166*)(false_ind goal 
                         (*165*)(diff_a2_a3 Vea2a3)(*165*))(*166*))
                       (fun Veb3b1a2a3  => 
                        (*181*)(perspectivity_line a2a3 (conj 
                         (*180*)(conl p3 a1a2 a2a3 (conj 
                          (*23*)(ip3a)(*23*) 
                          (*168*)(tra a1a2 b3b1 a2a3 (conj 
                           (*97*)(sym b3b1 a1a2 Veb3b1a1a2)(*97*) Veb3b1a2a3))(*168*)))(*180*) (conj 
                         (*25*)(ip1a)(*25*) 
                         (*178*)(conp p2 a1 a2a3 (conj 
                          (*102*)(sym a1 p2 Vea1p2)(*102*) 
                          (*176*)(conl a1 a1a2 a2a3 (conj 
                           (*2*)(ia1a2)(*2*) 
                           (*168*)(tra a1a2 b3b1 a2a3 (conj 
                            (*97*)(sym b3b1 a1a2 Veb3b1a1a2)(*97*) Veb3b1a2a3))(*168*)))(*176*)))(*178*))))(*181*)))
                      (*164*)(unique a2 a3 b3b1 a2a3 (conj (proj1 (proj2 
                       (*1*)(ta_in_tb)(*1*))) (conj 
                       (*4*)(ia2a3)(*4*) (conj 
                       (*158*)(conl a3 s3 b3b1 (conj 
                        (*19*)(ia3s3)(*19*) 
                        (*150*)(sym b3b1 s3 Veb3b1s3)(*150*)))(*158*) 
                       (*5*)(ia3a2)(*5*)))))(*164*))(*182*)))
                    (*145*)(unique a2 b3 b3b1 s3 (conj (proj1 (proj2 
                     (*1*)(ta_in_tb)(*1*))) (conj 
                     (*137*)(conp a2 s s3 (conj Vea2s 
                      (*16*)(iss3)(*16*)))(*137*) (conj 
                     (*12*)(ib3b1)(*12*) 
                     (*22*)(ib3s3)(*22*)))))(*145*))(*183*))
                   (fun Veb3b1s2  => 
                    (*221*)(
                    (or_ind 
                     (fun Vea1b2  => 
                      (*206*)(false_ind goal 
                       (*205*)(diff_b2_b3 
                        (*204*)(sym b3 b2 
                         (*203*)(tra b3 a1 b2 (conj 
                          (*87*)(sym a1 b3 Vea1b3)(*87*) Vea1b2))(*203*))(*204*))(*205*))(*206*))
                     (fun Veb2b3a1a2  => 
                      (*220*)(perspectivity_line b2b3 (conj 
                       (*219*)(conl p3 a1a2 b2b3 (conj 
                        (*23*)(ip3a)(*23*) 
                        (*207*)(sym b2b3 a1a2 Veb2b3a1a2)(*207*)))(*219*) (conj 
                       (*26*)(ip1b)(*26*) 
                       (*105*)(conp p2 a1 b2b3 (conj 
                        (*102*)(sym a1 p2 Vea1p2)(*102*) (proj1 
                        (*1*)(ta_in_tb)(*1*))))(*105*))))(*220*)))
                    (*201*)(unique a1 b2 b2b3 a1a2 (conj (proj1 
                     (*1*)(ta_in_tb)(*1*)) (conj 
                     (*2*)(ia1a2)(*2*) (conj 
                     (*10*)(ib2b3)(*10*) 
                     (*196*)(conl b2 s2 a1a2 (conj 
                      (*21*)(ib2s2)(*21*) 
                      (*186*)(sym a1a2 s2 
                       (*185*)(tra a1a2 b3b1 s2 (conj 
                        (*97*)(sym b3b1 a1a2 Veb3b1a1a2)(*97*) Veb3b1s2))(*185*))(*186*)))(*196*)))))(*201*))(*221*)))
                  (*139*)(unique a2 w_2 b3b1 s2 (conj (proj1 (proj2 
                   (*1*)(ta_in_tb)(*1*))) (conj 
                   (*18*)(ia2s2)(*18*) (conj 
                   (*134*)(conl w_2 w_0 b3b1 (conj Viw_2w_0 
                    (*125*)(tra w_0 s1 b3b1 (conj Vew_0s1 
                     (*124*)(sym b3b1 s1 
                      (*123*)(tra b3b1 a1a2 s1 (conj Veb3b1a1a2 Vea1a2s1))(*123*))(*124*)))(*125*)))(*134*) Viw_2s2))))(*139*))(*222*))
                 (fun Veb3b1s2  => 
                  (*260*)(
                  (or_ind 
                   (fun Vea1b2  => 
                    (*245*)(false_ind goal 
                     (*244*)(diff_b2_b3 
                      (*243*)(sym b3 b2 
                       (*242*)(tra b3 a1 b2 (conj 
                        (*87*)(sym a1 b3 Vea1b3)(*87*) Vea1b2))(*242*))(*243*))(*244*))(*245*))
                   (fun Veb2b3a1a2  => 
                    (*259*)(perspectivity_line b2b3 (conj 
                     (*258*)(conl p3 a1a2 b2b3 (conj 
                      (*23*)(ip3a)(*23*) 
                      (*246*)(sym b2b3 a1a2 Veb2b3a1a2)(*246*)))(*258*) (conj 
                     (*26*)(ip1b)(*26*) 
                     (*105*)(conp p2 a1 b2b3 (conj 
                      (*102*)(sym a1 p2 Vea1p2)(*102*) (proj1 
                      (*1*)(ta_in_tb)(*1*))))(*105*))))(*259*)))
                  (*240*)(unique a1 b2 b2b3 a1a2 (conj (proj1 
                   (*1*)(ta_in_tb)(*1*)) (conj 
                   (*2*)(ia1a2)(*2*) (conj 
                   (*10*)(ib2b3)(*10*) 
                   (*235*)(conl b2 s2 a1a2 (conj 
                    (*21*)(ib2s2)(*21*) 
                    (*225*)(sym a1a2 s2 
                     (*224*)(tra a1a2 b3b1 s2 (conj 
                      (*97*)(sym b3b1 a1a2 Veb3b1a1a2)(*97*) Veb3b1s2))(*224*))(*225*)))(*235*)))))(*240*))(*260*)))
                (*135*)(unique a2 s b3b1 s2 (conj (proj1 (proj2 
                 (*1*)(ta_in_tb)(*1*))) (conj 
                 (*18*)(ia2s2)(*18*) (conj 
                 (*130*)(conl s s1 b3b1 (conj 
                  (*14*)(iss1)(*14*) 
                  (*124*)(sym b3b1 s1 
                   (*123*)(tra b3b1 a1a2 s1 (conj Veb3b1a1a2 Vea1a2s1))(*123*))(*124*)))(*130*) 
                 (*15*)(iss2)(*15*)))))(*135*))(*261*)))
              (*109*)(unique a1 p3 a1a2 s1 (conj 
               (*2*)(ia1a2)(*2*) (conj 
               (*17*)(ia1s1)(*17*) (conj 
               (*23*)(ip3a)(*23*) 
               (*84*)(conl p3 w_0 s1 (conj Vip3w_0 Vew_0s1))(*84*)))))(*109*))(*262*))
             (fun Vea1a2a3a1  => 
              (*267*)(false_ind goal 
               (*266*)(not31 
                (*265*)(sym b3b1 a3a1 
                 (*264*)(tra b3b1 a1a2 a3a1 (conj Veb3b1a1a2 Vea1a2a3a1))(*264*))(*265*))(*266*))(*267*)))
            (*101*)(unique a1 p2 a1a2 a3a1 (conj 
             (*2*)(ia1a2)(*2*) (conj 
             (*7*)(ia1a3)(*7*) (conj 
             (*100*)(conl p2 b3b1 a1a2 (conj 
              (*28*)(ip2b)(*28*) Veb3b1a1a2))(*100*) 
             (*27*)(ip2a)(*27*)))))(*101*))(*268*)))
          (*92*)(unique a2 b3 b3b1 a1a2 (conj (proj1 (proj2 
           (*1*)(ta_in_tb)(*1*))) (conj 
           (*3*)(ia2a1)(*3*) (conj 
           (*12*)(ib3b1)(*12*) 
           (*90*)(conp b3 a1 a1a2 (conj 
            (*87*)(sym a1 b3 Vea1b3)(*87*) 
            (*2*)(ia1a2)(*2*)))(*90*)))))(*92*))(*269*))
         (fun Veb2b3s1  => 
          (*418*)(
          (or_ind 
           (fun Vea1p3  => 
            (*364*)(
            (or_ind 
             (fun Vea1b2  => 
              (*332*)(
              (or_ind 
               (fun Vea1b1  => 
                (*301*)(false_ind goal 
                 (*300*)(diff_b1_b2 
                  (*299*)(sym b2 b1 
                   (*298*)(tra b2 a1 b1 (conj 
                    (*287*)(sym a1 b2 Vea1b2)(*287*) Vea1b1))(*298*))(*299*))(*300*))(*301*))
               (fun Veb2b3b1b2  => 
                (*331*)(
                (or_ind 
                 (fun Vea1a3  => 
                  (*318*)(false_ind goal 
                   (*317*)(diff_a3_a1 
                    (*316*)(sym a1 a3 Vea1a3)(*316*))(*317*))(*318*))
                 (fun Veb2b3a3a1  => 
                  (*330*)(perspectivity_line a3a1 (conj 
                   (*285*)(conp p3 a1 a3a1 (conj 
                    (*283*)(sym a1 p3 Vea1p3)(*283*) 
                    (*7*)(ia1a3)(*7*)))(*285*) (conj 
                   (*329*)(conl p1 b2b3 a3a1 (conj 
                    (*26*)(ip1b)(*26*) Veb2b3a3a1))(*329*) 
                   (*27*)(ip2a)(*27*))))(*330*)))
                (*315*)(unique a1 a3 b2b3 a3a1 (conj (proj1 
                 (*1*)(ta_in_tb)(*1*)) (conj 
                 (*7*)(ia1a3)(*7*) (conj 
                 (*307*)(conl a3 b1b2 b2b3 (conj (proj2 (proj2 
                  (*1*)(ta_in_tb)(*1*))) 
                  (*302*)(sym b2b3 b1b2 Veb2b3b1b2)(*302*)))(*307*) 
                 (*6*)(ia3a1)(*6*)))))(*315*))(*331*)))
              (*294*)(unique a1 b1 b2b3 b1b2 (conj (proj1 
               (*1*)(ta_in_tb)(*1*)) (conj 
               (*284*)(conp a1 p3 b1b2 (conj Vea1p3 
                (*24*)(ip3b)(*24*)))(*284*) (conj 
               (*276*)(conl b1 s1 b2b3 (conj 
                (*20*)(ib1s1)(*20*) 
                (*270*)(sym b2b3 s1 Veb2b3s1)(*270*)))(*276*) 
               (*8*)(ib1b2)(*8*)))))(*294*))(*332*))
             (fun Veb2b3b1b2  => 
              (*363*)(
              (or_ind 
               (fun Vea1a3  => 
                (*349*)(false_ind goal 
                 (*348*)(diff_a3_a1 
                  (*347*)(sym a1 a3 Vea1a3)(*347*))(*348*))(*349*))
               (fun Veb2b3a3a1  => 
                (*362*)(perspectivity_line a3a1 (conj 
                 (*285*)(conp p3 a1 a3a1 (conj 
                  (*283*)(sym a1 p3 Vea1p3)(*283*) 
                  (*7*)(ia1a3)(*7*)))(*285*) (conj 
                 (*361*)(conl p1 b2b3 a3a1 (conj 
                  (*26*)(ip1b)(*26*) Veb2b3a3a1))(*361*) 
                 (*27*)(ip2a)(*27*))))(*362*)))
              (*346*)(unique a1 a3 b2b3 a3a1 (conj (proj1 
               (*1*)(ta_in_tb)(*1*)) (conj 
               (*7*)(ia1a3)(*7*) (conj 
               (*338*)(conl a3 b1b2 b2b3 (conj (proj2 (proj2 
                (*1*)(ta_in_tb)(*1*))) 
                (*333*)(sym b2b3 b1b2 Veb2b3b1b2)(*333*)))(*338*) 
               (*6*)(ia3a1)(*6*)))))(*346*))(*363*)))
            (*286*)(unique a1 b2 b2b3 b1b2 (conj (proj1 
             (*1*)(ta_in_tb)(*1*)) (conj 
             (*284*)(conp a1 p3 b1b2 (conj Vea1p3 
              (*24*)(ip3b)(*24*)))(*284*) (conj 
             (*10*)(ib2b3)(*10*) 
             (*9*)(ib2b1)(*9*)))))(*286*))(*364*))
           (fun Veb2b3a1a2  => 
            (*417*)(
            (or_ind 
             (fun Vea2b3  => 
              (*403*)(
              (or_ind 
               (fun Vea2b1  => 
                (*389*)(false_ind goal 
                 (*388*)(diff_b3_b1 
                  (*387*)(tra b3 a2 b1 (conj 
                   (*381*)(sym a2 b3 Vea2b3)(*381*) Vea2b1))(*387*))(*388*))(*389*))
               (fun Veb3b1a1a2  => 
                (*402*)(perspectivity_line b3b1 (conj 
                 (*400*)(conl p3 a1a2 b3b1 (conj 
                  (*23*)(ip3a)(*23*) 
                  (*390*)(sym b3b1 a1a2 Veb3b1a1a2)(*390*)))(*400*) (conj 
                 (*401*)(conl p1 b2b3 b3b1 (conj 
                  (*26*)(ip1b)(*26*) 
                  (*391*)(tra b2b3 a1a2 b3b1 (conj Veb2b3a1a2 
                   (*390*)(sym b3b1 a1a2 Veb3b1a1a2)(*390*)))(*391*)))(*401*) 
                 (*28*)(ip2b)(*28*))))(*402*)))
              (*385*)(unique a2 b1 b3b1 a1a2 (conj (proj1 (proj2 
               (*1*)(ta_in_tb)(*1*))) (conj 
               (*3*)(ia2a1)(*3*) (conj 
               (*13*)(ib1b3)(*13*) 
               (*376*)(conl b1 s1 a1a2 (conj 
                (*20*)(ib1s1)(*20*) 
                (*366*)(tra s1 b2b3 a1a2 (conj 
                 (*270*)(sym b2b3 s1 Veb2b3s1)(*270*) Veb2b3a1a2))(*366*)))(*376*)))))(*385*))(*403*))
             (fun Veb3b1a1a2  => 
              (*416*)(perspectivity_line b3b1 (conj 
               (*414*)(conl p3 a1a2 b3b1 (conj 
                (*23*)(ip3a)(*23*) 
                (*404*)(sym b3b1 a1a2 Veb3b1a1a2)(*404*)))(*414*) (conj 
               (*415*)(conl p1 b2b3 b3b1 (conj 
                (*26*)(ip1b)(*26*) 
                (*405*)(tra b2b3 a1a2 b3b1 (conj Veb2b3a1a2 
                 (*404*)(sym b3b1 a1a2 Veb3b1a1a2)(*404*)))(*405*)))(*415*) 
               (*28*)(ip2b)(*28*))))(*416*)))
            (*380*)(unique a2 b3 b3b1 a1a2 (conj (proj1 (proj2 
             (*1*)(ta_in_tb)(*1*))) (conj 
             (*3*)(ia2a1)(*3*) (conj 
             (*12*)(ib3b1)(*12*) 
             (*374*)(conl b3 b2b3 a1a2 (conj 
              (*11*)(ib3b2)(*11*) Veb2b3a1a2))(*374*)))))(*380*))(*417*)))
          (*282*)(unique a1 p3 b2b3 a1a2 (conj (proj1 
           (*1*)(ta_in_tb)(*1*)) (conj 
           (*2*)(ia1a2)(*2*) (conj 
           (*279*)(conl p3 w_0 b2b3 (conj Vip3w_0 
            (*271*)(tra w_0 s1 b2b3 (conj Vew_0s1 
             (*270*)(sym b2b3 s1 Veb2b3s1)(*270*)))(*271*)))(*279*) 
           (*23*)(ip3a)(*23*)))))(*282*))(*418*)))
        (*86*)(unique a1 b3 b2b3 s1 (conj (proj1 
         (*1*)(ta_in_tb)(*1*)) (conj 
         (*17*)(ia1s1)(*17*) (conj 
         (*11*)(ib3b2)(*11*) 
         (*83*)(conl b3 w_0 s1 (conj Vib3w_0 Vew_0s1))(*83*)))))(*86*))(*419*))
      (or_ind 
       (fun Ves2b1b2  => 
        (*594*)(
        (or_ind 
         (fun Vea2b1  => 
          (*554*)(
          (or_ind 
           (fun Vea3b1  => 
            (*436*)(false_ind goal 
             (*435*)(diff_a2_a3 
              (*434*)(tra a2 b1 a3 (conj Vea2b1 
               (*433*)(sym a3 b1 Vea3b1)(*433*)))(*434*))(*435*))(*436*))
           (fun Veb1b2a2a3  => 
            (*553*)(
            (or_ind 
             (fun Vea3s  => 
              (*518*)(
              (or_ind 
               (fun Vea3b1  => 
                (*454*)(false_ind goal 
                 (*453*)(diff_a2_a3 
                  (*452*)(tra a2 b1 a3 (conj Vea2b1 
                   (*451*)(sym a3 b1 Vea3b1)(*451*)))(*452*))(*453*))(*454*))
               (fun Veb1b2s1  => 
                (*517*)(
                (or_ind 
                 (fun Vea1b2  => 
                  (*508*)(
                  (or_ind 
                   (fun Vea1p1  => 
                    (*499*)(
                    (or_ind 
                     (fun Vea3b2  => 
                      (*487*)(false_ind goal 
                       (*486*)(diff_a3_a1 
                        (*485*)(sym a1 a3 
                         (*484*)(tra a1 b2 a3 (conj Vea1b2 
                          (*481*)(sym a3 b2 Vea3b2)(*481*)))(*484*))(*485*))(*486*))(*487*))
                     (fun Veb1b2a3a1  => 
                      (*498*)(perspectivity_line a3a1 (conj 
                       (*497*)(conl p3 b1b2 a3a1 (conj 
                        (*24*)(ip3b)(*24*) Veb1b2a3a1))(*497*) (conj 
                       (*479*)(conp p1 a1 a3a1 (conj 
                        (*475*)(sym a1 p1 Vea1p1)(*475*) 
                        (*7*)(ia1a3)(*7*)))(*479*) 
                       (*27*)(ip2a)(*27*))))(*498*)))
                    (*480*)(unique a3 b2 b1b2 a3a1 (conj (proj2 (proj2 
                     (*1*)(ta_in_tb)(*1*))) (conj 
                     (*6*)(ia3a1)(*6*) (conj 
                     (*9*)(ib2b1)(*9*) 
                     (*473*)(conp b2 a1 a3a1 (conj 
                      (*471*)(sym a1 b2 Vea1b2)(*471*) 
                      (*7*)(ia1a3)(*7*)))(*473*)))))(*480*))(*499*))
                   (fun Veb2b3s1  => 
                    (*507*)(false_ind goal 
                     (*506*)(not23 
                      (*505*)(tra a2a3 b1b2 b2b3 (conj 
                       (*437*)(sym b1b2 a2a3 Veb1b2a2a3)(*437*) 
                       (*501*)(tra b1b2 s1 b2b3 (conj Veb1b2s1 
                        (*500*)(sym b2b3 s1 Veb2b3s1)(*500*)))(*501*)))(*505*))(*506*))(*507*)))
                  (*474*)(unique a1 p1 b2b3 s1 (conj (proj1 
                   (*1*)(ta_in_tb)(*1*)) (conj 
                   (*17*)(ia1s1)(*17*) (conj 
                   (*26*)(ip1b)(*26*) 
                   (*465*)(conl p1 a2a3 s1 (conj 
                    (*25*)(ip1a)(*25*) 
                    (*458*)(tra a2a3 b1b2 s1 (conj 
                     (*437*)(sym b1b2 a2a3 Veb1b2a2a3)(*437*) Veb1b2s1))(*458*)))(*465*)))))(*474*))(*508*))
                 (fun Veb2b3s1  => 
                  (*516*)(false_ind goal 
                   (*515*)(not23 
                    (*514*)(tra a2a3 b1b2 b2b3 (conj 
                     (*437*)(sym b1b2 a2a3 Veb1b2a2a3)(*437*) 
                     (*510*)(tra b1b2 s1 b2b3 (conj Veb1b2s1 
                      (*509*)(sym b2b3 s1 Veb2b3s1)(*509*)))(*510*)))(*514*))(*515*))(*516*)))
                (*470*)(unique a1 b2 b2b3 s1 (conj (proj1 
                 (*1*)(ta_in_tb)(*1*)) (conj 
                 (*17*)(ia1s1)(*17*) (conj 
                 (*10*)(ib2b3)(*10*) 
                 (*460*)(conl b2 b1b2 s1 (conj 
                  (*9*)(ib2b1)(*9*) Veb1b2s1))(*460*)))))(*470*))(*517*)))
              (*450*)(unique a3 b1 b1b2 s1 (conj (proj2 (proj2 
               (*1*)(ta_in_tb)(*1*))) (conj 
               (*448*)(conp a3 s s1 (conj Vea3s 
                (*14*)(iss1)(*14*)))(*448*) (conj 
               (*8*)(ib1b2)(*8*) 
               (*20*)(ib1s1)(*20*)))))(*450*))(*518*))
             (fun Veb1b2s3  => 
              (*552*)(
              (or_ind 
               (fun Vea2b3  => 
                (*538*)(false_ind goal 
                 (*537*)(diff_b3_b1 
                  (*536*)(sym b1 b3 
                   (*535*)(tra b1 a2 b3 (conj 
                    (*428*)(sym a2 b1 Vea2b1)(*428*) Vea2b3))(*535*))(*536*))(*537*))(*538*))
               (fun Veb3b1a2a3  => 
                (*551*)(perspectivity_line b3b1 (conj 
                 (*549*)(conl p3 b1b2 b3b1 (conj 
                  (*24*)(ip3b)(*24*) 
                  (*540*)(tra b1b2 a2a3 b3b1 (conj Veb1b2a2a3 
                   (*539*)(sym b3b1 a2a3 Veb3b1a2a3)(*539*)))(*540*)))(*549*) (conj 
                 (*550*)(conl p1 a2a3 b3b1 (conj 
                  (*25*)(ip1a)(*25*) 
                  (*539*)(sym b3b1 a2a3 Veb3b1a2a3)(*539*)))(*550*) 
                 (*28*)(ip2b)(*28*))))(*551*)))
              (*533*)(unique a2 b3 b3b1 a2a3 (conj (proj1 (proj2 
               (*1*)(ta_in_tb)(*1*))) (conj 
               (*4*)(ia2a3)(*4*) (conj 
               (*12*)(ib3b1)(*12*) 
               (*529*)(conl b3 s3 a2a3 (conj 
                (*22*)(ib3s3)(*22*) 
                (*523*)(sym a2a3 s3 
                 (*522*)(tra a2a3 b1b2 s3 (conj 
                  (*437*)(sym b1b2 a2a3 Veb1b2a2a3)(*437*) Veb1b2s3))(*522*))(*523*)))(*529*)))))(*533*))(*552*)))
            (*446*)(unique a3 s b1b2 s3 (conj (proj2 (proj2 
             (*1*)(ta_in_tb)(*1*))) (conj 
             (*19*)(ia3s3)(*19*) (conj 
             (*423*)(conl s s2 b1b2 (conj 
              (*15*)(iss2)(*15*) Ves2b1b2))(*423*) 
             (*16*)(iss3)(*16*)))))(*446*))(*553*)))
          (*432*)(unique a3 b1 b1b2 a2a3 (conj (proj2 (proj2 
           (*1*)(ta_in_tb)(*1*))) (conj 
           (*5*)(ia3a2)(*5*) (conj 
           (*8*)(ib1b2)(*8*) 
           (*431*)(conp b1 a2 a2a3 (conj 
            (*428*)(sym a2 b1 Vea2b1)(*428*) 
            (*4*)(ia2a3)(*4*)))(*431*)))))(*432*))(*554*))
         (fun Veb3b1s2  => 
          (*593*)(
          (or_ind 
           (fun Vea2p3  => 
            (*585*)(
            (or_ind 
             (fun Vea2a3  => 
              (*573*)(false_ind goal 
               (*572*)(diff_a2_a3 Vea2a3)(*572*))(*573*))
             (fun Veb3b1a2a3  => 
              (*584*)(perspectivity_line b3b1 (conj 
               (*563*)(conl p3 b1b2 b3b1 (conj 
                (*24*)(ip3b)(*24*) 
                (*556*)(tra b1b2 s2 b3b1 (conj 
                 (*420*)(sym s2 b1b2 Ves2b1b2)(*420*) 
                 (*555*)(sym b3b1 s2 Veb3b1s2)(*555*)))(*556*)))(*563*) (conj 
               (*583*)(conl p1 a2a3 b3b1 (conj 
                (*25*)(ip1a)(*25*) 
                (*574*)(sym b3b1 a2a3 Veb3b1a2a3)(*574*)))(*583*) 
               (*28*)(ip2b)(*28*))))(*584*)))
            (*571*)(unique a2 a3 b3b1 a2a3 (conj (proj1 (proj2 
             (*1*)(ta_in_tb)(*1*))) (conj 
             (*4*)(ia2a3)(*4*) (conj 
             (*558*)(conl a3 b1b2 b3b1 (conj (proj2 (proj2 
              (*1*)(ta_in_tb)(*1*))) 
              (*556*)(tra b1b2 s2 b3b1 (conj 
               (*420*)(sym s2 b1b2 Ves2b1b2)(*420*) 
               (*555*)(sym b3b1 s2 Veb3b1s2)(*555*)))(*556*)))(*558*) 
             (*5*)(ia3a2)(*5*)))))(*571*))(*585*))
           (fun Veb3b1a1a2  => 
            (*592*)(false_ind goal 
             (*591*)(not12 
              (*590*)(sym b1b2 a1a2 
               (*589*)(tra b1b2 s2 a1a2 (conj 
                (*420*)(sym s2 b1b2 Ves2b1b2)(*420*) 
                (*587*)(tra s2 b3b1 a1a2 (conj 
                 (*555*)(sym b3b1 s2 Veb3b1s2)(*555*) Veb3b1a1a2))(*587*)))(*589*))(*590*))(*591*))(*592*)))
          (*567*)(unique a2 p3 b3b1 a1a2 (conj (proj1 (proj2 
           (*1*)(ta_in_tb)(*1*))) (conj 
           (*3*)(ia2a1)(*3*) (conj 
           (*563*)(conl p3 b1b2 b3b1 (conj 
            (*24*)(ip3b)(*24*) 
            (*556*)(tra b1b2 s2 b3b1 (conj 
             (*420*)(sym s2 b1b2 Ves2b1b2)(*420*) 
             (*555*)(sym b3b1 s2 Veb3b1s2)(*555*)))(*556*)))(*563*) 
           (*23*)(ip3a)(*23*)))))(*567*))(*593*)))
        (*427*)(unique a2 b1 b3b1 s2 (conj (proj1 (proj2 
         (*1*)(ta_in_tb)(*1*))) (conj 
         (*18*)(ia2s2)(*18*) (conj 
         (*13*)(ib1b3)(*13*) 
         (*422*)(conl b1 b1b2 s2 (conj 
          (*8*)(ib1b2)(*8*) 
          (*420*)(sym s2 b1b2 Ves2b1b2)(*420*)))(*422*)))))(*427*))(*594*))
       (ex_ind (P:=fun w_3  => i p2 w_3 /\ i w_1 w_3 /\ i b2 w_3)
        (fun w_3  => (and_ind (fun Vip2w_3  => (and_ind (fun Viw_1w_3  => (fun Vib2w_3  => 
         (*1804*)(
         (or_ind 
          (fun Vea2a3b2b3  => 
           (*599*)(false_ind goal 
            (*598*)(not23 Vea2a3b2b3)(*598*))(*599*))
         (or_ind 
          (fun Vew_0s2  => 
           (*970*)(
           (or_ind 
            (fun Vea2b3  => 
             (*822*)(
             (or_ind 
              (fun Vea1b3  => 
               (*618*)(false_ind goal 
                (*617*)(diff_a1_a2 
                 (*616*)(sym a2 a1 
                  (*615*)(tra a2 b3 a1 (conj Vea2b3 
                   (*614*)(sym a1 b3 Vea1b3)(*614*)))(*615*))(*616*))(*617*))(*618*))
              (fun Veb2b3a1a2  => 
               (*821*)(
               (or_ind 
                (fun Vea2p1  => 
                 (*815*)(
                 (or_ind 
                  (fun Vea2p3  => 
                   (*641*)(perspectivity_line b3b1 (conj 
                    (*640*)(conp p3 a2 b3b1 (conj 
                     (*632*)(sym a2 p3 Vea2p3)(*632*) (proj1 (proj2 
                     (*1*)(ta_in_tb)(*1*)))))(*640*) (conj 
                    (*627*)(conp p1 a2 b3b1 (conj 
                     (*624*)(sym a2 p1 Vea2p1)(*624*) (proj1 (proj2 
                     (*1*)(ta_in_tb)(*1*)))))(*627*) 
                    (*28*)(ip2b)(*28*))))(*641*))
                  (fun Vea1a2s2  => 
                   (*814*)(
                   (or_ind 
                    (fun Vea1s  => 
                     (*776*)(
                     (or_ind 
                      (fun Vea1w_1  => 
                       (*709*)(
                       (or_ind 
                        (fun Vea1b3  => 
                         (*674*)(false_ind goal 
                          (*673*)(diff_a1_a2 
                           (*672*)(sym a2 a1 
                            (*671*)(tra a2 b3 a1 (conj Vea2b3 
                             (*670*)(sym a1 b3 Vea1b3)(*670*)))(*671*))(*672*))(*673*))(*674*))
                        (fun Veb2b3s3  => 
                         (*708*)(
                         (or_ind 
                          (fun Vea1a3  => 
                           (*692*)(false_ind goal 
                            (*691*)(diff_a3_a1 
                             (*690*)(sym a1 a3 Vea1a3)(*690*))(*691*))(*692*))
                          (fun Veb2b3a3a1  => 
                           (*707*)(perspectivity_line a3a1 (conj 
                            (*706*)(conl p3 a1a2 a3a1 (conj 
                             (*23*)(ip3a)(*23*) 
                             (*694*)(tra a1a2 b2b3 a3a1 (conj 
                              (*619*)(sym b2b3 a1a2 Veb2b3a1a2)(*619*) Veb2b3a3a1))(*694*)))(*706*) (conj 
                            (*704*)(conp p1 a2 a3a1 (conj 
                             (*624*)(sym a2 p1 Vea2p1)(*624*) 
                             (*702*)(conl a2 a1a2 a3a1 (conj 
                              (*3*)(ia2a1)(*3*) 
                              (*694*)(tra a1a2 b2b3 a3a1 (conj 
                               (*619*)(sym b2b3 a1a2 Veb2b3a1a2)(*619*) Veb2b3a3a1))(*694*)))(*702*)))(*704*) 
                            (*27*)(ip2a)(*27*))))(*707*)))
                         (*689*)(unique a1 a3 b2b3 a3a1 (conj (proj1 
                          (*1*)(ta_in_tb)(*1*)) (conj 
                          (*7*)(ia1a3)(*7*) (conj 
                          (*683*)(conl a3 s3 b2b3 (conj 
                           (*19*)(ia3s3)(*19*) 
                           (*675*)(sym b2b3 s3 Veb2b3s3)(*675*)))(*683*) 
                          (*6*)(ia3a1)(*6*)))))(*689*))(*708*)))
                       (*669*)(unique a1 b3 b2b3 s3 (conj (proj1 
                        (*1*)(ta_in_tb)(*1*)) (conj 
                        (*659*)(conp a1 s s3 (conj Vea1s 
                         (*16*)(iss3)(*16*)))(*659*) (conj 
                        (*11*)(ib3b2)(*11*) 
                        (*22*)(ib3s3)(*22*)))))(*669*))(*709*))
                      (fun Veb2b3s1  => 
                       (*775*)(
                       (or_ind 
                        (fun Vea1b3  => 
                         (*732*)(false_ind goal 
                          (*731*)(diff_a1_a2 
                           (*730*)(sym a2 a1 
                            (*729*)(tra a2 b3 a1 (conj Vea2b3 
                             (*728*)(sym a1 b3 Vea1b3)(*728*)))(*729*))(*730*))(*731*))(*732*))
                        (fun Veb2b3s3  => 
                         (*774*)(
                         (or_ind 
                          (fun Vea1a3  => 
                           (*755*)(false_ind goal 
                            (*754*)(diff_a3_a1 
                             (*753*)(sym a1 a3 Vea1a3)(*753*))(*754*))(*755*))
                          (fun Veb2b3a3a1  => 
                           (*773*)(perspectivity_line a3a1 (conj 
                            (*772*)(conl p3 a1a2 a3a1 (conj 
                             (*23*)(ip3a)(*23*) 
                             (*757*)(tra a1a2 b2b3 a3a1 (conj 
                              (*619*)(sym b2b3 a1a2 Veb2b3a1a2)(*619*) Veb2b3a3a1))(*757*)))(*772*) (conj 
                            (*769*)(conp p1 a2 a3a1 (conj 
                             (*624*)(sym a2 p1 Vea2p1)(*624*) 
                             (*767*)(conl a2 a1a2 a3a1 (conj 
                              (*3*)(ia2a1)(*3*) 
                              (*757*)(tra a1a2 b2b3 a3a1 (conj 
                               (*619*)(sym b2b3 a1a2 Veb2b3a1a2)(*619*) Veb2b3a3a1))(*757*)))(*767*)))(*769*) 
                            (*27*)(ip2a)(*27*))))(*773*)))
                         (*752*)(unique a1 a3 b2b3 a3a1 (conj (proj1 
                          (*1*)(ta_in_tb)(*1*)) (conj 
                          (*7*)(ia1a3)(*7*) (conj 
                          (*743*)(conl a3 s3 b2b3 (conj 
                           (*19*)(ia3s3)(*19*) 
                           (*733*)(sym b2b3 s3 Veb2b3s3)(*733*)))(*743*) 
                          (*6*)(ia3a1)(*6*)))))(*752*))(*774*)))
                       (*727*)(unique a1 b3 b2b3 s3 (conj (proj1 
                        (*1*)(ta_in_tb)(*1*)) (conj 
                        (*659*)(conp a1 s s3 (conj Vea1s 
                         (*16*)(iss3)(*16*)))(*659*) (conj 
                        (*11*)(ib3b2)(*11*) 
                        (*22*)(ib3s3)(*22*)))))(*727*))(*775*)))
                     (*661*)(unique a1 w_1 b2b3 s1 (conj (proj1 
                      (*1*)(ta_in_tb)(*1*)) (conj 
                      (*17*)(ia1s1)(*17*) (conj 
                      (*654*)(conl w_1 w_0 b2b3 (conj Viw_1w_0 
                       (*647*)(tra w_0 s2 b2b3 (conj Vew_0s2 
                        (*646*)(sym b2b3 s2 
                         (*645*)(tra b2b3 a1a2 s2 (conj Veb2b3a1a2 Vea1a2s2))(*645*))(*646*)))(*647*)))(*654*) Viw_1s1))))(*661*))(*776*))
                    (fun Veb2b3s1  => 
                     (*813*)(
                     (or_ind 
                      (fun Vea2b1  => 
                       (*798*)(false_ind goal 
                        (*797*)(diff_b3_b1 
                         (*796*)(tra b3 a2 b1 (conj 
                          (*608*)(sym a2 b3 Vea2b3)(*608*) Vea2b1))(*796*))(*797*))(*798*))
                      (fun Veb3b1a1a2  => 
                       (*812*)(perspectivity_line b3b1 (conj 
                        (*811*)(conl p3 a1a2 b3b1 (conj 
                         (*23*)(ip3a)(*23*) 
                         (*799*)(sym b3b1 a1a2 Veb3b1a1a2)(*799*)))(*811*) (conj 
                        (*627*)(conp p1 a2 b3b1 (conj 
                         (*624*)(sym a2 p1 Vea2p1)(*624*) (proj1 (proj2 
                         (*1*)(ta_in_tb)(*1*)))))(*627*) 
                        (*28*)(ip2b)(*28*))))(*812*)))
                     (*794*)(unique a2 b1 b3b1 a1a2 (conj (proj1 (proj2 
                      (*1*)(ta_in_tb)(*1*))) (conj 
                      (*3*)(ia2a1)(*3*) (conj 
                      (*13*)(ib1b3)(*13*) 
                      (*789*)(conl b1 s1 a1a2 (conj 
                       (*20*)(ib1s1)(*20*) 
                       (*779*)(sym a1a2 s1 
                        (*778*)(tra a1a2 b2b3 s1 (conj 
                         (*619*)(sym b2b3 a1a2 Veb2b3a1a2)(*619*) Veb2b3s1))(*778*))(*779*)))(*789*)))))(*794*))(*813*)))
                   (*657*)(unique a1 s b2b3 s1 (conj (proj1 
                    (*1*)(ta_in_tb)(*1*)) (conj 
                    (*17*)(ia1s1)(*17*) (conj 
                    (*652*)(conl s s2 b2b3 (conj 
                     (*15*)(iss2)(*15*) 
                     (*646*)(sym b2b3 s2 
                      (*645*)(tra b2b3 a1a2 s2 (conj Veb2b3a1a2 Vea1a2s2))(*645*))(*646*)))(*652*) 
                    (*14*)(iss1)(*14*)))))(*657*))(*814*)))
                 (*631*)(unique a2 p3 a1a2 s2 (conj 
                  (*3*)(ia2a1)(*3*) (conj 
                  (*18*)(ia2s2)(*18*) (conj 
                  (*23*)(ip3a)(*23*) 
                  (*605*)(conl p3 w_0 s2 (conj Vip3w_0 Vew_0s2))(*605*)))))(*631*))(*815*))
                (fun Vea1a2a2a3  => 
                 (*820*)(false_ind goal 
                  (*819*)(not23 
                   (*818*)(sym b2b3 a2a3 
                    (*817*)(tra b2b3 a1a2 a2a3 (conj Veb2b3a1a2 Vea1a2a2a3))(*817*))(*818*))(*819*))(*820*)))
               (*623*)(unique a2 p1 a1a2 a2a3 (conj 
                (*3*)(ia2a1)(*3*) (conj 
                (*4*)(ia2a3)(*4*) (conj 
                (*622*)(conl p1 b2b3 a1a2 (conj 
                 (*26*)(ip1b)(*26*) Veb2b3a1a2))(*622*) 
                (*25*)(ip1a)(*25*)))))(*623*))(*821*)))
             (*613*)(unique a1 b3 b2b3 a1a2 (conj (proj1 
              (*1*)(ta_in_tb)(*1*)) (conj 
              (*2*)(ia1a2)(*2*) (conj 
              (*11*)(ib3b2)(*11*) 
              (*611*)(conp b3 a2 a1a2 (conj 
               (*608*)(sym a2 b3 Vea2b3)(*608*) 
               (*3*)(ia2a1)(*3*)))(*611*)))))(*613*))(*822*))
            (fun Veb3b1s2  => 
             (*969*)(
             (or_ind 
              (fun Vea2p3  => 
               (*914*)(
               (or_ind 
                (fun Vea2b1  => 
                 (*883*)(
                 (or_ind 
                  (fun Vea2b2  => 
                   (*853*)(false_ind goal 
                    (*852*)(diff_b1_b2 
                     (*851*)(tra b1 a2 b2 (conj 
                      (*840*)(sym a2 b1 Vea2b1)(*840*) Vea2b2))(*851*))(*852*))(*853*))
                  (fun Veb3b1b1b2  => 
                   (*882*)(
                   (or_ind 
                    (fun Vea2a3  => 
                     (*869*)(false_ind goal 
                      (*868*)(diff_a2_a3 Vea2a3)(*868*))(*869*))
                    (fun Veb3b1a2a3  => 
                     (*881*)(perspectivity_line b3b1 (conj 
                      (*832*)(conl p3 w_0 b3b1 (conj Vip3w_0 
                       (*824*)(tra w_0 s2 b3b1 (conj Vew_0s2 
                        (*823*)(sym b3b1 s2 Veb3b1s2)(*823*)))(*824*)))(*832*) (conj 
                      (*880*)(conl p1 a2a3 b3b1 (conj 
                       (*25*)(ip1a)(*25*) 
                       (*870*)(sym b3b1 a2a3 Veb3b1a2a3)(*870*)))(*880*) 
                      (*28*)(ip2b)(*28*))))(*881*)))
                   (*867*)(unique a2 a3 b3b1 a2a3 (conj (proj1 (proj2 
                    (*1*)(ta_in_tb)(*1*))) (conj 
                    (*4*)(ia2a3)(*4*) (conj 
                    (*859*)(conl a3 b1b2 b3b1 (conj (proj2 (proj2 
                     (*1*)(ta_in_tb)(*1*))) 
                     (*854*)(sym b3b1 b1b2 Veb3b1b1b2)(*854*)))(*859*) 
                    (*5*)(ia3a2)(*5*)))))(*867*))(*882*)))
                 (*847*)(unique a2 b2 b3b1 b1b2 (conj (proj1 (proj2 
                  (*1*)(ta_in_tb)(*1*))) (conj 
                  (*837*)(conp a2 p3 b1b2 (conj Vea2p3 
                   (*24*)(ip3b)(*24*)))(*837*) (conj 
                  (*829*)(conl b2 s2 b3b1 (conj 
                   (*21*)(ib2s2)(*21*) 
                   (*823*)(sym b3b1 s2 Veb3b1s2)(*823*)))(*829*) 
                  (*9*)(ib2b1)(*9*)))))(*847*))(*883*))
                (fun Veb3b1b1b2  => 
                 (*913*)(
                 (or_ind 
                  (fun Vea2a3  => 
                   (*899*)(false_ind goal 
                    (*898*)(diff_a2_a3 Vea2a3)(*898*))(*899*))
                  (fun Veb3b1a2a3  => 
                   (*912*)(perspectivity_line b3b1 (conj 
                    (*832*)(conl p3 w_0 b3b1 (conj Vip3w_0 
                     (*824*)(tra w_0 s2 b3b1 (conj Vew_0s2 
                      (*823*)(sym b3b1 s2 Veb3b1s2)(*823*)))(*824*)))(*832*) (conj 
                    (*911*)(conl p1 a2a3 b3b1 (conj 
                     (*25*)(ip1a)(*25*) 
                     (*900*)(sym b3b1 a2a3 Veb3b1a2a3)(*900*)))(*911*) 
                    (*28*)(ip2b)(*28*))))(*912*)))
                 (*897*)(unique a2 a3 b3b1 a2a3 (conj (proj1 (proj2 
                  (*1*)(ta_in_tb)(*1*))) (conj 
                  (*4*)(ia2a3)(*4*) (conj 
                  (*889*)(conl a3 b1b2 b3b1 (conj (proj2 (proj2 
                   (*1*)(ta_in_tb)(*1*))) 
                   (*884*)(sym b3b1 b1b2 Veb3b1b1b2)(*884*)))(*889*) 
                  (*5*)(ia3a2)(*5*)))))(*897*))(*913*)))
               (*839*)(unique a2 b1 b3b1 b1b2 (conj (proj1 (proj2 
                (*1*)(ta_in_tb)(*1*))) (conj 
                (*837*)(conp a2 p3 b1b2 (conj Vea2p3 
                 (*24*)(ip3b)(*24*)))(*837*) (conj 
                (*13*)(ib1b3)(*13*) 
                (*8*)(ib1b2)(*8*)))))(*839*))(*914*))
              (fun Veb3b1a1a2  => 
               (*968*)(
               (or_ind 
                (fun Vea1b2  => 
                 (*954*)(
                 (or_ind 
                  (fun Vea1b3  => 
                   (*940*)(false_ind goal 
                    (*939*)(diff_b2_b3 
                     (*938*)(tra b2 a1 b3 (conj 
                      (*931*)(sym a1 b2 Vea1b2)(*931*) Vea1b3))(*938*))(*939*))(*940*))
                  (fun Veb2b3a1a2  => 
                   (*953*)(perspectivity_line a1a2 (conj 
                    (*23*)(ip3a)(*23*) (conj 
                    (*952*)(conl p1 b2b3 a1a2 (conj 
                     (*26*)(ip1b)(*26*) Veb2b3a1a2))(*952*) 
                    (*927*)(conl p2 b3b1 a1a2 (conj 
                     (*28*)(ip2b)(*28*) Veb3b1a1a2))(*927*))))(*953*)))
                 (*936*)(unique a1 b3 b2b3 a1a2 (conj (proj1 
                  (*1*)(ta_in_tb)(*1*)) (conj 
                  (*2*)(ia1a2)(*2*) (conj 
                  (*11*)(ib3b2)(*11*) 
                  (*923*)(conl b3 b3b1 a1a2 (conj 
                   (*12*)(ib3b1)(*12*) Veb3b1a1a2))(*923*)))))(*936*))(*954*))
                (fun Veb2b3a1a2  => 
                 (*967*)(perspectivity_line a1a2 (conj 
                  (*23*)(ip3a)(*23*) (conj 
                  (*966*)(conl p1 b2b3 a1a2 (conj 
                   (*26*)(ip1b)(*26*) Veb2b3a1a2))(*966*) 
                  (*927*)(conl p2 b3b1 a1a2 (conj 
                   (*28*)(ip2b)(*28*) Veb3b1a1a2))(*927*))))(*967*)))
               (*930*)(unique a1 b2 b2b3 a1a2 (conj (proj1 
                (*1*)(ta_in_tb)(*1*)) (conj 
                (*2*)(ia1a2)(*2*) (conj 
                (*10*)(ib2b3)(*10*) 
                (*926*)(conl b2 s2 a1a2 (conj 
                 (*21*)(ib2s2)(*21*) 
                 (*916*)(tra s2 b3b1 a1a2 (conj 
                  (*823*)(sym b3b1 s2 Veb3b1s2)(*823*) Veb3b1a1a2))(*916*)))(*926*)))))(*930*))(*968*)))
             (*835*)(unique a2 p3 b3b1 a1a2 (conj (proj1 (proj2 
              (*1*)(ta_in_tb)(*1*))) (conj 
              (*3*)(ia2a1)(*3*) (conj 
              (*832*)(conl p3 w_0 b3b1 (conj Vip3w_0 
               (*824*)(tra w_0 s2 b3b1 (conj Vew_0s2 
                (*823*)(sym b3b1 s2 Veb3b1s2)(*823*)))(*824*)))(*832*) 
              (*23*)(ip3a)(*23*)))))(*835*))(*969*)))
           (*607*)(unique a2 b3 b3b1 s2 (conj (proj1 (proj2 
            (*1*)(ta_in_tb)(*1*))) (conj 
            (*18*)(ia2s2)(*18*) (conj 
            (*12*)(ib3b1)(*12*) 
            (*604*)(conl b3 w_0 s2 (conj Vib3w_0 Vew_0s2))(*604*)))))(*607*))(*970*))
         (or_ind 
          (fun Ves1b1b2  => 
           (*1149*)(
           (or_ind 
            (fun Vea1b2  => 
             (*1108*)(
             (or_ind 
              (fun Vea3b2  => 
               (*989*)(false_ind goal 
                (*988*)(diff_a3_a1 
                 (*987*)(sym a1 a3 
                  (*986*)(tra a1 b2 a3 (conj Vea1b2 
                   (*985*)(sym a3 b2 Vea3b2)(*985*)))(*986*))(*987*))(*988*))(*989*))
              (fun Veb1b2a3a1  => 
               (*1107*)(
               (or_ind 
                (fun Vea3s  => 
                 (*1073*)(
                 (or_ind 
                  (fun Vea3b2  => 
                   (*1008*)(false_ind goal 
                    (*1007*)(diff_a3_a1 
                     (*1006*)(sym a1 a3 
                      (*1005*)(tra a1 b2 a3 (conj Vea1b2 
                       (*1004*)(sym a3 b2 Vea3b2)(*1004*)))(*1005*))(*1006*))(*1007*))(*1008*))
                  (fun Veb1b2s2  => 
                   (*1072*)(
                   (or_ind 
                    (fun Vea2b1  => 
                     (*1063*)(
                     (or_ind 
                      (fun Vea2p2  => 
                       (*1054*)(
                       (or_ind 
                        (fun Vea3b1  => 
                         (*1042*)(false_ind goal 
                          (*1041*)(diff_a2_a3 
                           (*1040*)(tra a2 b1 a3 (conj Vea2b1 
                            (*1037*)(sym a3 b1 Vea3b1)(*1037*)))(*1040*))(*1041*))(*1042*))
                        (fun Veb1b2a2a3  => 
                         (*1053*)(perspectivity_line a2a3 (conj 
                          (*1052*)(conl p3 b1b2 a2a3 (conj 
                           (*24*)(ip3b)(*24*) Veb1b2a2a3))(*1052*) (conj 
                          (*25*)(ip1a)(*25*) 
                          (*1035*)(conp p2 a2 a2a3 (conj 
                           (*1029*)(sym a2 p2 Vea2p2)(*1029*) 
                           (*4*)(ia2a3)(*4*)))(*1035*))))(*1053*)))
                       (*1036*)(unique a3 b1 b1b2 a2a3 (conj (proj2 (proj2 
                        (*1*)(ta_in_tb)(*1*))) (conj 
                        (*5*)(ia3a2)(*5*) (conj 
                        (*8*)(ib1b2)(*8*) 
                        (*1027*)(conp b1 a2 a2a3 (conj 
                         (*1025*)(sym a2 b1 Vea2b1)(*1025*) 
                         (*4*)(ia2a3)(*4*)))(*1027*)))))(*1036*))(*1054*))
                      (fun Veb3b1s2  => 
                       (*1062*)(false_ind goal 
                        (*1061*)(not31 
                         (*1060*)(tra a3a1 b1b2 b3b1 (conj 
                          (*990*)(sym b1b2 a3a1 Veb1b2a3a1)(*990*) 
                          (*1056*)(tra b1b2 s2 b3b1 (conj Veb1b2s2 
                           (*1055*)(sym b3b1 s2 Veb3b1s2)(*1055*)))(*1056*)))(*1060*))(*1061*))(*1062*)))
                     (*1028*)(unique a2 p2 b3b1 s2 (conj (proj1 (proj2 
                      (*1*)(ta_in_tb)(*1*))) (conj 
                      (*18*)(ia2s2)(*18*) (conj 
                      (*28*)(ip2b)(*28*) 
                      (*1019*)(conl p2 a3a1 s2 (conj 
                       (*27*)(ip2a)(*27*) 
                       (*1012*)(tra a3a1 b1b2 s2 (conj 
                        (*990*)(sym b1b2 a3a1 Veb1b2a3a1)(*990*) Veb1b2s2))(*1012*)))(*1019*)))))(*1028*))(*1063*))
                    (fun Veb3b1s2  => 
                     (*1071*)(false_ind goal 
                      (*1070*)(not31 
                       (*1069*)(tra a3a1 b1b2 b3b1 (conj 
                        (*990*)(sym b1b2 a3a1 Veb1b2a3a1)(*990*) 
                        (*1065*)(tra b1b2 s2 b3b1 (conj Veb1b2s2 
                         (*1064*)(sym b3b1 s2 Veb3b1s2)(*1064*)))(*1065*)))(*1069*))(*1070*))(*1071*)))
                   (*1024*)(unique a2 b1 b3b1 s2 (conj (proj1 (proj2 
                    (*1*)(ta_in_tb)(*1*))) (conj 
                    (*18*)(ia2s2)(*18*) (conj 
                    (*13*)(ib1b3)(*13*) 
                    (*1014*)(conl b1 b1b2 s2 (conj 
                     (*8*)(ib1b2)(*8*) Veb1b2s2))(*1014*)))))(*1024*))(*1072*)))
                 (*1003*)(unique a3 b2 b1b2 s2 (conj (proj2 (proj2 
                  (*1*)(ta_in_tb)(*1*))) (conj 
                  (*1001*)(conp a3 s s2 (conj Vea3s 
                   (*15*)(iss2)(*15*)))(*1001*) (conj 
                  (*9*)(ib2b1)(*9*) 
                  (*21*)(ib2s2)(*21*)))))(*1003*))(*1073*))
                (fun Veb1b2s3  => 
                 (*1106*)(
                 (or_ind 
                  (fun Vea1b3  => 
                   (*1092*)(false_ind goal 
                    (*1091*)(diff_b2_b3 
                     (*1090*)(tra b2 a1 b3 (conj 
                      (*979*)(sym a1 b2 Vea1b2)(*979*) Vea1b3))(*1090*))(*1091*))(*1092*))
                  (fun Veb2b3a3a1  => 
                   (*1105*)(perspectivity_line a3a1 (conj 
                    (*995*)(conl p3 b1b2 a3a1 (conj 
                     (*24*)(ip3b)(*24*) Veb1b2a3a1))(*995*) (conj 
                    (*1104*)(conl p1 b2b3 a3a1 (conj 
                     (*26*)(ip1b)(*26*) Veb2b3a3a1))(*1104*) 
                    (*27*)(ip2a)(*27*))))(*1105*)))
                 (*1088*)(unique a1 b3 b2b3 a3a1 (conj (proj1 
                  (*1*)(ta_in_tb)(*1*)) (conj 
                  (*7*)(ia1a3)(*7*) (conj 
                  (*11*)(ib3b2)(*11*) 
                  (*1084*)(conl b3 s3 a3a1 (conj 
                   (*22*)(ib3s3)(*22*) 
                   (*1078*)(sym a3a1 s3 
                    (*1077*)(tra a3a1 b1b2 s3 (conj 
                     (*990*)(sym b1b2 a3a1 Veb1b2a3a1)(*990*) Veb1b2s3))(*1077*))(*1078*)))(*1084*)))))(*1088*))(*1106*)))
               (*999*)(unique a3 s b1b2 s3 (conj (proj2 (proj2 
                (*1*)(ta_in_tb)(*1*))) (conj 
                (*19*)(ia3s3)(*19*) (conj 
                (*974*)(conl s s1 b1b2 (conj 
                 (*14*)(iss1)(*14*) Ves1b1b2))(*974*) 
                (*16*)(iss3)(*16*)))))(*999*))(*1107*)))
             (*984*)(unique a3 b2 b1b2 a3a1 (conj (proj2 (proj2 
              (*1*)(ta_in_tb)(*1*))) (conj 
              (*6*)(ia3a1)(*6*) (conj 
              (*9*)(ib2b1)(*9*) 
              (*983*)(conp b2 a1 a3a1 (conj 
               (*979*)(sym a1 b2 Vea1b2)(*979*) 
               (*7*)(ia1a3)(*7*)))(*983*)))))(*984*))(*1108*))
            (fun Veb2b3s1  => 
             (*1148*)(
             (or_ind 
              (fun Vea1p3  => 
               (*1140*)(
               (or_ind 
                (fun Vea1a3  => 
                 (*1128*)(false_ind goal 
                  (*1127*)(diff_a3_a1 
                   (*1126*)(sym a1 a3 Vea1a3)(*1126*))(*1127*))(*1128*))
                (fun Veb2b3a3a1  => 
                 (*1139*)(perspectivity_line a3a1 (conj 
                  (*1124*)(conp p3 a1 a3a1 (conj 
                   (*1122*)(sym a1 p3 Vea1p3)(*1122*) 
                   (*7*)(ia1a3)(*7*)))(*1124*) (conj 
                  (*1138*)(conl p1 b2b3 a3a1 (conj 
                   (*26*)(ip1b)(*26*) Veb2b3a3a1))(*1138*) 
                  (*27*)(ip2a)(*27*))))(*1139*)))
               (*1125*)(unique a1 a3 b2b3 a3a1 (conj (proj1 
                (*1*)(ta_in_tb)(*1*)) (conj 
                (*7*)(ia1a3)(*7*) (conj 
                (*1112*)(conl a3 b1b2 b2b3 (conj (proj2 (proj2 
                 (*1*)(ta_in_tb)(*1*))) 
                 (*1110*)(tra b1b2 s1 b2b3 (conj 
                  (*971*)(sym s1 b1b2 Ves1b1b2)(*971*) 
                  (*1109*)(sym b2b3 s1 Veb2b3s1)(*1109*)))(*1110*)))(*1112*) 
                (*6*)(ia3a1)(*6*)))))(*1125*))(*1140*))
              (fun Veb2b3a1a2  => 
               (*1147*)(false_ind goal 
                (*1146*)(not12 
                 (*1145*)(sym b1b2 a1a2 
                  (*1144*)(tra b1b2 s1 a1a2 (conj 
                   (*971*)(sym s1 b1b2 Ves1b1b2)(*971*) 
                   (*1142*)(tra s1 b2b3 a1a2 (conj 
                    (*1109*)(sym b2b3 s1 Veb2b3s1)(*1109*) Veb2b3a1a2))(*1142*)))(*1144*))(*1145*))(*1146*))(*1147*)))
             (*1121*)(unique a1 p3 b2b3 a1a2 (conj (proj1 
              (*1*)(ta_in_tb)(*1*)) (conj 
              (*2*)(ia1a2)(*2*) (conj 
              (*1117*)(conl p3 b1b2 b2b3 (conj 
               (*24*)(ip3b)(*24*) 
               (*1110*)(tra b1b2 s1 b2b3 (conj 
                (*971*)(sym s1 b1b2 Ves1b1b2)(*971*) 
                (*1109*)(sym b2b3 s1 Veb2b3s1)(*1109*)))(*1110*)))(*1117*) 
              (*23*)(ip3a)(*23*)))))(*1121*))(*1148*)))
           (*978*)(unique a1 b2 b2b3 s1 (conj (proj1 
            (*1*)(ta_in_tb)(*1*)) (conj 
            (*17*)(ia1s1)(*17*) (conj 
            (*10*)(ib2b3)(*10*) 
            (*973*)(conl b2 b1b2 s1 (conj 
             (*9*)(ib2b1)(*9*) 
             (*971*)(sym s1 b1b2 Ves1b1b2)(*971*)))(*973*)))))(*978*))(*1149*))
          (ex_ind (P:=fun w_4  => i p1 w_4 /\ i w_2 w_4 /\ i b1 w_4)
           (fun w_4  => (and_ind (fun Vip1w_4  => (and_ind (fun Viw_2w_4  => (fun Vib1w_4  => 
            (*1803*)(
            (or_ind 
             (fun Vew_4b2b3  => 
              (*1276*)(
              (or_ind 
               (fun Vea1b1  => 
                (*1211*)(
                (or_ind 
                 (fun Vea1b2  => 
                  (*1169*)(false_ind goal 
                   (*1168*)(diff_b1_b2 
                    (*1167*)(tra b1 a1 b2 (conj 
                     (*1160*)(sym a1 b1 Vea1b1)(*1160*) Vea1b2))(*1167*))(*1168*))(*1169*))
                 (fun Veb2b3b1b2  => 
                  (*1210*)(
                  (or_ind 
                   (fun Vea1p3  => 
                    (*1202*)(
                    (or_ind 
                     (fun Vea1a3  => 
                      (*1192*)(false_ind goal 
                       (*1191*)(diff_a3_a1 
                        (*1190*)(sym a1 a3 Vea1a3)(*1190*))(*1191*))(*1192*))
                     (fun Veb2b3a3a1  => 
                      (*1201*)(perspectivity_line a3a1 (conj 
                       (*1186*)(conp p3 a1 a3a1 (conj 
                        (*1181*)(sym a1 p3 Vea1p3)(*1181*) 
                        (*7*)(ia1a3)(*7*)))(*1186*) (conj 
                       (*1200*)(conl p1 b2b3 a3a1 (conj 
                        (*26*)(ip1b)(*26*) Veb2b3a3a1))(*1200*) 
                       (*27*)(ip2a)(*27*))))(*1201*)))
                    (*1189*)(unique a1 a3 b2b3 a3a1 (conj (proj1 
                     (*1*)(ta_in_tb)(*1*)) (conj 
                     (*7*)(ia1a3)(*7*) (conj 
                     (*1173*)(conl a3 b1b2 b2b3 (conj (proj2 (proj2 
                      (*1*)(ta_in_tb)(*1*))) 
                      (*1170*)(sym b2b3 b1b2 Veb2b3b1b2)(*1170*)))(*1173*) 
                     (*6*)(ia3a1)(*6*)))))(*1189*))(*1202*))
                   (fun Veb2b3a1a2  => 
                    (*1209*)(false_ind goal 
                     (*1208*)(not12 
                      (*1207*)(sym b1b2 a1a2 
                       (*1206*)(tra b1b2 b2b3 a1a2 (conj 
                        (*1170*)(sym b2b3 b1b2 Veb2b3b1b2)(*1170*) Veb2b3a1a2))(*1206*))(*1207*))(*1208*))(*1209*)))
                  (*1180*)(unique a1 p3 b2b3 a1a2 (conj (proj1 
                   (*1*)(ta_in_tb)(*1*)) (conj 
                   (*2*)(ia1a2)(*2*) (conj 
                   (*1176*)(conl p3 b1b2 b2b3 (conj 
                    (*24*)(ip3b)(*24*) 
                    (*1170*)(sym b2b3 b1b2 Veb2b3b1b2)(*1170*)))(*1176*) 
                   (*23*)(ip3a)(*23*)))))(*1180*))(*1210*)))
                (*1165*)(unique a1 b2 b2b3 b1b2 (conj (proj1 
                 (*1*)(ta_in_tb)(*1*)) (conj 
                 (*1161*)(conp a1 b1 b1b2 (conj Vea1b1 
                  (*8*)(ib1b2)(*8*)))(*1161*) (conj 
                 (*10*)(ib2b3)(*10*) 
                 (*9*)(ib2b1)(*9*)))))(*1165*))(*1211*))
               (fun Veb2b3s1  => 
                (*1275*)(
                (or_ind 
                 (fun Veb1b2  => 
                  (*1225*)(false_ind goal 
                   (*1224*)(diff_b1_b2 Veb1b2)(*1224*))(*1225*))
                 (fun Veb1b2s1  => 
                  (*1274*)(
                  (or_ind 
                   (fun Vea1p3  => 
                    (*1264*)(
                    (or_ind 
                     (fun Vea1a3  => 
                      (*1250*)(false_ind goal 
                       (*1249*)(diff_a3_a1 
                        (*1248*)(sym a1 a3 Vea1a3)(*1248*))(*1249*))(*1250*))
                     (fun Veb2b3a3a1  => 
                      (*1263*)(perspectivity_line a3a1 (conj 
                       (*1246*)(conp p3 a1 a3a1 (conj 
                        (*1244*)(sym a1 p3 Vea1p3)(*1244*) 
                        (*7*)(ia1a3)(*7*)))(*1246*) (conj 
                       (*1262*)(conl p1 b2b3 a3a1 (conj 
                        (*26*)(ip1b)(*26*) Veb2b3a3a1))(*1262*) 
                       (*27*)(ip2a)(*27*))))(*1263*)))
                    (*1247*)(unique a1 a3 b2b3 a3a1 (conj (proj1 
                     (*1*)(ta_in_tb)(*1*)) (conj 
                     (*7*)(ia1a3)(*7*) (conj 
                     (*1233*)(conl a3 b1b2 b2b3 (conj (proj2 (proj2 
                      (*1*)(ta_in_tb)(*1*))) 
                      (*1228*)(sym b2b3 b1b2 
                       (*1227*)(tra b2b3 s1 b1b2 (conj Veb2b3s1 
                        (*1226*)(sym b1b2 s1 Veb1b2s1)(*1226*)))(*1227*))(*1228*)))(*1233*) 
                     (*6*)(ia3a1)(*6*)))))(*1247*))(*1264*))
                   (fun Veb2b3a1a2  => 
                    (*1273*)(false_ind goal 
                     (*1272*)(not12 
                      (*1271*)(sym b1b2 a1a2 
                       (*1270*)(tra b1b2 s1 a1a2 (conj Veb1b2s1 
                        (*1268*)(tra s1 b2b3 a1a2 (conj 
                         (*1212*)(sym b2b3 s1 Veb2b3s1)(*1212*) Veb2b3a1a2))(*1268*)))(*1270*))(*1271*))(*1272*))(*1273*)))
                  (*1243*)(unique a1 p3 b2b3 a1a2 (conj (proj1 
                   (*1*)(ta_in_tb)(*1*)) (conj 
                   (*2*)(ia1a2)(*2*) (conj 
                   (*1238*)(conl p3 b1b2 b2b3 (conj 
                    (*24*)(ip3b)(*24*) 
                    (*1228*)(sym b2b3 b1b2 
                     (*1227*)(tra b2b3 s1 b1b2 (conj Veb2b3s1 
                      (*1226*)(sym b1b2 s1 Veb1b2s1)(*1226*)))(*1227*))(*1228*)))(*1238*) 
                   (*23*)(ip3a)(*23*)))))(*1243*))(*1274*)))
                (*1223*)(unique b1 b2 b1b2 s1 (conj 
                 (*8*)(ib1b2)(*8*) (conj 
                 (*20*)(ib1s1)(*20*) (conj 
                 (*9*)(ib2b1)(*9*) 
                 (*1215*)(conl b2 b2b3 s1 (conj 
                  (*10*)(ib2b3)(*10*) Veb2b3s1))(*1215*)))))(*1223*))(*1275*)))
              (*1159*)(unique a1 b1 b2b3 s1 (conj (proj1 
               (*1*)(ta_in_tb)(*1*)) (conj 
               (*17*)(ia1s1)(*17*) (conj 
               (*1158*)(conl b1 w_4 b2b3 (conj Vib1w_4 Vew_4b2b3))(*1158*) 
               (*20*)(ib1s1)(*20*)))))(*1159*))(*1276*))
            (or_ind 
             (fun Vew_3b3b1  => 
              (*1384*)(
              (or_ind 
               (fun Vea2b2  => 
                (*1320*)(
                (or_ind 
                 (fun Vea1b2  => 
                  (*1294*)(false_ind goal 
                   (*1293*)(diff_a1_a2 
                    (*1292*)(sym a2 a1 
                     (*1291*)(tra a2 b2 a1 (conj Vea2b2 
                      (*1290*)(sym a1 b2 Vea1b2)(*1290*)))(*1291*))(*1292*))(*1293*))(*1294*))
                 (fun Veb2b3a1a2  => 
                  (*1319*)(
                  (or_ind 
                   (fun Vea2b3  => 
                    (*1303*)(false_ind goal 
                     (*1302*)(diff_b2_b3 
                      (*1301*)(tra b2 a2 b3 (conj 
                       (*1284*)(sym a2 b2 Vea2b2)(*1284*) Vea2b3))(*1301*))(*1302*))(*1303*))
                   (fun Veb3b1a1a2  => 
                    (*1318*)(perspectivity_line b3b1 (conj 
                     (*1315*)(conl p3 a1a2 b3b1 (conj 
                      (*23*)(ip3a)(*23*) 
                      (*1304*)(sym b3b1 a1a2 Veb3b1a1a2)(*1304*)))(*1315*) (conj 
                     (*1317*)(conl p1 b2b3 b3b1 (conj 
                      (*26*)(ip1b)(*26*) 
                      (*1307*)(tra b2b3 a1a2 b3b1 (conj Veb2b3a1a2 
                       (*1304*)(sym b3b1 a1a2 Veb3b1a1a2)(*1304*)))(*1307*)))(*1317*) 
                     (*28*)(ip2b)(*28*))))(*1318*)))
                  (*1299*)(unique a2 b3 b3b1 a1a2 (conj (proj1 (proj2 
                   (*1*)(ta_in_tb)(*1*))) (conj 
                   (*3*)(ia2a1)(*3*) (conj 
                   (*12*)(ib3b1)(*12*) 
                   (*1296*)(conl b3 b2b3 a1a2 (conj 
                    (*11*)(ib3b2)(*11*) Veb2b3a1a2))(*1296*)))))(*1299*))(*1319*)))
                (*1289*)(unique a1 b2 b2b3 a1a2 (conj (proj1 
                 (*1*)(ta_in_tb)(*1*)) (conj 
                 (*2*)(ia1a2)(*2*) (conj 
                 (*10*)(ib2b3)(*10*) 
                 (*1287*)(conp b2 a2 a1a2 (conj 
                  (*1284*)(sym a2 b2 Vea2b2)(*1284*) 
                  (*3*)(ia2a1)(*3*)))(*1287*)))))(*1289*))(*1320*))
               (fun Veb3b1s2  => 
                (*1383*)(
                (or_ind 
                 (fun Veb1b2  => 
                  (*1334*)(false_ind goal 
                   (*1333*)(diff_b1_b2 Veb1b2)(*1333*))(*1334*))
                 (fun Veb1b2b3b1  => 
                  (*1382*)(
                  (or_ind 
                   (fun Vea2p3  => 
                    (*1372*)(
                    (or_ind 
                     (fun Vea2a3  => 
                      (*1358*)(false_ind goal 
                       (*1357*)(diff_a2_a3 Vea2a3)(*1357*))(*1358*))
                     (fun Veb3b1a2a3  => 
                      (*1371*)(perspectivity_line b3b1 (conj 
                       (*1346*)(conl p3 b1b2 b3b1 (conj 
                        (*24*)(ip3b)(*24*) Veb1b2b3b1))(*1346*) (conj 
                       (*1370*)(conl p1 a2a3 b3b1 (conj 
                        (*25*)(ip1a)(*25*) 
                        (*1359*)(sym b3b1 a2a3 Veb3b1a2a3)(*1359*)))(*1370*) 
                       (*28*)(ip2b)(*28*))))(*1371*)))
                    (*1356*)(unique a2 a3 b3b1 a2a3 (conj (proj1 (proj2 
                     (*1*)(ta_in_tb)(*1*))) (conj 
                     (*4*)(ia2a3)(*4*) (conj 
                     (*1341*)(conl a3 b1b2 b3b1 (conj (proj2 (proj2 
                      (*1*)(ta_in_tb)(*1*))) Veb1b2b3b1))(*1341*) 
                     (*5*)(ia3a2)(*5*)))))(*1356*))(*1372*))
                   (fun Veb3b1a1a2  => 
                    (*1381*)(false_ind goal 
                     (*1380*)(not12 
                      (*1379*)(sym b1b2 a1a2 
                       (*1378*)(tra b1b2 b3b1 a1a2 (conj Veb1b2b3b1 Veb3b1a1a2))(*1378*))(*1379*))(*1380*))(*1381*)))
                  (*1352*)(unique a2 p3 b3b1 a1a2 (conj (proj1 (proj2 
                   (*1*)(ta_in_tb)(*1*))) (conj 
                   (*3*)(ia2a1)(*3*) (conj 
                   (*1346*)(conl p3 b1b2 b3b1 (conj 
                    (*24*)(ip3b)(*24*) Veb1b2b3b1))(*1346*) 
                   (*23*)(ip3a)(*23*)))))(*1352*))(*1382*)))
                (*1332*)(unique b1 b2 b1b2 b3b1 (conj 
                 (*8*)(ib1b2)(*8*) (conj 
                 (*13*)(ib1b3)(*13*) (conj 
                 (*9*)(ib2b1)(*9*) 
                 (*1282*)(conl b2 w_3 b3b1 (conj Vib2w_3 Vew_3b3b1))(*1282*)))))(*1332*))(*1383*)))
              (*1283*)(unique a2 b2 b3b1 s2 (conj (proj1 (proj2 
               (*1*)(ta_in_tb)(*1*))) (conj 
               (*18*)(ia2s2)(*18*) (conj 
               (*1282*)(conl b2 w_3 b3b1 (conj Vib2w_3 Vew_3b3b1))(*1282*) 
               (*21*)(ib2s2)(*21*)))))(*1283*))(*1384*))
            (or_ind 
             (fun Vea1a2w_0  => 
              (*1801*)(
              (or_ind 
               (fun Vea1b3  => 
                (*1595*)(
                (or_ind 
                 (fun Vea2b3  => 
                  (*1401*)(false_ind goal 
                   (*1400*)(diff_a1_a2 
                    (*1399*)(tra a1 b3 a2 (conj Vea1b3 
                     (*1398*)(sym a2 b3 Vea2b3)(*1398*)))(*1399*))(*1400*))(*1401*))
                 (fun Veb3b1a1a2  => 
                  (*1594*)(
                  (or_ind 
                   (fun Vea2w_2  => 
                    (*1556*)(
                    (or_ind 
                     (fun Vea2b1  => 
                      (*1545*)(
                      (or_ind 
                       (fun Vea2p3  => 
                        (*1540*)(
                        (or_ind 
                         (fun Vea2b3  => 
                          (*1440*)(false_ind goal 
                           (*1439*)(diff_a1_a2 
                            (*1438*)(tra a1 b3 a2 (conj Vea1b3 
                             (*1437*)(sym a2 b3 Vea2b3)(*1437*)))(*1438*))(*1439*))(*1440*))
                         (fun Veb3b1s1  => 
                          (*1539*)(
                          (or_ind 
                           (fun Vea2s  => 
                            (*1500*)(
                            (or_ind 
                             (fun Vea2b3  => 
                              (*1469*)(false_ind goal 
                               (*1468*)(diff_a1_a2 
                                (*1467*)(tra a1 b3 a2 (conj Vea1b3 
                                 (*1466*)(sym a2 b3 Vea2b3)(*1466*)))(*1467*))(*1468*))(*1469*))
                             (fun Veb3b1s3  => 
                              (*1499*)(
                              (or_ind 
                               (fun Vea2a3  => 
                                (*1485*)(false_ind goal 
                                 (*1484*)(diff_a2_a3 Vea2a3)(*1484*))(*1485*))
                               (fun Veb3b1a2a3  => 
                                (*1498*)(perspectivity_line b3b1 (conj 
                                 (*1407*)(conl p3 a1a2 b3b1 (conj 
                                  (*23*)(ip3a)(*23*) 
                                  (*1402*)(sym b3b1 a1a2 Veb3b1a1a2)(*1402*)))(*1407*) (conj 
                                 (*1497*)(conl p1 a2a3 b3b1 (conj 
                                  (*25*)(ip1a)(*25*) 
                                  (*1486*)(sym b3b1 a2a3 Veb3b1a2a3)(*1486*)))(*1497*) 
                                 (*28*)(ip2b)(*28*))))(*1498*)))
                              (*1483*)(unique a2 a3 b3b1 a2a3 (conj (proj1 (proj2 
                               (*1*)(ta_in_tb)(*1*))) (conj 
                               (*4*)(ia2a3)(*4*) (conj 
                               (*1477*)(conl a3 s3 b3b1 (conj 
                                (*19*)(ia3s3)(*19*) 
                                (*1470*)(sym b3b1 s3 Veb3b1s3)(*1470*)))(*1477*) 
                               (*5*)(ia3a2)(*5*)))))(*1483*))(*1499*)))
                            (*1465*)(unique a2 b3 b3b1 s3 (conj (proj1 (proj2 
                             (*1*)(ta_in_tb)(*1*))) (conj 
                             (*1458*)(conp a2 s s3 (conj Vea2s 
                              (*16*)(iss3)(*16*)))(*1458*) (conj 
                             (*12*)(ib3b1)(*12*) 
                             (*22*)(ib3s3)(*22*)))))(*1465*))(*1500*))
                           (fun Veb3b1s2  => 
                            (*1538*)(
                            (or_ind 
                             (fun Vea1b2  => 
                              (*1521*)(false_ind goal 
                               (*1520*)(diff_b2_b3 
                                (*1519*)(sym b3 b2 
                                 (*1518*)(tra b3 a1 b2 (conj 
                                  (*1392*)(sym a1 b3 Vea1b3)(*1392*) Vea1b2))(*1518*))(*1519*))(*1520*))(*1521*))
                             (fun Veb2b3a1a2  => 
                              (*1537*)(perspectivity_line a1a2 (conj 
                               (*23*)(ip3a)(*23*) (conj 
                               (*1536*)(conl p1 b2b3 a1a2 (conj 
                                (*26*)(ip1b)(*26*) Veb2b3a1a2))(*1536*) 
                               (*1408*)(conl p2 b3b1 a1a2 (conj 
                                (*28*)(ip2b)(*28*) Veb3b1a1a2))(*1408*))))(*1537*)))
                            (*1516*)(unique a1 b2 b2b3 a1a2 (conj (proj1 
                             (*1*)(ta_in_tb)(*1*)) (conj 
                             (*2*)(ia1a2)(*2*) (conj 
                             (*10*)(ib2b3)(*10*) 
                             (*1511*)(conl b2 s2 a1a2 (conj 
                              (*21*)(ib2s2)(*21*) 
                              (*1503*)(sym a1a2 s2 
                               (*1502*)(tra a1a2 b3b1 s2 (conj 
                                (*1402*)(sym b3b1 a1a2 Veb3b1a1a2)(*1402*) Veb3b1s2))(*1502*))(*1503*)))(*1511*)))))(*1516*))(*1538*)))
                          (*1450*)(unique a2 s b3b1 s2 (conj (proj1 (proj2 
                           (*1*)(ta_in_tb)(*1*))) (conj 
                           (*18*)(ia2s2)(*18*) (conj 
                           (*1446*)(conl s s1 b3b1 (conj 
                            (*14*)(iss1)(*14*) 
                            (*1441*)(sym b3b1 s1 Veb3b1s1)(*1441*)))(*1446*) 
                           (*15*)(iss2)(*15*)))))(*1450*))(*1539*)))
                        (*1436*)(unique a2 b3 b3b1 s1 (conj (proj1 (proj2 
                         (*1*)(ta_in_tb)(*1*))) (conj 
                         (*1422*)(conp a2 b1 s1 (conj Vea2b1 
                          (*20*)(ib1s1)(*20*)))(*1422*) (conj 
                         (*12*)(ib3b1)(*12*) 
                         (*1396*)(conp b3 a1 s1 (conj 
                          (*1392*)(sym a1 b3 Vea1b3)(*1392*) 
                          (*17*)(ia1s1)(*17*)))(*1396*)))))(*1436*))(*1540*))
                       (fun Veb3b1b1b2  => 
                        (*1544*)(false_ind goal 
                         (*1543*)(not12 
                          (*1542*)(tra a1a2 b3b1 b1b2 (conj 
                           (*1402*)(sym b3b1 a1a2 Veb3b1a1a2)(*1402*) Veb3b1b1b2))(*1542*))(*1543*))(*1544*)))
                      (*1426*)(unique a2 p3 b3b1 b1b2 (conj (proj1 (proj2 
                       (*1*)(ta_in_tb)(*1*))) (conj 
                       (*1420*)(conp a2 b1 b1b2 (conj Vea2b1 
                        (*8*)(ib1b2)(*8*)))(*1420*) (conj 
                       (*1407*)(conl p3 a1a2 b3b1 (conj 
                        (*23*)(ip3a)(*23*) 
                        (*1402*)(sym b3b1 a1a2 Veb3b1a1a2)(*1402*)))(*1407*) 
                       (*24*)(ip3b)(*24*)))))(*1426*))(*1545*))
                     (fun Veb3b1w_4  => 
                      (*1555*)(perspectivity_line w_4 (conj 
                       (*1553*)(conl p3 a1a2 w_4 (conj 
                        (*23*)(ip3a)(*23*) 
                        (*1547*)(tra a1a2 b3b1 w_4 (conj 
                         (*1402*)(sym b3b1 a1a2 Veb3b1a1a2)(*1402*) Veb3b1w_4))(*1547*)))(*1553*) (conj Vip1w_4 
                       (*1554*)(conl p2 b3b1 w_4 (conj 
                        (*28*)(ip2b)(*28*) Veb3b1w_4))(*1554*))))(*1555*)))
                    (*1416*)(unique a2 b1 b3b1 w_4 (conj (proj1 (proj2 
                     (*1*)(ta_in_tb)(*1*))) (conj 
                     (*1414*)(conp a2 w_2 w_4 (conj Vea2w_2 Viw_2w_4))(*1414*) (conj 
                     (*13*)(ib1b3)(*13*) Vib1w_4))))(*1416*))(*1556*))
                   (fun Veb3b1s2  => 
                    (*1593*)(
                    (or_ind 
                     (fun Vea1b2  => 
                      (*1579*)(false_ind goal 
                       (*1578*)(diff_b2_b3 
                        (*1577*)(sym b3 b2 
                         (*1576*)(tra b3 a1 b2 (conj 
                          (*1392*)(sym a1 b3 Vea1b3)(*1392*) Vea1b2))(*1576*))(*1577*))(*1578*))(*1579*))
                     (fun Veb2b3a1a2  => 
                      (*1592*)(perspectivity_line a1a2 (conj 
                       (*23*)(ip3a)(*23*) (conj 
                       (*1591*)(conl p1 b2b3 a1a2 (conj 
                        (*26*)(ip1b)(*26*) Veb2b3a1a2))(*1591*) 
                       (*1408*)(conl p2 b3b1 a1a2 (conj 
                        (*28*)(ip2b)(*28*) Veb3b1a1a2))(*1408*))))(*1592*)))
                    (*1574*)(unique a1 b2 b2b3 a1a2 (conj (proj1 
                     (*1*)(ta_in_tb)(*1*)) (conj 
                     (*2*)(ia1a2)(*2*) (conj 
                     (*10*)(ib2b3)(*10*) 
                     (*1569*)(conl b2 s2 a1a2 (conj 
                      (*21*)(ib2s2)(*21*) 
                      (*1559*)(sym a1a2 s2 
                       (*1558*)(tra a1a2 b3b1 s2 (conj 
                        (*1402*)(sym b3b1 a1a2 Veb3b1a1a2)(*1402*) Veb3b1s2))(*1558*))(*1559*)))(*1569*)))))(*1574*))(*1593*)))
                  (*1412*)(unique a2 w_2 b3b1 s2 (conj (proj1 (proj2 
                   (*1*)(ta_in_tb)(*1*))) (conj 
                   (*18*)(ia2s2)(*18*) (conj 
                   (*1411*)(conl w_2 w_0 b3b1 (conj Viw_2w_0 
                    (*1403*)(tra w_0 a1a2 b3b1 (conj 
                     (*1385*)(sym a1a2 w_0 Vea1a2w_0)(*1385*) 
                     (*1402*)(sym b3b1 a1a2 Veb3b1a1a2)(*1402*)))(*1403*)))(*1411*) Viw_2s2))))(*1412*))(*1594*)))
                (*1397*)(unique a2 b3 b3b1 a1a2 (conj (proj1 (proj2 
                 (*1*)(ta_in_tb)(*1*))) (conj 
                 (*3*)(ia2a1)(*3*) (conj 
                 (*12*)(ib3b1)(*12*) 
                 (*1388*)(conl b3 w_0 a1a2 (conj Vib3w_0 
                  (*1385*)(sym a1a2 w_0 Vea1a2w_0)(*1385*)))(*1388*)))))(*1397*))(*1595*))
               (fun Veb2b3a1a2  => 
                (*1800*)(
                (or_ind 
                 (fun Vea1w_1  => 
                  (*1744*)(
                  (or_ind 
                   (fun Vea1b2  => 
                    (*1733*)(
                    (or_ind 
                     (fun Vea1p3  => 
                      (*1728*)(
                      (or_ind 
                       (fun Vea1a2  => 
                        (*1633*)(false_ind goal 
                         (*1632*)(diff_a1_a2 Vea1a2)(*1632*))(*1633*))
                       (fun Veb2b3s2  => 
                        (*1727*)(
                        (or_ind 
                         (fun Vea1s  => 
                          (*1698*)(
                          (or_ind 
                           (fun Vea1b3  => 
                            (*1665*)(false_ind goal 
                             (*1664*)(diff_b2_b3 
                              (*1663*)(tra b2 a1 b3 (conj 
                               (*1612*)(sym a1 b2 Vea1b2)(*1612*) Vea1b3))(*1663*))(*1664*))(*1665*))
                           (fun Veb2b3s3  => 
                            (*1697*)(
                            (or_ind 
                             (fun Vea1a3  => 
                              (*1683*)(false_ind goal 
                               (*1682*)(diff_a3_a1 
                                (*1681*)(sym a1 a3 Vea1a3)(*1681*))(*1682*))(*1683*))
                             (fun Veb2b3a3a1  => 
                              (*1696*)(perspectivity_line a3a1 (conj 
                               (*1627*)(conp p3 a1 a3a1 (conj 
                                (*1622*)(sym a1 p3 Vea1p3)(*1622*) 
                                (*7*)(ia1a3)(*7*)))(*1627*) (conj 
                               (*1695*)(conl p1 b2b3 a3a1 (conj 
                                (*26*)(ip1b)(*26*) Veb2b3a3a1))(*1695*) 
                               (*27*)(ip2a)(*27*))))(*1696*)))
                            (*1680*)(unique a1 a3 b2b3 a3a1 (conj (proj1 
                             (*1*)(ta_in_tb)(*1*)) (conj 
                             (*7*)(ia1a3)(*7*) (conj 
                             (*1674*)(conl a3 s3 b2b3 (conj 
                              (*19*)(ia3s3)(*19*) 
                              (*1666*)(sym b2b3 s3 Veb2b3s3)(*1666*)))(*1674*) 
                             (*6*)(ia3a1)(*6*)))))(*1680*))(*1697*)))
                          (*1659*)(unique a1 b3 b2b3 s3 (conj (proj1 
                           (*1*)(ta_in_tb)(*1*)) (conj 
                           (*1652*)(conp a1 s s3 (conj Vea1s 
                            (*16*)(iss3)(*16*)))(*1652*) (conj 
                           (*11*)(ib3b2)(*11*) 
                           (*22*)(ib3s3)(*22*)))))(*1659*))(*1698*))
                         (fun Veb2b3s1  => 
                          (*1726*)(
                          (or_ind 
                           (fun Vea1b1  => 
                            (*1721*)(false_ind goal 
                             (*1720*)(diff_b1_b2 
                              (*1719*)(sym b2 b1 
                               (*1718*)(tra b2 a1 b1 (conj 
                                (*1612*)(sym a1 b2 Vea1b2)(*1612*) Vea1b1))(*1718*))(*1719*))(*1720*))(*1721*))
                           (fun Veb2b3b1b2  => 
                            (*1725*)(false_ind goal 
                             (*1724*)(not12 
                              (*1723*)(tra a1a2 b2b3 b1b2 (conj 
                               (*1596*)(sym b2b3 a1a2 Veb2b3a1a2)(*1596*) Veb2b3b1b2))(*1723*))(*1724*))(*1725*)))
                          (*1714*)(unique a1 b1 b2b3 b1b2 (conj (proj1 
                           (*1*)(ta_in_tb)(*1*)) (conj 
                           (*1615*)(conp a1 b2 b1b2 (conj Vea1b2 
                            (*9*)(ib2b1)(*9*)))(*1615*) (conj 
                           (*1708*)(conl b1 s1 b2b3 (conj 
                            (*20*)(ib1s1)(*20*) 
                            (*1699*)(sym b2b3 s1 Veb2b3s1)(*1699*)))(*1708*) 
                           (*8*)(ib1b2)(*8*)))))(*1714*))(*1726*)))
                        (*1644*)(unique a1 s b2b3 s1 (conj (proj1 
                         (*1*)(ta_in_tb)(*1*)) (conj 
                         (*17*)(ia1s1)(*17*) (conj 
                         (*1640*)(conl s s2 b2b3 (conj 
                          (*15*)(iss2)(*15*) 
                          (*1634*)(sym b2b3 s2 Veb2b3s2)(*1634*)))(*1640*) 
                         (*14*)(iss1)(*14*)))))(*1644*))(*1727*)))
                      (*1631*)(unique a1 a2 b2b3 s2 (conj (proj1 
                       (*1*)(ta_in_tb)(*1*)) (conj 
                       (*1617*)(conp a1 b2 s2 (conj Vea1b2 
                        (*21*)(ib2s2)(*21*)))(*1617*) (conj 
                       (*1599*)(conl a2 a1a2 b2b3 (conj 
                        (*3*)(ia2a1)(*3*) 
                        (*1596*)(sym b2b3 a1a2 Veb2b3a1a2)(*1596*)))(*1599*) 
                       (*18*)(ia2s2)(*18*)))))(*1631*))(*1728*))
                     (fun Veb2b3b1b2  => 
                      (*1732*)(false_ind goal 
                       (*1731*)(not12 
                        (*1730*)(tra a1a2 b2b3 b1b2 (conj 
                         (*1596*)(sym b2b3 a1a2 Veb2b3a1a2)(*1596*) Veb2b3b1b2))(*1730*))(*1731*))(*1732*)))
                    (*1621*)(unique a1 p3 b2b3 b1b2 (conj (proj1 
                     (*1*)(ta_in_tb)(*1*)) (conj 
                     (*1615*)(conp a1 b2 b1b2 (conj Vea1b2 
                      (*9*)(ib2b1)(*9*)))(*1615*) (conj 
                     (*1602*)(conl p3 a1a2 b2b3 (conj 
                      (*23*)(ip3a)(*23*) 
                      (*1596*)(sym b2b3 a1a2 Veb2b3a1a2)(*1596*)))(*1602*) 
                     (*24*)(ip3b)(*24*)))))(*1621*))(*1733*))
                   (fun Veb2b3w_3  => 
                    (*1743*)(perspectivity_line w_3 (conj 
                     (*1741*)(conl p3 a1a2 w_3 (conj 
                      (*23*)(ip3a)(*23*) 
                      (*1735*)(tra a1a2 b2b3 w_3 (conj 
                       (*1596*)(sym b2b3 a1a2 Veb2b3a1a2)(*1596*) Veb2b3w_3))(*1735*)))(*1741*) (conj 
                     (*1742*)(conl p1 b2b3 w_3 (conj 
                      (*26*)(ip1b)(*26*) Veb2b3w_3))(*1742*) Vip2w_3)))(*1743*)))
                  (*1611*)(unique a1 b2 b2b3 w_3 (conj (proj1 
                   (*1*)(ta_in_tb)(*1*)) (conj 
                   (*1609*)(conp a1 w_1 w_3 (conj Vea1w_1 Viw_1w_3))(*1609*) (conj 
                   (*10*)(ib2b3)(*10*) Vib2w_3))))(*1611*))(*1744*))
                 (fun Veb2b3s1  => 
                  (*1799*)(
                  (or_ind 
                   (fun Vea2b3  => 
                    (*1785*)(
                    (or_ind 
                     (fun Vea2b1  => 
                      (*1771*)(false_ind goal 
                       (*1770*)(diff_b3_b1 
                        (*1769*)(tra b3 a2 b1 (conj 
                         (*1763*)(sym a2 b3 Vea2b3)(*1763*) Vea2b1))(*1769*))(*1770*))(*1771*))
                     (fun Veb3b1a1a2  => 
                      (*1784*)(perspectivity_line b3b1 (conj 
                       (*1782*)(conl p3 a1a2 b3b1 (conj 
                        (*23*)(ip3a)(*23*) 
                        (*1772*)(sym b3b1 a1a2 Veb3b1a1a2)(*1772*)))(*1782*) (conj 
                       (*1783*)(conl p1 b2b3 b3b1 (conj 
                        (*26*)(ip1b)(*26*) 
                        (*1775*)(tra b2b3 a1a2 b3b1 (conj Veb2b3a1a2 
                         (*1772*)(sym b3b1 a1a2 Veb3b1a1a2)(*1772*)))(*1775*)))(*1783*) 
                       (*28*)(ip2b)(*28*))))(*1784*)))
                    (*1767*)(unique a2 b1 b3b1 a1a2 (conj (proj1 (proj2 
                     (*1*)(ta_in_tb)(*1*))) (conj 
                     (*3*)(ia2a1)(*3*) (conj 
                     (*13*)(ib1b3)(*13*) 
                     (*1757*)(conl b1 s1 a1a2 (conj 
                      (*20*)(ib1s1)(*20*) 
                      (*1747*)(sym a1a2 s1 
                       (*1746*)(tra a1a2 b2b3 s1 (conj 
                        (*1596*)(sym b2b3 a1a2 Veb2b3a1a2)(*1596*) Veb2b3s1))(*1746*))(*1747*)))(*1757*)))))(*1767*))(*1785*))
                   (fun Veb3b1a1a2  => 
                    (*1798*)(perspectivity_line b3b1 (conj 
                     (*1796*)(conl p3 a1a2 b3b1 (conj 
                      (*23*)(ip3a)(*23*) 
                      (*1786*)(sym b3b1 a1a2 Veb3b1a1a2)(*1786*)))(*1796*) (conj 
                     (*1797*)(conl p1 b2b3 b3b1 (conj 
                      (*26*)(ip1b)(*26*) 
                      (*1789*)(tra b2b3 a1a2 b3b1 (conj Veb2b3a1a2 
                       (*1786*)(sym b3b1 a1a2 Veb3b1a1a2)(*1786*)))(*1789*)))(*1797*) 
                     (*28*)(ip2b)(*28*))))(*1798*)))
                  (*1762*)(unique a2 b3 b3b1 a1a2 (conj (proj1 (proj2 
                   (*1*)(ta_in_tb)(*1*))) (conj 
                   (*3*)(ia2a1)(*3*) (conj 
                   (*12*)(ib3b1)(*12*) 
                   (*1388*)(conl b3 w_0 a1a2 (conj Vib3w_0 
                    (*1385*)(sym a1a2 w_0 Vea1a2w_0)(*1385*)))(*1388*)))))(*1762*))(*1799*)))
                (*1607*)(unique a1 w_1 b2b3 s1 (conj (proj1 
                 (*1*)(ta_in_tb)(*1*)) (conj 
                 (*17*)(ia1s1)(*17*) (conj 
                 (*1605*)(conl w_1 w_0 b2b3 (conj Viw_1w_0 
                  (*1597*)(tra w_0 a1a2 b2b3 (conj 
                   (*1385*)(sym a1a2 w_0 Vea1a2w_0)(*1385*) 
                   (*1596*)(sym b2b3 a1a2 Veb2b3a1a2)(*1596*)))(*1597*)))(*1605*) Viw_1s1))))(*1607*))(*1800*)))
              (*1391*)(unique a1 b3 b2b3 a1a2 (conj (proj1 
               (*1*)(ta_in_tb)(*1*)) (conj 
               (*2*)(ia1a2)(*2*) (conj 
               (*11*)(ib3b2)(*11*) 
               (*1388*)(conl b3 w_0 a1a2 (conj Vib3w_0 
                (*1385*)(sym a1a2 w_0 Vea1a2w_0)(*1385*)))(*1388*)))))(*1391*))(*1801*))
             (ex_ind (P:=fun w_5  => i p1 w_5 /\ i p2 w_5 /\ i p3 w_5)
              (fun w_5  => (and_ind (fun Vip1w_5  => (and_ind (fun Vip2w_5  => (fun Vip3w_5  => 
               (*1802*)(perspectivity_line w_5 (conj Vip3w_5 (conj Vip1w_5 Vip2w_5)))(*1802*)))))))))))
            (*1152*)(papp a2 w_2 b2 w_1 a1 b1 p1 p2 p3 s2 s1 w_4 b2b3 w_3 b3b1 a1a2 w_0 (conj 
             (*18*)(ia2s2)(*18*) (conj Viw_2s2 (conj 
             (*21*)(ib2s2)(*21*) (conj Viw_1s1 (conj 
             (*17*)(ia1s1)(*17*) (conj 
             (*20*)(ib1s1)(*20*) (conj Viw_2w_4 (conj Vib1w_4 (conj Vip1w_4 (conj 
             (*10*)(ib2b3)(*10*) (conj (proj1 
             (*1*)(ta_in_tb)(*1*)) (conj 
             (*26*)(ip1b)(*26*) (conj Vib2w_3 (conj Viw_1w_3 (conj Vip2w_3 (conj (proj1 (proj2 
             (*1*)(ta_in_tb)(*1*))) (conj 
             (*13*)(ib1b3)(*13*) (conj 
             (*28*)(ip2b)(*28*) (conj 
             (*3*)(ia2a1)(*3*) (conj 
             (*2*)(ia1a2)(*2*) (conj 
             (*23*)(ip3a)(*23*) (conj Viw_2w_0 (conj Viw_1w_0 Vip3w_0))))))))))))))))))))))))(*1152*))(*1803*)))))))))))
         (*597*)(papp s a3 b3 p3 a1 a2 p1 w_2 b1 s3 a1a2 a2a3 b2b3 w_0 s2 s1 b1b2 (conj 
          (*16*)(iss3)(*16*) (conj 
          (*19*)(ia3s3)(*19*) (conj 
          (*22*)(ib3s3)(*22*) (conj 
          (*23*)(ip3a)(*23*) (conj 
          (*2*)(ia1a2)(*2*) (conj 
          (*3*)(ia2a1)(*3*) (conj 
          (*5*)(ia3a2)(*5*) (conj 
          (*4*)(ia2a3)(*4*) (conj 
          (*25*)(ip1a)(*25*) (conj 
          (*11*)(ib3b2)(*11*) (conj (proj1 
          (*1*)(ta_in_tb)(*1*)) (conj 
          (*26*)(ip1b)(*26*) (conj Vib3w_0 (conj Vip3w_0 (conj Viw_2w_0 (conj 
          (*15*)(iss2)(*15*) (conj 
          (*18*)(ia2s2)(*18*) (conj Viw_2s2 (conj 
          (*14*)(iss1)(*14*) (conj 
          (*17*)(ia1s1)(*17*) (conj 
          (*20*)(ib1s1)(*20*) (conj (proj2 (proj2 
          (*1*)(ta_in_tb)(*1*))) (conj 
          (*24*)(ip3b)(*24*) 
          (*8*)(ib1b2)(*8*)))))))))))))))))))))))))(*597*))(*1804*)))))))))))
      (*76*)(papp s a3 b3 p3 a2 a1 p2 w_1 b2 s3 a1a2 a3a1 b3b1 w_0 s1 s2 b1b2 (conj 
       (*16*)(iss3)(*16*) (conj 
       (*19*)(ia3s3)(*19*) (conj 
       (*22*)(ib3s3)(*22*) (conj 
       (*23*)(ip3a)(*23*) (conj 
       (*3*)(ia2a1)(*3*) (conj 
       (*2*)(ia1a2)(*2*) (conj 
       (*6*)(ia3a1)(*6*) (conj 
       (*7*)(ia1a3)(*7*) (conj 
       (*27*)(ip2a)(*27*) (conj 
       (*12*)(ib3b1)(*12*) (conj (proj1 (proj2 
       (*1*)(ta_in_tb)(*1*))) (conj 
       (*28*)(ip2b)(*28*) (conj Vib3w_0 (conj Vip3w_0 (conj Viw_1w_0 (conj 
       (*14*)(iss1)(*14*) (conj 
       (*17*)(ia1s1)(*17*) (conj Viw_1s1 (conj 
       (*15*)(iss2)(*15*) (conj 
       (*18*)(ia2s2)(*18*) (conj 
       (*21*)(ib2s2)(*21*) (conj (proj2 (proj2 
       (*1*)(ta_in_tb)(*1*))) (conj 
       (*24*)(ip3b)(*24*) 
       (*9*)(ib2b1)(*9*)))))))))))))))))))))))))(*76*))(*1805*))))))
    (*73*)(meet w_0 s2 (conj 
     (*69*)(sortl b3 w_0 Vib3w_0)(*69*) 
     (*65*)(sortl s s2 
      (*15*)(iss2)(*15*))(*65*)))(*73*))(*1806*))))))
  (*70*)(meet w_0 s1 (conj 
   (*69*)(sortl b3 w_0 Vib3w_0)(*69*) 
   (*64*)(sortl s s1 
    (*14*)(iss1)(*14*))(*64*)))(*70*))(*1807*))))))
(*67*)(join b3 p3 (conj 
 (*53*)(sortp b3 b2b3 
  (*11*)(ib3b2)(*11*))(*53*) 
 (*55*)(sortp p3 a1a2 
  (*23*)(ip3a)(*23*))(*55*)))(*67*))(*1808*).
Qed.

End cro_case2.
